2004-03-23  Sven Neumann  <sven@gimp.org>
	    Michael Natterer <mitch@gimp.org>

	* Made 2.0.0 release.

2004-03-23  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpprotocol.h
	* libgimpmodule/gimpmodule.h: incremented GIMP_PROTOCOL_VERSION
	and GIMP_MODULE_ABI_VERSION. This means that plug-ins or modules
	built for gimp-1.3 will not work with GIMP 2.0.

2004-03-23  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/scripts/alien-glow-arrow.scm
	* plug-ins/script-fu/scripts/beveled-pattern-arrow.scm: Make
	helper functions local to the scripts. The better fix for
	bug #136868. Should also be done for a lot of other scripts,
	but is too likely to introduce new bugs to do this now.

2004-03-23  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* NEWS
	* README: updated for the 2.0 release.

2004-03-23  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/scripts/alien-glow-arrow.scm: fixed
	utility function rotate-points. Only worked sometimes by
	accident, probably because beveled-pattern-arrow.scm implemented
	a function of the same name correctly and all scripts share
	a common namespace.

	Fixes bug #136868.

2004-03-23  Michael Natterer  <mitch@gimp.org>

	The floating_sel code is really from the stone age:

	* app/core/gimplayer-floating-sel.c (floating_sel_attach): call
	gimp_image_floating_sel() once and work on the return value
	instead of accessing gimage->floating_sel directly twice and
	calling gimp_image_floating_sel() for the thrid access.

	* app/core/gimpimage.c (gimp_image_floating_sel): no need to
	return NULL if gimage->floating_sel is NULL, just always return
	gimage->floating_sel.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* app/core/gimplayer-floating-sel.c (floating_sel_attach): don't
	do a type-checking cast on an object that was released a few lines
	above. Fixes bug #137957.

2004-03-22  Tor Lillqvist  <tml@iki.fi>

	* app/plug-in/plug-in.c (plug_in_recv_message): Win32-only
	workaround for bug #137968.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c: keep the text editor open as long as
	the text tool is connected to a text layer. Open the text editor
	when a text layer is activated in the layers dialog.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.[ch]: preserve the text tool on image
	changes. Instead connect to the text layer's "notify::modified"
	signal and disconnect from the layer when it is modified.
	Fixes bug #137890.

2004-03-22  Michael Natterer  <mitch@gimp.org>

	* app/file/file-open.c (file_open_with_proc_and_display): removed
	the undo clearing/sanitizing code...

	(file_open_image): ...and added it here so *all* newly opened
	images start with a clean and sane undo state.

	* app/gui/file-commands.c (file_revert_confirm_callback): removed
	(incomplete) undo sanitizing here too.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: use putenv(); setenv() isn't available
	everywhere (bug #137930).

2004-03-22  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_reconnect):
	call gimp_display_shell_expose_full() so the whole canvas gets
	cleared when reverting the image.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpparasiteio.c (gimp_pixpipe_params_parse): clamp
	the pixpipe dimension to the allowed range. Fixes bug #137902.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.c (gimp_text_layer_duplicate): put some
	code back in that I removed accidentally.
	(gimp_text_layer_render) freeze/thaw notifications to avoid that
	two "notify::modified" signals are emitted.

2004-03-22  Raphaël Quinet  <quinet@gamers.org>

	* autogen.sh: Added a test for the version of intltool because
	some of the recent versions are known to break the Tips file.
	This fixes bug #137502.  The message should be updated when a new
	version of intltool is released.

2004-03-22  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpdock.c: set the minimum of the
	"default_heigt" property range to -1, this enables users
	to disable this feature via gtkrc.

2004-03-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdock.c: added a style property "default_height"
	and set a window default size for new docks. Fixes bug #137876.

	* themes/Default/gtkrc: document the default dock height.

	* themes/Small/gtkrc: set a smaller default dock height here.

2004-03-21  Sven Neumann  <sven@gimp.org>

	* app/core/gimpundo.[ch]: added gimp_undo_type_to_name() a similar
	function used to live in gimpimage-undo.[ch].

	* app/core/gimpitemundo.c (gimp_item_undo_new): allow NULL as name
	and generate it from the undo_type then.

	* app/core/gimpimage-undo.[ch]: added gimp_image_undo_push_undu(),
	new function that allows to push an undo on the image.

	* app/text/Makefile.am
	* app/text/text-types.h
	* app/text/gimptextundo.[ch]: added GimpTextUndo, derived from
	GimpItemUndo.

	* app/core/gimpimage-undo-push.c (gimp_image_undo_push_text_layer):
	use the new code and simply push a text undo here.

	* app/tools/gimptexttool.c: compress text undos by peeking at the
	undo stack. Fixes bug #137766.

2004-03-21  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/makefile.msc: 
	* libgimpmodule/makefile.msc: s/1.3/2.0/g

2004-03-21  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_events): added run-time version
	check and do the workaround for bug #136636 only if
	the Gtk+ version is < 2.2.5.

	* m4macros/gimp-2.0.m4: require gimp >= 2.0.0

2004-03-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: fixed check that suppresses
	unnecessary reloads of the current page.

2004-03-21  Sven Neumann  <sven@gimp.org>

	* app/gui/debug-commands.h: corrected #define for the debug menu.

2004-03-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpthumbbox.c: modify the event_box and preview
	styles in GtkWidget::style_set() instead of in
	gimp_thumb_box_new() so they follow theme changes correctly and
	the labels stay visible when switching to an "inverse" theme.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* Made 2.0rc1 release.

2004-03-20  Simon Budig  <simon@gimp.org>

	* app/.cvsignore
	* docs/.cvsignore
	* tools/.cvsignore: updated to ignore 2.0 stuff  :-)

2004-03-20  Pedro Gimeno  <pggimeno@wanadoo.es>

	Fixed several off-by-one problems in display:

	* app/display/gimpdisplayshell.h (PROJ_ROUND): New macro to apply
	to a float the same rounding method as the one used when rendering.
	(SCALEX, SCALEY): Use PROJ_ROUND instead of truncating.

	* app/display/gimpdisplayshell-transform.c
	(gimp_display_shell_transform_xy): Accept gdouble image coordinates
	even if the returned screen coordinates are integer. Use PROJ_ROUND
	instead of (gint) to apply proper rounding. Fixes bug #137566.

	* app/display/gimpdisplayshell-transform.h
	(gimp_display_shell_transform_xy): changed accordingly.

	* app/display/gimpdisplayshell-draw.c
	* app/tools/gimpdrawtool.c: make sure everywhere that PROJ_ROUND
	is used either directly or through gimp_display_shell_transform_xy,
	instead of using arbitrary rounding methods.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* configure.in: set version number to 2.0.0, version string to
	"2.0rc1".

	* app/Makefile.am
	* libgimp/Makefile.am
	* libgimpbase/Makefile.am
	* libgimpcolor/Makefile.am
	* libgimpmath/Makefile.am
	* libgimpmodule/Makefile.am
	* libgimpthumb/Makefile.am
	* libgimpwidgets/Makefile.am
	* tools/Makefile.am: changed 1.3 to 2.0 all over the place.

	* README
	* NEWS: updated for the 2.0rc1 release.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.c: it wasn't such a good idea to let
	GimpConfig take care of the text when duplicating a text layer; it
	didn't create a copy. Do that manually again; fixes bug #137786.
	
2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_create_vectors): don't
	take the image from tool->gdisp, this might be a NULL pointer.

	* app/core/gimpimage-undo-push.c: removed debugging output.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimppropwidgets.c (gimp_prop_size_entry_callback):
	avoid to set the unit property with every size change; only set it
	if it actually changed.

	* app/core/gimpimage-undo-push.c (gimp_image_undo_push_text_layer):
	allow to pass a GParamSpec that identifies a single text property
	to be changed. In this case, don't store a GimpText object on the
	undo stack but only the changed value.

	* app/tools/gimptexttool.c: use the new undo feature to reduce the
	memory footprint of text undo for the common case.

	* app/text/gimptextlayer.c: changed accordingly.

2004-03-20  Simon Budig  <simon@gimp.org>

	* app/core/gimpimage-qmask.c: Applied slightly modified patch
	from Sven. When the quickmask has a floating selection, anchor
	it before loading the selection and deleting the qmask channel.

	Fixes bug #137170.

2004-03-20  Simon Budig  <simon@gimp.org>

	* app/gui/select-commands.[ch]: new callbacks to convert the
	current vector to the selection.

	* app/gui/image-menu.c: hook it into the menu. Default shortcut
	is Shift+V.
	
	Fixes bug #137754.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.c (gimp_text_layer_set): use the same
	undo group logic as in the text tool. Not really necessary since
	this function must not be called on modified text layers, but it's
	more consistent this way.

2004-03-20  Simon Budig  <simon@gimp.org>

	* app/tools/gimpvectortool.c: Assigned "b" as the default shortcut
	for the path tool ("Bezier").

	Fixes bug #137753.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c: update the text editor when the text
	changes (for example when undoing text changes). Push a drawable
	undo when applying text changes to a modified text layer.

2004-03-20  Simon Budig  <simon@gimp.org>

	* docs/gimp.1.in: fixed a mangeled entry and described
	"gimp --batch -".

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.c (gimp_text_layer_render): don't fiddle
	with the item size, gimp_drawable_set_tiles() does the right thing.
 
2004-03-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jigsaw.c: pack and show the "Jigsaw Style" radio
	buttons. Fixes bug #137737.

2004-03-20  Simon Budig  <simon@gimp.org>

	* app/core/gimpundo.[ch]: Make it possible to refresh the preview
	of an undo step.

	* app/tools/gimpeditselectiontool.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimplayertreeview.c: refresh the preview when
	compressing undos. This ensures that the last preview in the undo
	history always reflects the current state of the image.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-undo-push.c (undo_pop_text_layer): fixed a
	bug that Mitch spotted.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-undo-push.c (undo_pop_text_layer): don't
	exchange the text_layer's text object but sync it with the text
	object from the undo step.

	* app/text/gimptextlayer.c (gimp_text_layer_set): in case the
	layer has a mask, push an undo group around the text modifications.

	* app/tools/gimptexttool.c (gimp_text_tool_idle_apply): push a
	text layer undo before applying the text changes.

2004-03-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/spread.c: don't call g_rand_int_range() with
	invalid parameters.

2004-03-19  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.[ch]: added gimp_text_layer_set(), a
	function that calls g_object_set() on the text-layer's text object
	and pushes an undo step.

	* app/display/gimpdisplayshell-dnd.c (gimp_display_shell_bucket_fill):
	use the new function.

2004-03-19  Sven Neumann  <sven@gimp.org>

	* HACKING: some minor updates.

2004-03-19  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.c (gimp_text_layer_render): if there's a
	layer mask, resize it with the layer.

	* app/tools/gimptexttool.c: don't change text_tool->layer before
	calling gimp_text_tool_connect().

2004-03-19  Sven Neumann  <sven@gimp.org>

	* etc/ps-menurc: updated PS keybindings contributed by Eric Pierce.

2004-03-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.[ch]: added a confirmation dialog that is
	shown when the user attempts to modify a modified text layer.

2004-03-19  Michael Natterer  <mitch@gimp.org>

	* themes/Default/gtkrc
	* themes/Small/gtkrc: don't set the height of GtkHScales to 11px
	any longer. This modification was added only because at some time
	GTK+ 1.3.x (!!!) looked strange with the default size.

2004-03-19  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_scale_entry_new_internal): if
	a tooltip is given, put the label into an eventbox (bug #137612).

2004-03-19  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): added
	runtime check for GTK+ >= 2.4.0 and make sure the menubar's accels
	can be invoked even if the menubar is invisible (workaround for
	bug #137151).

2004-03-19  Michael Natterer  <mitch@gimp.org>

	* app/gui/color-notebook.c (color_notebook_new)
	* app/tools/gimpcroptool.c (crop_info_create)
	* app/tools/gimptransformtool.c (gimp_transform_tool_dialog):
	explicitely set a default response for dialog buttons which were
	created using gtk_dialog_add_buttons().

2004-03-18  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.[ch]: cleaned up text tool logic.

2004-03-18  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpitemtreeview.c: simplified visibility and linked
	undo compression by passing an UNDO type, not an UNDO_GROUP type.

	Fixed (made weird) compression of "exclusive visible/linked" undos
	to only compress undos of the same item type (only compress layer
	visibility if we pushed a *layer* visibility before, not a channel
	or vectors visibility). Even worse, we need to push the
	visibility/linked state of *all* items when pushing an exclusive
	group, otherwise compression won't work.

2004-03-18  Manish Singh  <yosh@gimp.org>

	* libgimp/gimptypes.h: removed obsolete GimpParamColor typedef.

2004-03-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c: applied a patch from
	Kevin Cozens that slightly alters the Script-Fu console output.

2004-03-18  Sven Neumann  <sven@gimp.org>

	* app/gui/layers-commands.c (layers_text_tool)
	* app/gui/layers-menu.c (layers_menu_update): treat modified text
	layers like normal layers.

	* app/gui/layers-commands.c (layers_edit_layer_query): added a
	check button that gives access to the "auto-rename" property of a
	text layer.

	* app/text/gimptextlayer.c: typo.

	* app/widgets/gimppreviewrendererlayer.c
	(gimp_preview_renderer_layer_render): show the text layer icon for
	unmodified text layers only.

2004-03-18  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpitemtreeview.c: compress visibility and linked
	undos.

2004-03-18  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c (gimp_display_shell_bucket_fill):
	added a missing call to gimp_image_flush().

	* app/tools/gimptexttool.c: propagate text changes to the tool
	options.
	
	* app/text/gimptextlayer.c: made "text", "auto-rename" and
	"modified" properties of the text layer and copy them when
	duplicating a text layer.

	* app/text/gimptextlayer-xcf.[ch]: added utility functions to
	convert the new properties to flags to be saved in the XCF file.

	* app/xcf/xcf-load.c
	* app/xcf/xcf-private.h
	* app/xcf/xcf-save.c: load and save text layer properties.
	Disabled warnings about unknown properties for stable branches.

2004-03-18  Simon Budig  <simon@gimp.org>

	* app/gui/layers-commands.c: Initialize a new layer
	unconditionally. Spotted by Roman Joost.

2004-03-18  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c: disabled debug output.

	* plug-ins/help/domain.[ch]
	* plug-ins/help/help.[ch]
	* plug-ins/help/locales.c: improved error reporting, fixed bugs
	and disabled debug output.

2004-03-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/CML_explorer.c
	* plug-ins/common/gtm.c: changed procedure names to be all
	lowercase so 2.0 ships with a sane namespace and doesn't give bad
	examples to plug-in authors.

2004-03-18  Sven Neumann  <sven@gimp.org>

	Added support for localized help (bug #136996). Will need some
	minor touches to improve error reporting but basically it works.

	* plug-ins/help/Makefile.am
	* plug-ins/help/help.h: new file with common defines.

	* plug-ins/help/help.c
	* plug-ins/help/locales.c: include help.h, made debugging output
	optional.

	* plug-ins/help/domain.[ch]: added a hash table with locales for
	each help domain.

2004-03-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/Makefile.am
	* plug-ins/help/locales.[ch]: new files with code to handle locales.

	* plug-ins/help/help.c: changed accordingly.

	* plug-ins/help/domain.[ch]: added support for a fallback URL to
	handle missing help content. I18n support is missing still.

2004-03-17  Simon Budig  <simon@gimp.org>

	* app/core/gimpbrushpipe.c: ensure that each rank of a
	brushpipe is >= 1.

	Fixes bug #137529

2004-03-17  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpbrushfactoryview.c
	* app/widgets/gimpdatafactoryview.c
	* app/widgets/gimppatternfactoryview.c: removed redundant code.

2004-03-17  Simon Budig  <simon@gimp.org>

	* app/gui/channels-commands.c
	* app/gui/layers-commands.c
	* app/gui/vectors-commands.c
	* app/widgets/gimpitemtreeview.c: shuffled some
	gimp_image_flush()'es around.

2004-03-17  Simon Budig  <simon@gimp.org>

	* app/gui/channels-commands.c
	* app/gui/layers-commands.c
	* app/gui/vectors-commands.c: Make sure that non-dialog creation
	of layer/channels/vectors properly updates the image. Also
	clear the new channel unconditionally.

	Change the name of the newly created item to not include the "Copy".
	It isn't a copy.

	* app/widgets/gimpitemtreeview.c: Don't try to assemble translated
	strings.

	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpvectorstreeview.c: properly overwrite the
	tooltip for the "New" button.

	Sorry, some real string changes ahere, but they were necessary.

2004-03-17  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-transform.c
	(gimp_drawable_transform_paste): push the undo group around all
	operations, not just around some of them. Pulled common code
	out of the if() { } else { } construct. Cleanup.

2004-03-17  Simon Budig  <simon@gimp.org>

	* app/gui/plug-in-menus.c: Sort the plugin menu entries with
	the mnemonics stripped. Avoids weird ordering in the "C" and
	"POSIX" locales.

	Fixes bug #137435.

	* app/widgets/gimpitemtreeview.c: make a simple click on the
	"New" Button use defaults and use shift-click for the new-dialog
	invocation.

	Some more useless button cleanup:

	* app/widgets/gimpdatafactoryview.c: only create an Edit button
	when the edit_function is set.

	* app/core/gimp.c: don't set an edit func for the patterns.

	* app/gui/patterns-menu.c: Don't create the "New", "Edit" and 
	"Duplicate" Menu entries for the patterns.

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimppatternfactoryview.[ch]: New widget:
	gimp_pattern_factory_view. Necessary to be able to hide the
	"duplicate" button...

	* app/gui/dialogs-constructors.c: Use it.

2004-03-17  Sven Neumann  <sven@gimp.org>

	Changes for help i18n in the core, the rest will take place in the
	help plug-in:
	
	* app/text/gimptext.[ch]: removed gimp_text_get_default_language()
	
	* app/core/gimp-utils.[ch]: ... and added it here as
	gimp_get_default_language().

	* app/config/gimprc-blurbs.h
	* app/config/gimpdisplayconfig.[ch]: added property "help-locales".
	
	* app/widgets/gimphelp.c: use the new property and pass it to the
	help plug-in.

	* app/core/gimpselection.c (gimp_selection_invalidate_boundary):
	removed unused variable.

2004-03-17  Simon Budig  <simon@gimp.org>

	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpvectorstreeview.c
	* app/widgets/gimpdatafactoryview.c: remove basically useless
	edit buttons in the layers, vectors and patterns dialog.

	* app/widgets/gimpitemtreeview.c: Make Shift-Click on the "New"
	button create a new item using defaults.

2004-03-16  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable.c (gimp_drawable_set_tiles): ref new
	tiles before unrefing the old ones.

	* app/core/gimpimage-undo-push.c: keep undo memsize exact by
	adjusting undo->size when the stored data changes.

	* app/core/gimpchannel.[ch] (gimp_channel_new_from_alpha)
	* app/core/gimpchannel-select.[ch] (gimp_channel_select_alpha):
	replaced "layer" parameter by "drawable".

	* app/gui/layers-commands.c
	* tools/pdbgen/pdb/selection.pdb: changed accordingly.

	* app/pdb/selection_cmds.c: regenerated.

	* app/core/gimpchannel.c
	* app/core/gimplayer.c
	* app/core/gimplayermask.[ch]
	* app/core/gimpselection.c: remdom cleanup & code review.

2004-03-16  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplist.c (gimp_list_dispose): removed this function.
	It was removing all items without freezing the container first,
	which caused excessive signal handler activity in GimpContext.

	Cleaned up the whole file a bit.

	* app/core/gimpcontainer.c (gimp_container_dispose): call
	gimp_container_clear() which does the right thing and e.g. speeds
	up quitting significantly when gimp->documents is huge.
	Reported by Jimmac.

2004-03-16  Simon Budig  <simon@gimp.org>

	* app/gui/plug-in-commands.c: Update the Plugin Menu immediately
	after setting the last invoked plugin. Fixes inconsistencies
	between name shown and plugin invoked.

	Fixes #136909, #137242 and #81479 (again, the fix in
	lightening_main.c only probably was bogus, since this must not
	rely on correctly written plugins).

	* plug-ins/common/compose.c
	* plug-ins/common/decompose.c
	* plug-ins/common/film.c
	* plug-ins/common/screenshot.c
	* plug-ins/common/smooth_palette.c
	* plug-ins/common/tile.c
	* plug-ins/fits/fits.c: Ensure that each gimp_image_undo_enable()
	had a gimp_image_undo_disable() first...

2004-03-16  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-undo-push.c: removed unused #includes.

2004-03-15  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_apply): look ahead in
	the queue of pending changes and compress changes to the same
	property. Fixed a couple of smaller issues.

	* app/widgets/gimpwidgets-utils.c: corrected indentation.

2004-03-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_new): set a fixed
	width on the "filename" and "info" labels so they clip their texts
	rather than expand the thumb_box when the text is too wide
	(spotted by Jonathan Blandford).

2004-03-15  Michael Natterer  <mitch@gimp.org>

	* app/core/core-enums.[ch] (enum GimpUndoType): replaced
	GIMP_UNDO_LAYER_MOD and GIMP_UNDO_CHANNEL_MOD by
	GIMP_UNDO_DRAWABLE_MOD.

	* app/core/gimpimage-undo-push.[ch]: ditto: replaced
	gimp_image_undo_push_layer_mod() and
	gimp_image_undo_push_channel_mod() by
	gimp_image_undo_push_drawable_mod().

	* app/core/gimpdrawable.[ch]: added undo_desc strings for "resize"
	and "scale" to the GimpDrawableClass struct.

	(gimp_drawable_scale)
	(gimp_drawable_resize): pass push_undo = TRUE to
	gimp_drawable_set_tiles_full() and use the undo_desc from the
	class.

	(gimp_drawable_real_set_tiles): push a GIMP_UNDO_DRAWABLE_MOD here...

	* app/core/gimpchannel.c
	* app/core/gimplayer.c: ...and don't push undos in
	GimpItem::scale(), GimpItem::resize(), GimpDrawable::set_tiles().

	* app/core/gimpchannel.c: Removed even more bounds_known = FALSE
	assignments from functions which already call
	gimp_drawable_set_tiles().

2004-03-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable.c (gimp_drawable_set_tiles_full): emit
	"update" signals from the drawable before and after setting tiles
	and offsets.

	* app/core/gimpdrawable-offset.c (gimp_drawable_offset)
	* app/core/gimpdrawable-transform.c (gimp_drawable_transform_paste)
	* app/core/gimpimage-undo-push.c (undo_pop_layer_mod, _channel_mod)
	* app/text/gimptextlayer.c (gimp_text_layer_render)
	* app/tools/gimptransformtool.c (gimp_transform_tool_doit):
	removed calls to gimp_drawable_update().

	* app/core/gimpdrawable-offset.c (gimp_drawable_offset): don't
	push an undo step before calling gimp_drawable_set_tiles()
	but simply pass push_undo == TRUE and the undo_desc.

2004-03-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable.[ch]: added "offset_x" and "offset_y"
	parameters to GimpDrawable::set_tiles().

	(gimp_drawable_set_tiles): removed the "GimpImageType" parameter.

	(gimp_drawable_set_tiles_full): new function adding type, offset_x
	and offset_y parameters.

	(gimp_drawable_real_set_tiles): set the drawable's offsets from
	the offset parameters and its size from the passed TileManager's
	size. Emit "size_changed" accordingly.

	* app/core/gimpchannel.c
	* app/core/gimpdrawable-offset.c
	* app/core/gimpdrawable-transform.c
	* app/core/gimpimage-convert.c
	* app/core/gimpimage-undo-push.c
	* app/core/gimplayer.c
	* app/text/gimptextlayer.c
	* app/tools/gimptransformtool.c: changed accordingly: removed
	calls to gimp_viewable_size_changed() and all sorts of hackish
	assignments of the drawable's width/height/offset_x/offset_y
	properties.

2004-03-15  Michael Natterer  <mitch@gimp.org>

	* app/text/gimptextlayer.c (gimp_text_layer_render): don't call
	gimp_image_flush().

	* app/tools/gimpxttool.c (gimp_text_tool_apply): call it here
	instead.

	Now that we have a common place that exchanges drawable->tiles,
	we can abstract away boundary invalidation for this operation:

	* app/core/gimpdrawable.c (gimp_drawable_real_set_tiles):
	call gimp_drawable_invalidate_boundary() before setting
	the new tiles.

	* app/core/gimpchannel.c (gimp_channel_set_tiles)
	* app/core/gimpdrawable-transform.c (gimp_drawable_transform_paste)
	* app/core/gimpimage-undo-push.c (undo_pop_layer_mod)
	* app/core/gimplayer.c (gimp_layer_scale) (gimp_layer_resize)
	(gimp_layer_flip) (gimp_layer_rotate) (gimp_layer_transform)
	* app/text/gimptextlayer.c (gimp_text_layer_render): removed
	calls to gimp_drawable_invalidate_boundary() from all functions
	which finally call gimp_drawable_real_set_tiles().

	* app/tools/gimptransformtool.c (gimp_transform_tool_doit): no
	need to set channel->bounds_known to FALSE, because
	gimp_drawable_set_tiles() already did this.

2004-03-15  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c: moved global variables to a struct and
	optimized the area exposed from splash_update().

2004-03-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.[ch]: added "gboolean alpha_changed" to
	GimpImageFlushAccumulator. Install an "alpha_changed" handler
	on gimage->layers and set flush_accum.alpha_changed = TRUE
	whenever the image's *only* layer changed its alpha.

	* app/core/gimpimage-undo-push.c (undo_pop_layer_mod)
	* app/core/gimplayer.c (gimp_layer_add_alpha): removed
	explicit calls to gimp_image_alpha_changed().

2004-03-15  Simon Budig  <simon@gimp.org>

	* app/base/tile-swap.[ch]: Applied a modified version of a patch
	from Raphaël, that implements a test if a swap file can be
	created. Also make the failure message more verbose.

	* app/base/base.[ch]: extend base_init() with a boolean return
	to indicate if the test to create a swap file was OK.

	* app/app_procs.c: Display a warning message at startup when the
	test fails.

	Fixes bug #64835.

2004-03-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable.c (gimp_drawable_real_set_tiles): emit
	"alpha_changed" if the drawable got/lost an alpha channel by
	setting the new tiles.

	* app/core/gimpimage-undo-push.c (undo_pop_layer_mod)
	* app/core/gimplayer.c (gimp_layer_add_alpha): removed explicit
	calls to gimp_drawable_alpha_changed().

2004-03-15  Michael Natterer  <mitch@gimp.org>

	Closer to text layer undo:

	* app/core/gimpchannel.c (gimp_channel_set_tiles): invalidate the
	channel's boundary and bounds.

	* app/text/gimptextlayer.c: implement GimpDrawable::swap_pixels()
	and set text_layer->modified = TRUE after upchaining.

	(gimp_text_layer_render): use gimp_drawable_set_tiles() and
	set text_layer->modified = FALSE afterwards.

	* app/core/gimpimage-undo-push.c: cleaned up variable declarations
	and initializations.

	(undo_pop_layer_mod)
	(undo_pop_channel_mod): use gimp_drawable_set_tiles() instead of
	touching drawable->tiles manually. Now all pixel manipulation
	(at least on layers) should be virtualized and can be detected by
	the text layer.

2004-03-15  Michael Natterer  <mitch@gimp.org>

	Prepare the undo system for proper text layer undo:

	* app/core/core-enums.[ch] (enum GimpUndoType): replaced
	GIMP_UNDO_IMAGE and GIMP_UNDO_IMAGE_MOD by GIMP_UNDO_DRAWABLE.

	* app/core/gimpimage-undo-push.[ch]: ditto: replaced
	gimp_image_undo_push_image() and gimp_image_undo_push_image_mod()
	by gimp_image_undo_push_drawable() which *always* expects to get a
	TileManager passed. Also added g_return_if_fail()s to check if the
	passed in tile manager follows the semantics of the "sparse"
	boolean.

	(undo_pop_drawable): removed all code and call the new
	gimp_drawable_swap_pixels() instead (see below).

	* app/core/gimpdrawable.[ch] (gimp_drawable_push_undo): if tiles
	are NULL, create a copy of the area here and always pass tiles to
	gimp_image_undo_push_drawable(). Added lots of g_return_if_fail()
	here too.

	Added new vitrual function GimpDrawable::swap_pixels() which
	does what undo_pop_drawable() did.

	* app/core/gimpchannel.c: implement swap_pixels() and invalidate
	the channel's bounds and boundary.

2004-03-15  Sven Neumann  <sven@gimp.org>

	* app/gui/preferences-dialog.c: don't show a web-browser setting
	on win32, it's not used there (see bug #137173).

2004-03-15  Sven Neumann  <sven@gimp.org>

	* data/images/gimp_splash.png: splash image for GIMP 2.0 by Jimmac.

	* app/gui/splash.[ch]: draw the text on the splash image, not
	below it.

	* app/app_procs.[ch]
	* app/gui/gui.[ch]
	* app/main.c
	* docs/gimp.1.in: dropped support for the --no-splash-image
	command-line option (not to be confused with --no-splash). It was
	never very useful and makes even less sense in times where startup
	notification is available.

2004-03-15  Simon Budig  <simon@gimp.org>

	* app/core/gimpimage.[ch]
	* app/core/gimpimage-undo.c: renamed gimage->freeze_count
	to gimage->undo_freeze_count (more explicit).
	
	* app/file/file-open.c: Ensure that the undo system is enabled
	after loading an image (to protect against broken loaders).

2004-03-14  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcolorpickertool.c
	* app/tools/gimpcroptool.c
	* app/tools/gimpimagemaptool.c
	* app/tools/gimpmeasuretool.c
	* app/tools/gimptransformtool.c: don't set tool dialogs transient
	to the image window. Fixes bug #128833.

2004-03-14  Sven Neumann  <sven@gimp.org>

	* app/gui/about-dialog.c: don't abuse the SPLASHSCREEN window type
	hint, instead make the about dialog a popup window and center it
	explicitely.

2004-03-14  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptooldialog.c (gimp_tool_dialog_new): allow to
	pass NULL as parent widget.

2004-03-14  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c: some code cleanup.

	* app/gui/about_dialog.c: typo.

2004-03-14  Simon Budig  <simon@gimp.org>

	* plug-ins/common/jpeg.c: No need to use an undo_group *and*
	freeze/thaw an image. Just using the latter keeps the undo
	history ok in both directions. Also call gimp_displays_flush()
	to make sure the undo keyboard shortcuts are enabled after the
	plugin ends.

2004-03-14  Simon Budig  <simon@gimp.org>

	* app/core/gimpimage.[ch]
	* app/core/gimpimage-undo.c: introduced a freeze counter, so
	that undo_freeze(); undo_freeze(); undo_thaw(); no longer
	results in an thawed undo stack.

	Fixes Bug #124176.

	This might reveal other places in the code where
	gimp_image_undo_freeze/thaw or gimp_image_undo_disable/enable
	were used in an inconsistent (not-paired) manner.

	* app/file/file-open.c: e.g. here, where _enable was called on
	the new image. The intention was to free a potential undo stack,
	so now call gimp_image_undo_free() instead.

2004-03-14  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.[ch]: removed all idle handling here.
	Changes to the text-layer's text object all applied synchronously.
	
	* app/display/gimpdisplayshell-dnd.c
	* app/text/gimptextlayer-transform.c: removed now obsolete calls
	to gimp_text_layer_flush().

	* app/tools/gimptexttool.[ch]: queue up changes to the proxy text
	object and apply them in one go from a low-priority idle handler.
	This is basically what GimpTextLayer used to do.

2004-03-14  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptextoptions.[ch]
	* app/tools/gimptexttool.[ch]: introduced a proxy GimpText object
	that is tied to the GimpTextOptions for the lifetime of the text
	tool. Brings us one step closer to text undo...

2004-03-14  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-offset.c (gimp_drawable_offset)
	* app/core/gimpdrawable.c (gimp_drawable_scale) (gimp_drawable_resize)
	* app/core/gimplayer.c (gimp_layer_convert) (gimp_layer_add_alpha):
	use gimp_drawable_set_tiles() instead of fiddling with
	drawable->tiles, ->bytes etc. manually.

2004-03-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdialogfactory.[ch]: made enum
	GimpDialogVisibilityState and GIMP_DIALOG_VISIBILITY_KEY public.

	* app/widgets/gimpsessioninfo.c (gimp_session_info_get_geometry):
	only look at GTK_WIDGET_VISIBLE(info->widget) if the dialog's
	visibility state is GIMP_DIALOG_VISIBILITY_UNKNOWN and map the
	visibility state to info->open otherwise.

	Fixes bug #137076.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-blend.c (gradient_calc_shapeburst_*):
	applied a patch from Pedro Gimeno that fixes the crash reported in
	bug #136219.

2004-03-13  Michael Natterer  <mitch@gimp.org>

	Completed the fix for bug #136702:

	* app/core/gimpitem.[ch]: added "gboolean supersample" and
	"gint recursion_level" to GimpItem::transform().

	* app/core/gimpitem-linked.[ch]	(gimp_item_linked_transform): ditto.

	* app/core/gimpdrawable-transform.[ch]: added "recursion_level"
	parameters and removed the RECURSION_LEVEL #define.

	* app/core/gimpchannel.c
	* app/core/gimpdrawable.c
	* app/core/gimplayer.c
	* app/vectors/gimpvectors.c: changed accordingly.

	* app/tools/gimptransformoptions.[ch]: added new property
	"recursion_level" which is not serializable and has no GUI. Pretty
	useless, but it's IMHO better to hardcode the default value here
	than in gimpdrawable-transform.c

	* app/tools/gimptransformtool.c: changed accordingly.

	* tools/pdbgen/pdb/transform_tools.pdb: hardcode "recursion_level"
	to 3.

	* app/pdb/transform_tools_cmds.c: regenerated.

2004-03-13  Simon Budig  <simon@gimp.org>

	* app/widgets/widgets-enums.h
	* app/widgets/gimppreviewrenderer.[ch]: New function 
	gimp_preview_renderer_set_border_type that takes an enum instead
	of an color to set the color of the border.

	* app/widgets/gimpcellrendererviewable.c: check for the
	current border_type and change it to black when it is white and
	the cell is unselected. This should be solved in a better way
	later.

	Fixes bug #135023. 

	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpcontainergridview.c: changed to use the new
	function.

2004-03-13  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/script-fu/scripts/carve-it.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm: Fixed to avoid
	pasting to a layer that was not added to any image. This was causing
	the scripts to abort, because gimp-edit-paste is now failing in that
	case.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpblendoptions.c: override the "gradient_repeat"
	property inherited from GimpPaintOptions and set the default to
	GIMP_REPEAT_NONE. Seems more appropriate for the blend tool.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayer.[ch]: implement GimpDrawable functions
	that affect the tiles and mark the text layer as modified. Added
	new function gimp_drawable_is_text_layer() that checks whether a
	drawable is an unmodified text layer.

	* app/display/gimpdisplayshell-dnd.c (gimp_display_shell_bucket_fill):
	use gimp_drawable_is_text_layer() and only set the text color if the
	text layer is unmodified. Fixes bug #136623.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable.[ch]: added new virtual function
	GimpDrawable::set_tiles().

	* app/core/gimpchannel.c
	* app/core/gimplayer.c: push an undo before chaining up in
	set_tiles().

	* app/core/gimpdrawable-transform.c
	* app/core/gimpimage-convert.c
	* app/tools/gimptransformtool.c: use gimp_drawable_set_tiles()
	instead of fiddling with the drawable's tile manager directly.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptransformoptions.c (gimp_transform_options_gui): for
	consistency, changed the label from "Supersample" to "Supersampling".

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/paint-funcs/paint-funcs.c: use g_printerr() for debug output.

	* app/base/tile-manager.c: cleaned up stone-old debug output.

2004-03-13  Raphaël Quinet  <quinet@gamers.org>

	* app/tools/gimptransformoptions.[ch]: added new "supersample"
	property to GimpTransformOptions and added corresponding check
	button in the option dialog for the transform tools.

	* app/core/gimpdrawable-transform.[ch],
	* app/core/gimpdrawable.c,
	* app/tools/gimptransformtool.c: new "gboolean supersample"
	parameter added to gimp_drawable_transform_tiles_affine() and
	gimp_drawable_transform_affine().

	* tools/pdbgen/pdb/transform_tools.pdb: ditto.  For the PDB calls,
	the supersample parameter is set to FALSE for "rotate" and "shear"
	and set to TRUE for "perspective", "scale" and "transform_2d".

	* app/pdb/transform_tools_cmds.c: regenerated.

	The new "supersample" option lets the user decide if the
	transformations should use supersampling (RECURSION_LEVEL 3) or
	not.  This fixes both bug #136702 and bug #109817.  Hopefully for
	good, this time.

2004-03-13  Raphaël Quinet  <quinet@gamers.org>

	* app/tools/gimptexttool.c (gimp_text_tool_set_layer): added
	missing semicolon that was breaking the build.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_set_layer): bugfix.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontainermenuimpl.c: marked missing string for
	translation (spotted by Branko Collin).

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptextoptions.[ch]: use a GimpSizeEntry for the
	font size.

	* app/tools/gimptexttool.c: set the size entry's resolution to the
	image resolution. Fixes bug #118356.

2004-03-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.[ch]: keep a pointer on the active text
	layer and let the tool follow the active layer. Fixes bug #124970.

	* app/gui/layers-commands.c: changed accordingly.

2004-03-12  Michael Natterer  <mitch@gimp.org>

	Cleaned up the remaining libgimp API issues:

	* libgimp/gimppixelfetcher.[ch] (enum GimpPixelFetcherEdgeMode):
	added new enum value GIMP_PIXEL_FETCHER_EDGE_BACKGROUND so we
	can actually use the bg_color feature of the GimpPixelFetcher.

	(gimp_pixel_fetcher_new): added "gboolean shadow" parameter
	because it must not change while the GimpPixelFetcher exists.

	(gimp_pixel_fetcher_set_shadow): removed.

	(gimp_pixel_fetcher_set_bg_color): added "GimpRGB *color"
	parameter and don't call gimp_palette_get_foreground().

	(gimp_pixel_fetcher_get_pixel): handle BACKGROUND mode. Cleaned up
	the function.

	(gimp_get_bg_guchar)
	(gimp_get_fg_guchar): removed these functions...

	* libgimp/gimpdrawable.[ch]: ...and added
	gimp_drawable_get_color_uchar() instead.

	* libgimp/gimp.def
	* plug-ins/common/blinds.c
	* plug-ins/common/checkerboard.c
	* plug-ins/common/cubism.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/displace.c
	* plug-ins/common/edge.c
	* plug-ins/common/illusion.c
	* plug-ins/common/mblur.c
	* plug-ins/common/mosaic.c
	* plug-ins/common/plasma.c
	* plug-ins/common/polar.c
	* plug-ins/common/ripple.c
	* plug-ins/common/shift.c
	* plug-ins/common/spread.c
	* plug-ins/common/tileit.c
	* plug-ins/common/whirlpinch.c
	* plug-ins/gflare/gflare.c
	* plug-ins/libgimpoldpreview/gimpoldpreview.c: changed accordingly.

	(Didn't test the changed plug-ins because I wanted to get this
	API change into CVS as soon as possible)

2004-03-12  Raphaël Quinet  <quinet@gamers.org>

	* app/core/gimpdrawable-transform.c (RECURSION_LEVEL): Set to 0 in
	order to avoid nasty blurring effects.  Fixes bug #136702, but
	re-opens bug #109817.  This is the best compromise for 2.0.
	Later, we will have to make the supersampling optional as
	suggested in the original patch to bug #109817.

2004-03-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (marshall_proc_db_call):
	applied a patch from Kevin Cozens that improves Script-Fu error
	reporting (addresses bug #73610).

2004-03-12  Sven Neumann  <sven@gimp.org>

	* data/misc/gimp.keys.in: removed category entry. This would have
	to be translated and it's not our job to define where image/jpeg
	belongs to.

2004-03-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c
	* app/tools/gimpinktool.c
	* app/tools/gimptool.c: print debug output to stderr.

2004-03-12  Simon Budig  <simon@gimp.org>

	* libgimp/gimppixelfetcher.c: fixed off-by-one error
	in gimp_pixel_fetcher_get_pixel () for EDGE_BLACK mode.

	Fixes bug #136907

2004-03-12  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c (gimp_display_shell_bucket_fill):
	only set the text layer's color if a color is being dropped. Fixes
	crash on pattern drops (bug #136645).

2004-03-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_editor): always connect
	the "text_changed" signal so text layers can be edited again.

2004-03-12  Sven Neumann  <sven@gimp.org>

	* app/gui/tool-options-menu.c (tool_options_menu_entries): added
	explicit menu branches to allow them to be translated (bug #136937).

2004-03-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptextoptions.c (gimp_text_options_create_text):
	set the color of the new text from the context foreground color.

2004-03-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptextoptions.[ch]: redid the color handling.
	Still not perfect, but it is somewhat cleaner.

2004-03-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpcontext.c: reverted a small change that I didn't
	want to commit at all.
	
2004-03-11  Sven Neumann  <sven@gimp.org>

	* app/config/gimpconfig-utils.c: made gimp_config_sync() and
	gimp_config_connect() also work on objects of different types.
	Properties with the same name and the same type are synced /
	connected.
 
	* app/core/gimpcontext.[ch]: added convenience functions to get/set
	the font by name.

	* app/tools/gimptextoptions.[ch]: don't hold a GimpText object
	that duplicates properties like font and color which are in
	GimpContext already. Instead added all text properties that are
	controlled from the text tool options.  Handling of the foreground
	color is somewhat broken and needs a GimpContext wizard (Mitch!).

	* app/text/gimptext.c: blurbs are not any longer needed now that
	the property widgets are created from the GimpTextOptions.

	* app/tools/gimptexttool.c: changed accordingly.

	* app/widgets/gimptexteditor.[ch]: use an internal GtkTextBuffer
	and emit "text-changed" when it changes.

2004-03-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/colortoalpha.c: when running in interactive
	mode, get the foreground color after restoring the parameters from
	the last run.

2004-03-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_initialize):
	connect to notify::preview using g_signal_connect_object().
	Fixes bug #136850.

2004-03-10  Manish Singh  <yosh@gimp.org>

	* data/misc/gimp.applications.in: GIMP_VISIBLE_NAME doesn't exist
	anymore. Just use "The GIMP".

2004-03-10  Manish Singh  <yosh@gimp.org>

	* acinclude.m4: #include <string.h> for gimp-print test. Fixes
	#136747.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): redid last change so it
	calls tool_manager_cursor_update_active() *before*
	tool_manager_button_press_active(). Removes the ugly
	"force_cursor_updating" boolean again and adds even more ugly code
	duplication instead.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): added new local state
	"gboolean force_cursor_updating" which makes the function call
	tool_manger_cursor_update_active() even though a mouse button is
	pressed. Fixes tool cursors in click-to-focus mode.  Reported by
	Michael Schumacher.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_events): work around bug #136636 (Win32 only)
	and ask the current device for its modifier state in order to fill
	in the missing GDK_BUTTON*_MASK bits in GdkEventKey::state.

2004-03-10  Ville Pätsi  <drc@gimp.org>

	* Makefile.am
	* configure.in: Removed gimp.spec creation and distribution.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c: disabled debugging
	output when pushing/popping the move too using <space>.

2004-03-10  Simon Budig  <simon@gimp.org>

	* app/base/cpu-accel.c
	* app/display/gimpdisplayshell-dnd.c
	* app/tools/gimpvectortool.c
	* app/vectors/gimpbezierstroke.c
	* app/vectors/gimpvectors-import.c: Removed, disabled or
	conditionalized some debug output.

	There still is debug output when pushing/popping the move tool
	via space bar. Mitch wanted to look at that.

2004-03-10  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpdnd.c: Disabled debug output and made it
	conditional with DEBUG_DND.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/paint-funcs/paint-funcs.h
	* libgimpwidgets/gimphelpui.c: fixed prototypes to match function
	definitions. Fixes bug #136343.

	* app/base/temp-buf.c (temp_buf_new): remove unused variable.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpdrawtool.c
	* app/tools/gimpselectiontool.c
	* app/tools/gimptool.c
	* app/tools/gimptransformtool.c: minor cleanup.

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/tools/tool_manager.c (tool_manager_image_dirty): don't
	reinitialize the tool when the image becomes dirty but just cancel
	it (fixes bug #131965). Also, only cancel the tool if the tool is
	operating on one of the dirtied image's displays (fixes bug #12253).

2004-03-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_object_popup.c: marked missing strings
	for localization (bug #136713).

	* plug-ins/imagemap/imap_stock.c (imap_stock_items): fixed bogus
	translation domain for stock item (bug #136713).

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/edit.pdb (edit_cut, edit_copy): added boolean
	return value indicating whether the cut/copy was successful.
	Fixes bug #136489.

	* app/pdb/edit_cmds.c
	* libgimp/gimpedit_pdb.c: regenerated.

2004-03-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/ifscompose/ifscompose.c: added missing localization for
	popup menu (bug #136706).

2004-03-10  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-save-dialog.c (file_save_dialog_save_image): added
	boolean return value and don't hide the file dialog on success but
	return TRUE.

	(file_save_dialog_response)
	(file_save_overwrite_callback): hide the file dialog here instead.

2004-03-09  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpmovetool.c (gimp_move_tool_button_press): redid my
	last layer_mask vs. layer move fix by reordering the whole
	function: now we first check if we can pick a path, guide or layer
	and bail out early if we can't; do the actual init_edit_selection()
	calls in a trivial unconditional switch() after that picking
	check. Removes code duplication and makes the whole function less
	nested and weird.

	Cleaned up the whole file a bit.

2004-03-09  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c (gimp_help_internal): call
	procedural_db_destroy_args() with the correct nargs.

2004-03-09  Simon Budig  <simon@gimp.org>

	* app/gui/preferences-dialog.c: Resurrect the "Save"-Button
	in the input-devices dialog, to avoid to confuse the users
	as described in bug #128588. This is not a proper fix though,
	since the input device configuration should be independant
	from the tool configuration. However, we can bump this bug
	to 2.2 now.

2004-03-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/gimpressionist/general.c: fixed typo (bug #136610).

2004-03-09  Sven Neumann  <sven@gimp.org>

	Finished some work that Brix started on the help system. It's
	now possibly to use an external web-browser for context help
	(bug #136081):

	* configure.in
	* plug-ins/Makefile.am
	* plug-ins/help/Makefile.am
	* plug-ins/help/domain.[ch]
	* plug-ins/help/help.c: new plug-in that does the help domain
	management. Most of this used to live in the helpbrowser plug-in.

	* plug-ins/helpbrowser/Makefile.am
	* plug-ins/helpbrowser/domain.[ch]: removed these two files here.

	* plug-ins/helpbrowser/helpbrowser.c: changed accordingly.

	* app/widgets/gimphelp.c: use the new help plug-in.
	
2004-03-08  Sven Neumann  <sven@gimp.org>

	* app/gui/convert-dialog.c (indexed_palette_select_palette): added
	a message explaining that GIMP cannot convert to a palette with
	more than 256 colors. Should actually not list palettes that don't
	match this criteria, but we'll leave that change for later (see
	bug #136574).

2004-03-08  Manish Singh  <yosh@gimp.org>

	* app/plug-in/plug-in.h: Use GPid with newer glib so that we work
	cleanly with the new API.

2004-03-08  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell.c: redone this change. We should
	probably add a GimpMessageDialog to avoid duplicating this code
	every so often.

2004-03-08  Dave Neary  <bolsh@gimp.org>

	* app/display/gimpdisplayshell.c: First attempt to resolve bug 
	#107009. This changes the wording on the buttons to "Discard 
	changes" and "Cancel" when closing an insaved image. However I 
	think the absence of icons is a but ugly. I would like to add 
	respectively the icons from GTK_STOCK_DELETE and GTK_STOCK_CANCEL 
	to these two buttons.

2004-03-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/svg.c (run): added missing call to INIT_I18N()
	(spotted by Yuheng Xie, bug #136535).

2004-03-08  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/shadow_bevel.py: don't pass extra
	parameters to undo group functions. Fixes #136524.

2004-03-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mng.c (run): added missing call to INIT_I18N()
	(spotted by iiccii@hotmail.com).

2004-03-07  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/edit.pdb (gimp-edit-copy, gimp-edit-cut)
	removed some comments that dated back to the time when these
	functions used to take image and drawable parameters.

	* app/pdb/edit_cmds.c
	* libgimp/gimpedit_pdb.c: regenerated.

2004-03-07  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-edit.c (gimp_edit_extract): fixed bug added when
	factoring out gimp_edit_extract(): check if tile_manager_crop()
	cropped away the whole TileManager before making a GimpBuffer from
	it.

2004-03-07  Sven Neumann  <sven@gimp.org>

	* gimp.spec.in: removed references to static libraries. These
	are not any longer built by default.

2004-03-07  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpfontmenu.c (gimp_font_select_widget_new): use
	GIMP_STOCK_FONT instead of GTK_STOCK_SELECT_FONT.

2004-03-07  Sven Neumann  <sven@gimp.org>

	Made size of undo previews configurable. Not dynamic for now, but
	at least not hardcoded any longer. Fixes bug #119905:
	
	* app/config/gimpcoreconfig.[ch]
	* app/config/gimprc-blurbs.h: added "undo-preview-size" property.

	* app/core/gimpundo.[ch]: use the new property instead of a
	hardcoded value.

	* app/widgets/gimpundoeditor.[ch]: added a "preview-size"
	construct property.

	* app/gui/dialogs-constructors.c: changed accordingly.

	* app/gui/preferences-dialog.c: added a widget to control the undo
	preview size.

2004-03-07  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: more cleanup.

2004-03-07  Sven Neumann  <sven@gimp.org>

	* tools/Makefile.am (AM_CPPFLAGS): define GIMP_APP_VERSION

	* tools/gimp-remote.c: when starting a new gimp, make sure the
	desktop-startup-id gets passed to it. Makes startup notification
	work correctly again.

2004-03-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff.c (run): corrected check for number of PDB
	parameters. Fxes bug #136403.

	* app/widgets/gimpfontview.c: removed unused variables.

2004-03-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpquerybox.c (query_box_disconnect): disconnect
	the response handler to avoid that the query_box callback is being
	called multiple times. Fixes bug #136371.

2004-03-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/plasma.c (add_random): check random range before
	calling g_rand_int_range(). Fixes bug #136321.

2004-03-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/libgimpoldpreview/gimpoldpreview.c: include
	stdplugins-intl.h so that "Preview" ends up in the plug-in
	translation domain (bug #136303).

2004-03-05  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.c: compute the slider positions in the
	expose event handler so that the sliders get positioned correctly
	when the dialog is resized.

2004-03-05  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_random_seed_new): resurrected
	a mnemonic that was lost lately (1.88 -> 1.89) but still exists in
	most translations.

2004-03-05  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcurvestool.c: #include "widgets/gimppropwidgets.h"

2004-03-05  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c
	* app/tools/gimpthresholdtool.c: added buttons to toggle the
	histogram scale from the tool dialogs. Fixes bug #136227.

2004-03-04  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpmovetool.c (gimp_move_tool_button_press): if we
	pick a layer to move and this layer has a mask which is being
	edited (active), start moving the mask, not the layer.

2004-03-04  Sven Neumann  <sven@gimp.org>

	* app/config/gimprc-blurbs.h: marked new strings for translation.

	* libgimpwidgets/gimpstock.h: added #defines for missing icons.
	This allows us to replace them later without changing the API.

	* app/gui/dialogs-constructors.c
	* app/gui/dialogs-menu.c
	* app/gui/gradient-editor-commands.c
	* app/gui/image-menu.c
	* app/gui/toolbox-menu.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimptextoptions.c
	* app/widgets/gimppaletteeditor.c: use the new stock icon names
	instead of abusing GTK+ and GIMP tool stock icons.

	* app/gui/preferences-dialog.c (prefs_dialog_new): added icons
	to the new check buttons.

2004-03-04  Simon Budig  <simon@gimp.org>

	* app/gui/preferences-dialog.c: remove the widgets for
	global-font and global-palette, since these are no options
	for multiple tools and have no visible effect for the user.

2004-03-04  Sven Neumann  <sven@gimp.org>

	* autogen.sh: follow the changes done for other modules such as
	glib, pango and gtk+:

	- exit with $? instead of 1 in case of failure
	- exit with $? if ./configure failed
	- removed --enable-gtk-doc option
	- added $AUTOGEN_CONFIGURE_ARGS

	* HACKING: document the new behaviour.

2004-03-04  Michael Natterer  <mitch@gimp.org>

	* app/config/gimpcoreconfig.[ch]
	* app/config/gimprc-blurbs.h: added boolean properties
	"global-brush", "global-pattern" etc.

	* app/gui/preferences-dialog.c: added GUI for them to the
	"Tool Options" page.

	* app/tools/tool_manager.c (tool_manager_tool_changed): honor the
	new prefs options when copying the new tool's properties.
	Fixed bug #122519.

2004-03-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimptoolinfo.c: minor cleanup.

2004-03-04  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_init): eek, the
	separator crept back in while hacking GimpFileDialog. Removed it
	again.

2004-03-04  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpwidgets-utils.c (gimp_message_box): set the
	window icon to the icon displayed in the message dialog.

2004-03-04  Simon Budig  <simon@gimp.org>

	* plug-ins/common/animationplay.c: Display Frame numbers from
	1 to n instead of 0 to n-1. Less confusing for the user.

	Fixes bug #136124

2004-03-04  Sven Neumann  <sven@gimp.org>

	* Made 2.0pre4 release.

2004-03-04  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpimagedock.[ch]: #ifdef'ed the code for
	the global shortcuts and disabled it.

	Fixes bug #133453

2004-03-03  Sven Neumann  <sven@gimp.org>

	* app/vectors/gimpvectors-import.c (gimp_vectors_import): better
	error reporting in case of a parser error.

2004-03-03  Simon Budig  <simon@gimp.org>

	* app/xcf/xcf-load.c: make the path-loading debug output conditional.

2004-03-03  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_get_new_preview):
	let GdkPixbuf scale the thumbnail. It does a nicer job than
	temp_buf_scale().

2004-03-03  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolormapeditor.c (gimp_colormap_editor_class_init):
	GDK_TYPE_MODIFIER_TYPE are flags, not enum values, use the
	right marshaller for the "selected" signal.

2004-03-03  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimppreviewrendererimagefile.[ch]: moved the
	(disabled) ENABLE_FILE_SYSTEM_ICONS from the .c to the .h file and
	#ifdef the "gpointer file_system" member with it.

2004-03-03  Simon Budig  <simon@gimp.org>

	* app/vectors/gimpvectors.c: fixed offset handling. Vectors
	objects always have 0,0 as offsets and image->width,
	image->height as their dimensions.

	Fixes bug #135994.

2004-03-03  Michael Natterer  <mitch@gimp.org>

	* libgimpthumb/gimpthumb-utils.[ch] (gimp_thumb_file_test):
	return the "errno" of a failed stat() call.

	* libgimpthumb/gimpthumbnail.[ch]: added member
	"image_not_found_errno" which contains the errno as returned by
	gimp_thumb_file_test() if thumbnail->image_state is
	GIMP_THUMB_STATE_NOT_FOUND.

	* app/core/gimpimagefile.c (gimp_imagefile_get_desc_string): display
	the real error as specified by thumbnail->image_not_found_errno
	instead of just "Could not open".

2004-03-03  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimppreviewrendererimagefile.[ch]: added new preview
	renderer class (has some disabled code from my GtkFileChooser tree
	and behaves exactly as the default implementation).

	* app/widgets/gimppreviewrenderer-utils.c: use it for GimpImagefiles.

2004-03-02  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpfu.py: Disable PF_*ARRAY for now. Addresses
	#122049.

2004-03-02  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpeditselectiontool.c
	* app/widgets/gimplayertreeview.c: compress undo steps only
	if the redo stack is empty.

2004-03-02  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/common/bumpmap.c (bumpmap): Fix handling of positive Y
	displacements of the bumpmap. Thanks to Joao S.O. Bueno for
	tracking this. Fixes bug #135866.

2004-03-01  Manish Singh  <yosh@gimp.org>

	* configure.in: define a gimp_stable symbol based on the version
	number (to complement gimp_unstable) and use it as a default for
	--enable-default-binary.

2004-03-01  Sven Neumann  <sven@gimp.org>

	* app/config/test-config.c: added simple test for gimp_config_diff().

2004-03-01  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpfiledialog.[ch] (gimp_file_dialog_set_uri):
	new function which configures the dialog to load an image.

	* app/gui/file-open-dialog.c: use it. Don't use file-dialog-utils
	any more and allow setting the uri of an already visible file open
	dialog.

	* app/gui/file-dialog-utils.c: took the file open menu entries out
	of that insane logic that makes the menus insensitive while any
	file dialog is open.

2004-03-01  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpfiledialog.[ch] (gimp_file_dialog_set_image): 
	new function which configures the dialog to save an image.

	* app/gui/file-save-dialog.c: use it.

	* app/gui/file-open-dialog.c
	* app/gui/file-save-dialog.c: removed useless #inlcudes.

2004-03-01  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpfiledialog.[ch] (gimp_file_dialog_new): added
	unused "GSList *file_procs" parameter.

	* app/gui/file-open-dialog.c: pass gimp->load_procs.
	* app/gui/file-save-dialog.c: pass gimp->save_procs.

2004-02-29  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpblendoptions.c: changed the upper limit for the
	supersampling depth from 10 to 6 (as a workaround for bug #133266).

2004-02-29  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpunitmenu.c (gimp_unit_menu_create_selection):
	no need to connect to "destroy", GTK_DIALOG_DESTROY_WITH_PARENT
	does this for us already.

2004-02-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpdialog.c: removed the call to
	gtk_widget_get_toplevel() again.
	Implement the GTK_DIALOG_DESTROY_WITH_PARENT behaviour in a way
	that works for GimpDialog.

	* app/gui/resolution-calibrate-dialog.c: pass the toplevel window
	to gimp_dialog_new ().
	
2004-02-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcellrendererviewable.c: some general cleanup.

	(gimp_cell_renderer_viewable_set_property): ref the new renderer
	before unrefing the old one. Fixes potential crash when setting
	the same renderer again.

2004-02-28  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplayer.c (gimp_layer_apply_mask): when deleting the
	mask, use "Delete Layer Mask" instead of "Apply Layer Mask" as
	undo description.

2004-02-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpdialog.c (gimp_dialog_new_valist): if the
	parent widget is not a GtkWindow, use gtk_widget_get_toplevel()
	to get a pointer to the window the widget lives in.

	* app/gui/resolution-calibrate-dialog.c: don't make the dialog
	modal. It was a bad idea to do that, leading to problems spotted
	by Pedro Gimeno (bug #135630).

2004-02-27  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpfileentry.c: removed useless #includes.

2004-02-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-dialog-utils.c
	* app/widgets/gimpfiledialog.c
	* libgimpwidgets/gimpfileentry.[ch]: some irrelevant micro changes
	to make that patch smaller.

2004-02-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-open-dialog.c
	* app/gui/file-save-dialog.c: merged some small fixes/changes
	from my HEAD tree so the file chooser patch becomes smaller.

2004-02-27  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_save_thumb): peek the
	image to make sure that mtime and filesize are written correctly.

2004-02-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-open-dialog.c: removed the thumbnail box.

	* app/widgets/gimpfiledialog.c: and added it here.

2004-02-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-dialog-utils.[ch]: renamed parameters and removed
	useless #includes.

2004-02-27  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpfiledialog.[ch]: new widget swallowing most
	of file-dialog-utils.[ch]'s functionality.

	* app/widgets/widgets-types.h: added "gpointer callback_data" to
	GimpItemFactorySetupFunc so the setup_funcs can create items in
	the same context as the item factory's default items.

	* app/widgets/gimpmenufactory.c (gimp_menu_factory_menu_new):
	pass "callback_data" to setup_func().

	* app/gui/file-open-menu.[ch]
	* app/gui/file-save-menu.[ch]: use the passed callback_data
	when creating the menus and attach the file_proc to the
	menu items using g_object_set_data().

	* app/gui/file-commands.[ch]: merged separate file type callbacks
	for open and save dialogs into one callback which simply
	calls gimp_file_dialog_set_file_proc().

	* app/gui/file-dialog-utils.[ch]: removed file_dialog_new()
	and file_dialog_set_proc().

	* app/gui/file-open-dialog.[ch]
	* app/gui/file-save-dialog.[ch]: use the new widget and removed
	global variables except the dialog pointer itself.

	* app/gui/image-menu.[ch]
	* app/gui/tool-options-menu.[ch]
	* app/gui/toolbox-menu.[ch]: changed accordingly.

2004-02-26  Sven Neumann  <sven@gimp.org>

	* INSTALL: improved help on missing libraries at run-time.

2004-02-26  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-dialog-utils.[ch] (file_dialog_hide): changed
	return value from gboolean to void because the function is no
	longer used as "delete_event" callback.

	* app/gui/file-open-dialog.c
	* app/gui/file-save-dialog.c: removed unused #includes.

2004-02-26  Michael Natterer  <mitch@gimp.org>

	* app/file/file-open.c (file_open_image): added missing cast.

	* app/widgets/gimperrorconsole.[ch]
	* app/widgets/gimptexteditor.[ch]: renamed members so my file
	chooser patch becomes smaller ;)

2004-02-26  Pedro Gimeno  <pggimeno@wanadoo.es>

	* app/file/file-open.c (file_open_image): Applied a fix by
	Michael Natterer addressing a problem with the preview in the
	open images list when loading a file.

2004-02-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpthumbbox.[ch]: renamed some members, cleanup.

2004-02-26  Sven Neumann  <sven@gimp.org>

	* app/display/gimpprogress.c (gimp_progress_end): check
	display->shell before using it. It might be NULL if the function
	is being called from gimp_exit().

	* app/app_procs.c (app_exit_after_callback): added back the call
	to exit() but only for stable releases. See my comments in the
	code to understand the reasons.

2004-02-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpthumbbox.[ch]: new widget ripped out of the file
	open dialog.

	* app/gui/file-open-dialog.c: use it.

2004-02-26  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c: fixed my fixes.

2004-02-25  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_load_thumb): never
	return a failed pixbuf.

	(gimp_thumbnail_save_failure) (gimp_thumbnail_save_thumb): set the
	thumb_state when saving a thumbnail.

2004-02-25  Michael Natterer  <mitch@gimp.org>

	Changed libgimpthumb API in a way that will make GtkFileChooser
	integration possible without doing major hacks:

	* libgimpthumb/gimpthumb-enums.h: added GimpThumbFileType enum
	and extended GimpThumbState enum.

	* libgimpthumb/gimpthumb-utils.[ch]: return GimpThumbFileType
	instead of gboolean from gimp_thumb_file_test().

	* libgimpthumb/gimpthumbnail.c
	* app/core/gimpimagefile.c: changed accordingly (the icons
	used for REMOTE, FOLDER and SPECIAL need to be changed).

2004-02-25  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c: cleanup.

	* app/tools/gimplevelstool.c (gimp_levels_tool_dialog): added 2px
	spacing between the pick buttons and their entries.

2004-02-25  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.[ch]: moved "shell_desc" from
	GimpImageMapTool to GimpImageMapToolClass and added
	"load_dialog_title" and "save_dialog_title". Create the
	load/save buttons in gimp_image_map_tool_initialize() and
	remember them in the GimpImageMapTool struct. Moved the
	whole load/save button/dialog logic into private functions.

	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c: changed accordingly, removed
	load/save callbacks, inlined the load/save functions into
	GimpImageMapTool's virtual function implementations.

	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimpposterizetool.c
	* app/tools/gimpthresholdtool.c: changed accordingly.

2004-02-25  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.[ch]
	* app/tools/gimplevelstool.h: removed obsoleted variables.

2004-02-25  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.[ch]
	* app/tools/gimpimagemapoptions.[ch]
	* app/tools/gimpimagemaptool.[ch]
	* app/tools/gimplevelstool.[ch]: moved the settings file dialog
	that was duplicated in the curves and levels tools to the
	GimpImageMapTool class. Store the last used filename in the
	GimpImageMapOptions (proper fix for bug #135059).

2004-02-24  Dave Neary  <bolsh@gimp.org>

	* app/tools/gimpcurvestool.c: Revert to 1.2 behaviour of hiding
	rather than destroying the curves load/save dialog. This makes 
	the last selected curve be selected when the dialog is 
	re-opened, and fixes bug #135059.

	Also append G_DIR_SEPARATOR_S to the end of the filename we 
	build while creating the dialog, rather than ".".

2004-02-24  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpfileentry.[ch]: renamed member
	"file_selection" to "file_dialog" because the former refers to the
	currently used implementation, while the latter is neutral.

2004-02-23  Adam Weinberger  <adamw@FreeBSD.org>

	* configure.in: added "en_CA" (Canadian English) to ALL_LINGUAS.

2004-02-23  Michael Natterer  <mitch@gimp.org>

	* app/core/core-types.h: added #defines for GimpCoords' default
	pressure, tilt and wheel values.

	* app/display/gimpdisplayshell-callbacks.c
	* app/paint/gimppaintcore-stroke.c
	* app/text/gimptext-vectors.c
	* app/vectors/gimpvectors-compat.c
	* tools/pdbgen/pdb/paint_tools.pdb: use them. Fixes lots more
	buggy default values for tilt (in fact all of them were wrong).

	* app/pdb/paint_tools_cmds.c: regenerated.

2004-02-23  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c: corrected the
	value ranges and default values for GDK_AXIS_XTILT and
	GDK_AXIS_YTILT. Now the ink-tool behaves sane with a mouse
	again  :)

2004-02-23  Simon Budig  <simon@gimp.org>

	* app/tools/gimpinktool-blob.c: don't access the array before
	checking if the index is within the valid bounds...

2004-02-23  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-snap.[ch]: return the snapped coordinates as
	gdouble, not gint because we must not round the unsnapped axis
	if only one axis snapped.

	* app/display/gimpdisplayshell.[ch] (gimp_display_shell_snap_coords):
	changed accordingly. Added boolean return value indicating "snapped".

	* app/display/gimpdisplayshell-cursor.[ch]
	(gimp_display_shell_update_cursor): take both display_x and _x and
	(possibly snapped) image_x and _y. Use the snapped values for the
	statusbar and the unsnapped ones for updating the info_window.

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): applied modified patch
	from Simon Budig which moves guide/grid snapping out of the
	button_press/motion/button_release handlers and *always* snaps
	the image_coords if the active_tool wants them to be snapped.
	Makes sure that e.g. the brush preview is drawn at the right
	place and fixes bug #134284.

	Also pass both display_coords and image_coords to
	gimp_display_shell_update_cursor().

2004-02-23  Simon Budig  <simon@gimp.org>

	* app/core/gimp.[ch]: removed unused member "standard_context"
	from the Gimp struct.

2004-02-22  Sven Neumann  <sven@gimp.org>

	Let all GimpImageMap tools remember the state of the preview toggle
	(bug #135059):

	* app/tools/Makefile.am
	* app/tools/gimpimagemapoptions.[ch]
	* app/tools/tools-types.h: added new GimpToolOptions class to hold
	the preview setting.

	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimpcoloroptions.[ch]
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimpimagemaptool.[ch]
	* app/tools/gimpposterizetool.c
	* app/tools/tools-types.h: use the new class.

2004-02-21  Manish Singh  <yosh@gimp.org>

	* app/widgets/gimpenummenu.c (gimp_enum_stock_box_set_child_padding):
	Add GTK_MISC cast for bin->child.

2004-02-21  Simon Budig  <simon@gimp.org>

	* app/tools/gimpdrawtool.[ch]: added "use_offsets" parameter
	to gimp_draw_tool_draw_boundary() for consistency.

	* app/tools/gimpeditselectiontool.c: Changed accordingly.

	* app/tools/gimppainttool.c: when drawing straight lines draw
	the brush preview at the end of the line.

2004-02-20  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.[ch]: put the color bars into an event
	box and draw the sliders on the event box window.

	* app/widgets/gimpcolorbar.[ch]: removed support for input events
	which is no longer needed. For consistency, renamed "channel"
	property to "histogram-channel".

	* app/widgets/gimphistogrambox.c: changed accordingly.

	* app/widgets/gimpenummenu.[ch]: added new function
	gimp_enum_stock_box_set_child_padding().

	* app/tools/gimpcurvestool.c: let the graph widget expand with the
	dialog plus some other dialog tweaks.

	* app/widgets/gimphistogrameditor.c: let the channel menu shrink
	as in the other dialogs.

	* libgimpwidgets/gimpcolorselect.c (gimp_color_select_image_fill):
	allocate temporary buffer on the stack.

2004-02-20  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/pygimp/plug-ins/sphere.py: Moved to the Test menu,
	to clarify its station in life.

2004-02-20  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/pygimp/gimpfu.py: Do some simple validation on the
	GUI input. Arrays are still kinda hokey though. Based on Dave Neary's
	patch, addresses bug #122049.

	* plug-ins/common/pygimp/plug-ins/sphere.py: Make sure radius is at
	least 1. Thanks to Florian Traverse for noticing. (Also in #122049)

2004-02-20  Simon Budig  <simon@gimp.org>

	* plug-ins/common/lic.c: fixed crash when the effect image
	is smaller than the target drawable. Major code overhaul (not
	yet fully completed), removed global variables, removed
	micro-functions that itself just invoke micro-functions, use
	more libgimpcolor functions.

	Slightly improved the algorithm by adding small random
	distorsions to the effect image. This avoids artefacts in plain
	areas.

2004-02-19  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpcolorbar.[ch]: added new widget GimpColorBar.

	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c
	* app/widgets/gimphistogrambox.[ch]: use GimpColorBar widgets.

	* app/widgets/gimpcolorframe.[ch]: fixed typos.

2004-02-19  Michael Natterer  <mitch@gimp.org>

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-display-filter-16.png
	* themes/Default/images/stock-display-filter-24.png
	* libgimpwidgets/gimpstock.[ch]: added Jimmac's glasses.

	* app/display/gimpdisplayshell-filter-dialog.c
	* app/gui/image-menu.c: and use them.

2004-02-19  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdasheditor.[ch]: removed static variables, don't
	use GIMP_CONFIG_INSTALL_PROP_FOO() for non-config classes,
	trailing whitespace, cleanup.

2004-02-19  Simon Budig  <simon@gimp.org>

	* plug-ins/common/lic.c: fixed gimp_dialog_new invocation.
	Also fixed a blatant error in the algorithm (GimpRGB has a 
	range from 0..1 for each component...) and now the plugin
	actually does something useful.

2004-02-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c (gimp_curves_tool_dialog): follow
	some of the levels tool dialog changes for consistency.

2004-02-19  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-qmask.c (gimp_image_get_qmask): new function
	which returns the image's QMask.

	* app/core/gimpimage.c (gimp_image_channel_name_changed)
	* app/gui/qmask-commands.c (qmask_query_response): use it.

2004-02-19  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp.[ch]: added new signal "buffer_changed" and new
	function gimp_set_global_buffer() which emits it when the global
	buffer changes.

	* app/core/gimp-edit.c (gimp_edit_extract): use it instead
	of fiddling with gimp->global_buffer manually.

	* app/gui/image-menu.c: connect to "buffer_changed" and set the
	"Paste" menu entries sensitive. Fixes bug #134752.

	(image_menu_update): changed accordingly. Also changed a lot of
	buggy SET_SENSITIVE() lines which made menu items which work fine
	on any drawable insensitive when there were no layers (instead
	of no drawable).

	* app/gui/edit-commands.c: added new macro return_if_no_drawable()
	and use it instead of return_if_no_image() so we don't run
	into assertions if there is no active drawable.

	(cut,copy_named_buffer_callback): unfortunately had to introduce
	two new translated messages about not being able to cut/copy when
	there is no active drawable.

2004-02-19  Michael Natterer  <mitch@gimp.org>

	* app/config/gimpconfig-serialize.c
	(gimp_config_serialize_property)
	* app/config/gimpconfig-deserialize.c
	(gimp_config_deserialize_property): Reverted my last "cleanup" and
	put the "obsolete" check for the exact owner class of the property
	back. It appears that if a subclass does *not* implement
	GimpConfigInterface *itself*, it still inherits
	serialize_property()/deserialize_property().

2004-02-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.c: more dialog tweaking, fixed
	positioning of slider triangles.

2004-02-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.c (gimp_levels_tool_dialog): applied
	patch from Dave Neary that removes gray point pickers for
	individual channels (bug #125303). Let the levels widgets expand
	with the dialog.

2004-02-18  Simon Budig  <simon@gimp.org>

	* app/config/gimpguiconfig.[ch]
	* app/config/gimprc-blurbs.h: Added new GUI option: snapping distance

	* app/gui/preferences-dialog.c: add a preferences widget

	* app/tools/gimpmovetool.c
	* app/display/gimpdisplayshell.c: use it for snapping.

2004-02-18  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell.c
	* app/tools/gimpmovetool.c: Adjusted snapping distance
	to 8 pixels, probably should be a preferences option.

	* app/tools/gimppainttool.c: Do not center the start and end
	of a straight line to the center of an image-pixel unless
	the brush mode is GIMP_BRUSH_HARD. Fixes bug #134410.

2004-02-18  Sven Neumann  <sven@gimp.org>

	* app/base/tile-cache.c
	* app/base/tile-private.h
	* app/base/tile.[ch]: removed trailing whitespace, added some
	newlines, let tile_is_valid() return a gboolean instead of a gint.

	* app/core/gimpimage-projection.c
	* app/core/gimpimage-undo-push.c
	* app/paint/gimppaintcore.c
	* app/tools/gimpinktool.c: use the return value from tile_is_valid()
	as a boolean.

2004-02-18  Sven Neumann  <sven@gimp.org>

	* app/base/tile.h: exchanged TILEROWHINT_UNKNOWN and
	TILEROWHINT_BROKEN so that TILEROWHINT_UNKNOWN becomes 0. This
	allows to use calloc() to allocate and initialize the rowhint
	array.

	* app/base/tile.c (tile_sanitize_rowhints): reimplemented by a
	call to g_new0().

	* app/base/tile-manager.c (tile_manager_get): use g_memdup() to
	duplicate the rowhints when creating a tile copy.

2004-02-18  Michael Natterer  <mitch@gimp.org>

	Some code review:

	* app/config/gimpconfig-deserialize.c
	* app/config/gimpconfig-serialize.c: removed obsolete code which
	made sure serialize_property()/deserialize_property() are only
	called for properties of the correct class. We do it the right way
	for quite a while now and clear the inherited function pointers in
	gimp_config_iface_base_init().

	* app/config/gimprc.c (gimp_rc_dispose): don't forget to chain up.

	* app/base/gimplut.c
	* app/base/lut-funcs.c
	* app/config/gimpconfig-deserialize.c
	* app/config/gimpconfig-serialize.c
	* app/config/gimpconfig-types.c
	* app/config/gimprc.c
	* app/core/gimp-modules.c
	* app/core/gimpbrush.c
	* app/core/gimpcontainer.c
	* app/core/gimpdocumentlist.c
	* app/core/gimpitem.c
	* app/gui/about-dialog.c
	* app/gui/color-notebook.c
	* app/gui/gui.c
	* app/gui/tips-dialog.c
	* app/paint/gimppaintcore.c
	* app/paint-funcs/paint-funcs.c
	* app/widgets/gimpcolorpanel.c
	* app/widgets/gimpcontainergridview.c
	* app/widgets/gimpcontainermenuimpl.c
	* app/widgets/gimpselectioneditor.c: removed I/O includes from
	files which don't use lowlevel APIs any more. Also removes
	a whole bunch of G_OS_WIN32 special casing. Removed trailing
	whitespace. Misc tiny cleanups.

2004-02-18  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_disconnect): disconnect from the correct
	config objects. Fixes bug #134694.

2004-02-17  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpeditor.c (gimp_editor_add_stock_box): cannot
	gtk_widget_destroy() a floating widget, sink it instead.

	* libgimpwidgets/gimppatheditor.c (gimp_path_editor_set_path):
	plugged a small memleak.

2004-02-17  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/pagecurl/pagecurl.c: Corrected the pairing of
	gimp_drawable_get/gimp_drawable_detach and other cleanups.
	(do_curl_effect): Fixed a bug spotted by Simon Budig: uninitialized
	data could be exposed when applying the effect to non-rectangular
	selections.

2004-02-17  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpviewable.c (gimp_viewable_calc_preview_size): argh,
	take the resolution into account if "dot_for_dot" is FALSE, not
	TRUE.

2004-02-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-scale.c (gimp_image_scale_check): exclude the
	size of the undo stacks so that the memory size is comparable with
	the value displayed in the "New Image" dialog. Fixes bug #134512.

2004-02-17  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpprotocol.[ch]: changed wm_name to app_name in
	the GimpConfig struct; increased GIMP_PROTOCOL_VERSION.

	* app/plug-in/plug-in-run.c (plug_in_run): pass the return value
	of g_get_application_name() to the plug-ins.

	* libgimp/gimp.[ch]: removed function gimp_wm_name(). Set the
	plug-in's application name if an app_name is passed in the config
	message.

	* libgimp/gimpui.c: removed usage of gimp_wm_name(); it was wrong
	to do it this way and caused all plug-ins claim to be the gimp-1.3
	executable in their error messages.

	* libgimp/gimp.def: removed symbol gimp_wm_name.

	* configure.in: reset gimp_binary_age and gimp_interface_age.

	* app/core/gimpimage.c (gimp_image_name_changed): removed unused
	variable.

2004-02-17  Michael Natterer  <mitch@gimp.org>

	Make sure each GimpItem emits "removed" when it is removed from
	the image so dialogs have a chance to close themselves:

	* app/core/gimplayer.c (gimp_layer_apply_mask): emit "removed"
	from the mask.

	(gimp_layer_removed): new function which emits "removed" from
	the layer's mask when the layer gets removed from the image.

	* app/core/gimpimage.c (gimp_image_dispose): emit "removed"
	from all layers, channels and vectors.

	* app/gui/layers-commands.c (layers_scale_layer_query)
	(layers_resize_layer_query): removed recently added connections to
	"removed" because GimpViewableDialog does this automatically.

2004-02-16  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimptile.[ch] (_gimp_tile_cache_flush_drawable): new
	inernal function which removes all tiles from a given drawable
	from the cache.

	* libgimp/gimpdrawable.c (gimp_drawable_detach): call the new
	function before freeing the tiles. Fixes bug #134562.

2004-02-16  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimppixelrgn.c: cleaned up a bit: added missing
	g_return_if_fail()s, iterate lists using for() loops, indentation.

2004-02-16  Sven Neumann  <sven@gimp.org>

	* libgimp/gimptile.c (gimp_tile_cache_insert): partly rewritten.
	Instead of removing the list element from the hash table, freeing
	it, allocating a new one and inserting it again, simply move it to
	the end of the list without touching the hash table at all.

2004-02-16  Sven Neumann  <sven@gimp.org>

	* app/config/gimpxmlparser.c (gimp_xml_parser_parse_io_channel):
	set the GIOChannel encoding to NULL here instead of doing it in
	gimp_xml_parser_parse_file().

2004-02-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig.c (gfig_response): set the Undo button
	insensitive, not the whole dialog (bug #134419). Also start the
	dialog with the Undo button set insensitive.

2004-02-16  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcroptool.c (crop_info_create): use limits from
	libgimpbase instead of arbitrary numbers. Don't allow a crop width
	or height smaller than 1 (or GIMP_MIN_IMAGE_SIZE actually).

2004-02-16  Sven Neumann  <sven@gimp.org>

	* app/display/gimpcanvas.c (gimp_canvas_gc_new): fixed my last
	change here; of course only the guide GCs need a stipple pattern.

2004-02-16  Sven Neumann  <sven@gimp.org>

	* app/config/gimpxmlparser.c (gimp_xml_parser_parse_io_channel):
	unset the GIOChannel's encoding before trying to locate and parse
	the XML header.

2004-02-15  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpdrawable.c (gimp_drawable_get): warn and return NULL
	instead of a meaningless struct for invalid drawable_IDs. Will
	make buggy plug-ins crash earlier and more reliably.

	Replaced all if(drawable) by g_return_if_fail(drawable != NULL)

	* libgimp/gimptile.c (gimp_tile_ref): replaced if(tile)
	by g_return_if_fail(tile != NULL)

	(gimp_tile_unref): g_return_if_fail(tile->ref_count > 0)

2004-02-15  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gif.c: only call gimp_ui_init() when being run
	in interactively. Should fix bug #134423.

2004-02-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdata.c (gimp_data_init): using
	FOO_GET_CLASS(instance) in a GInstanceInitFunc doesn't work
	because during instance init, the object's class is always set to
	be the class of the currently called init function. Use the second
	parameter of GInstanceInitFunc instead, which is the instance's
	real class. Fixes bug #134274.

2004-02-14  Michael Natterer  <mitch@gimp.org>

	Fixed lots of QuickMask brokenness by letting the image adjust
	its qmask_state automatically:

	* app/core/gimpimage-qmask.h: #define GIMP_IMAGE_QMASK_NAME "Qmask".
	Use the define in all files below.

	* app/core/gimpimage.[ch]: split gimp_image_drawable_add,_remove()
	into separate handlers for layers and channels. Added a
	"name_changed" handler for all channels. In the channel "add",
	"remove" and "name_changed" handlers, check if it was a channel
	named "Qmask" that was added, removed or renamed and call
	gimp_image_set_qmask_state() accordingly.

	* app/core/core-enums.[ch]
	* app/core/gimpimage-undo-push.[ch]
	* app/core/gimpundo.c: removed all Qmask undo code because the image
	does the right thing without undo interaction now.

	* app/core/gimpimage-qmask.c (gimp_image_set_qmask_state): set
	gimage->qmask_state early so we can return early when called
	recursively. Removed calls to gimp_image_undo_push_image_qmask().
	Returned "removed" callback (it was utterly broken the way it was
	implemented).

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_qmask_toggled): check if the image's
	qmask state needs to be changed before changing it.

	* app/xcf/xcf-load.c (xcf_load_channel): removed code which
	recognized the qmask. GimpImage does this automatically now.

	* app/gui/qmask-commands.c: cleanup.

	* app/widgets/gimpimagedock.c (gimp_image_dock_constructor):
	destroy the "/Select/By Color" and "/Select/Toggle QuickMask" menu
	items.

	* app/widgets/image-menu.c (image_menu_update): changed accordingly.

2004-02-13  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/psd.c (load_image): Initialize dest to NULL,
	make it so the temp variable use for PANOTOOLS_FIX is only declared
	when it is enabled.

2004-02-13  Manish Singh  <yosh@gimp.org>

	* app/base/temp-buf.c (temp_buf_get_memsize)
	* core/gimpviewable.c (gimp_viewable_get_memsize): Add some casts
	to gsize for ints to prevent overflows.

	* app/base/tile-manager.c (tile_manager_get_memsize): Same as above,
	except cast to gint64.

2004-02-13  Simon Budig  <simon@gimp.org>

	* app/core/gimpimage-guides.[ch]: make a similar fix as in my
	last commit for snapping the guides.
	
	* app/tools/gimpmovetool.c: use the fixed version.

2004-02-13  Simon Budig  <simon@gimp.org>

	* app/core/gimpimage-snap.[ch]: make the snapping width a
	parameter of the snapping functions.

	* app/display/gimpdisplayshell.c: make sure that the snapping
	width always is 5 pixels in the view coordinates.

	Fixes bug #134285

2004-02-13  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-units.c (gimp_units_init, _exit): removed
	redundant g_return_if_fail()s.

2004-02-13  Michael Natterer  <mitch@gimp.org>

	Fixed GimpData's default "writable" and "deletable" behaviour:

	* app/core/gimpdata.c (gimp_data_init): default to writable and
	deletable == TRUE (something that has no filename was never loaded
	from disk and can't be undeletable or read-only).
	Fixes bug #134274.

	* app/core/gimpdata.[ch]: added new function
	gimp_data_make_internal() which frees the filename and sets the
	data's flags accordingly.

	* app/core/gimp-gradients.c (gimp_gradients_add_gradient)
	* app/core/gimpbrush.c (gimp_brush_get_standard)
	* app/core/gimpgradient.c (gimp_gradient_get_standard)
	* app/core/gimppalette.c (gimp_palette_get_standard)
	* app/core/gimppattern.c (gimp_pattern_get_standard): use the
	new function for internal data objects.

	* app/core/gimpdata.c (gimp_data_save, gimp_data_delete_from_disk)
	* app/core/gimpdatafactory.c (gimp_data_factory_save_single):
	bail out with g_return_if_fail() is the data is not writable
	or deletable.

	* app/widgets/gimpdataeditor.c
	* app/widgets/gimpdatafactoryview.c: changed accordingly.

2004-02-12  Sven Neumann  <sven@gimp.org>

	* app/display/gimpcanvas.c (gimp_canvas_gc_new): use
	GDK_CAP_NOT_LAST as the cap_style for all canvas drawing.

2004-02-12  Adam D. Moss  <adam@gimp.org>

	* plug-ins/common/psd.c:
	- Disable one of the PanoTools fixes by default, since it causes
          regressions in some ordinary PSD file loading.
	- Fix a twisted utf8-obsessive bug diagnosed by Piotr Krysiuk
	- Fix another one...
	- Fix from Daniel Rogers: GIMP crashes on 0x0 layers, so we skip them.
	- Also try to avoid 0-sized drawables (including channels)

2004-02-12  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-convert.c (gimp_image_convert): call
	gimp_image_colormap_changed() after installing the colormap.

	* app/tools/gimphistogramoptions.h: fixed typedef of
	GimpHistogramOptionsClass.

2004-02-12  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogramview.c (gimp_histogram_view_button_press):
	ignore double clicks so we don't grab the pointer away from the
	curves dialog. Fixes bug #132356.

	* app/tools/gimpcurvestool.c (curves_graph_events): ignore button
	press and release events from all buttons except the first one.

2004-02-12  Michael Natterer  <mitch@gimp.org>

	Make sure that non-indexed images never have a colormap.
	Fixes bug #121033.

	* app/core/gimpimage-colormap.c (gimp_image_set_colormap): set
	image->cmap to NULL when called with a NULL colormap.

	* app/core/gimpimage-undo-push.c: made colormap undo/redo aware
	of NULL colormaps.

	* app/core/gimpimage-convert.c (gimp_image_convert): remove the
	colormap using gimp_image_set_colormap() instead of freeing it
	manually.

	* app/widgets/gimpcolormapeditor.c: always check if the image
	is INDEXED *and* has a colormap before accessing the colormap.

	(need this new check because the fixed behaviour of colormap undo
	produces undo groups which, when being popped, make the image have
	no colormap while still being INDEXED in the small time frame
	between the emission of "colormap_changed" and "mode_changed").

2004-02-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.[ch]: derive the text tool from GimpTool
	directly. Doesn't look like we are going to use draw_tool
	functionality for 2.0.

2004-02-11  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-dnd.c
	(gimp_display_shell_bucket_fill): when dropping a color on a text
	layer, change the text color. This is a quick hack; we should make
	filling a drawable a virtual method that can be overridden by the
	text layer.

2004-02-11  Sven Neumann  <sven@gimp.org>

	* configure.in (GIMP_DESKTOP_ICON): fixed icon names.

2004-02-11  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c: repaired broken text tool logic
	(bug #124969).

2004-02-11  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-ins.c (plug_ins_init)
	* app/plug-in/plug-in.c (plug_in_close): changed g_warning() to
	g_printerr() in a few places where the problem is not an error in
	GIMP but a misbehaving plug-in. Suppress some of this output in
	the stable branch.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* app/gui/preferences-dialog.c (prefs_dialog_new): removed "Default"
	prefix from "Navigation Preview Size" label again.

2004-02-10  Henrik Brix Andersen  <brix@gimp.org>

	* app/gui/preferences-dialog.c (prefs_dialog_new): prefix preview
	size labels with "Default" to avoid misunderstandings.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/Makefile.am (CORE_IMAGES): use the
	question stock icon instead of the warning one.

	* app/core/gimpviewable.c (gimp_viewable_get_dummy_preview):
	return a question icon as dummy preview.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/Makefile.am: added a rule to create a
	header containing a warning pixbuf that we can use from the core.

	* app/base/temp-buf.c (temp_buf_new): rewritten an optimisation so
	that it works for any number of bytes per pixel.

2004-02-10  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpviewable.[ch]: added new function
	gimp_viewable_get_dummy_preview() which currently returns a
	completely white and opaque TempBuf of the requested size.  Added
	this useless function because this is the place where to implement
	a nicer preview if someone volunteers.

	* tools/pdbgen/pdb/drawable.pdb
	* tools/pdbgen/pdb/image.pdb: use the new function if
	gimp->config->layer_previews is FALSE instead of returning no
	preview at all. Fixes bug #112012.

	Cleaned up the preview functions a bit and raised
	the limit for drawable previews from 128x128 to 256x256.

	* app/pdb/drawable_cmds.c
	* app/pdb/image_cmds.c
	* libgimp/gimpdrawable_pdb.c: regenerated.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* configure.in: warn when gimpprint is older than version 4.2.6.
	It's probably too late to introduce a dependency on that version
	but we would like people to update in order to avoid bug #125283.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolorframe.c (gimp_color_frame_init): make the
	value labels selectable as suggested by Mariano Suárez-Alvarez in
	bug #133958.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 1.3.27 (interface_age 1,
	binary_age 1). Added GIMP_DESKTOP_ICON variable and set it
	depending on GIMP_UNSTABLE.

	* data/images/Makefile.am
	* data/images/wilber-devel-icon.png
	* data/images/wilber-icon.png: renamed the development icon and
	added one for the stable version.

	* data/misc/gimp.desktop.in.in: use @GIMP_DESKTOP_ICON@.

2004-02-10  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_register): set
	GIMP_CONTEXT_FONT_MASK. Fixes bug #133067.

2004-02-09  Simon Budig  <simon@gimp.org>

	* plug-ins/script-fu/scripts/add-bevel.scm: Fixed Undo
	handling, make sure that the bumpmap is big enough to
	avoid artefacts.

	Fixes bug #130636.

2004-02-09  Michael Natterer  <mitch@gimp.org>

	* app/gui/gui.c (gui_libs_init): added runtime check for
	fontconfig > 2.2.0 and abort with a dialog box telling the
	user to upgrade fontconfig if the requirement is not met.
	Fixes all bugs like #133818.

2004-02-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/curve_bend.c: applied patch from Wolfgang Hofer
	that fixes bug #133244.

2004-02-09  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am: some updates to the gimp-console rules so that
	it fails less badly.

2004-02-09  Manish Singh  <yosh@gimp.org>

	* app/file/Makefile.am
	* app/paint/Makefile.am
	* app/text/Makefile.am
	* app/xcf/Makefile.am: changed GTK_CFLAGS to GDK_PIXBUF_CFLAGS, since
	we don't use any gtk/gdk functions here. This especially helps in the
	text directory, since it avoids problems on broken setups with old
	fontconfig stuff in the X11 directory lying around.

2004-02-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/text-circle.scm: removed some workarounds
	for bugs in the GIMP 1.2 text functions that don't exist any longer.

2004-02-09  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-undo-push.c (undo_pop_layer) (undo_push_layer)
	* app/paint-funcs/paint-funcs.c (scale_region): ifdef'ed out debug
	output.

2004-02-09  Sven Neumann  <sven@gimp.org>

	* app/core/gimpitem.[ch]: added progress callback pointers to
	gimp_item_scale() and its variants.

	* app/core/gimpchannel.c
	* app/core/gimpdrawable.c
	* app/core/gimpimage-scale.c
	* app/core/gimplayer.c
	* app/core/gimpselection.c
	* app/gui/layers-commands.c
	* app/paint-funcs/paint-funcs.[ch]
	* app/vectors/gimpvectors.c
	* tools/pdbgen/pdb/layer.pdb: changed accordingly. Fixes bug #97999.

	* app/pdb/layer_cmds.c: regenerated.

2004-02-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpiscissorstool.c (gimp_iscissors_tool_button_press): 
	don't activate the iscissors tool if it's already active
	(bug #132351).

2004-02-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_set_layer): implemented
	so that double-clicking a text layer now only activates the text
	tool but also set the layer's text on the tool options.

2004-02-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptoolcontrol.c (gimp_tool_control_activate)
	(gimp_tool_control_halt): put overly picky sanity checks into
	#ifdef GIMP_UNSTABLE ... #endif so we won't get these harmless
	tool warnings from the stable version (bug #121074).

2004-02-08  Hans Breuer  <hans@breuer.org>

	* plug-ins/common/nova.c : access dest[alpha] only if (has_alpha);
	remove stray semicolon, fixes bug #132503	

2004-02-08  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-in-rc.c (plug_in_rc_parse): return FALSE if the
	file wasn't found.

	* app/plug-in/plug-ins.c (plug_ins_init): don't output the error
	message from plug_in_rc_parse() if it failed for file not found.

	Fixes bug #133490.
	
2004-02-08  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppickbutton.c: some code cleanup, no changes.

2004-02-08  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb (image_rotate): fixed typo:
	s/spacified/specified/. Spotted by Kevin Cozens.

	* app/pdb/image_cmds.c
	* libgimp/gimpimage_pdb.c: regenerated.

2004-02-08  DindinX  <david@dindinx.org>

	* plug-ins/common/tiff.c: applied a modified patch from Pablo
	d'Angelo, which add support for tiff layer names when the name is 7
	bits clean.

	Fixes bug #131044

2004-02-07  Manish Singh  <yosh@gimp.org>

	* configure.in: fix use of EXEEXT in tiff checks. Fixes bug #133763.

2004-02-07  Hans Breuer  <hans@breuer.org>

	* gimpdefs.msc : new file to keep common definitions for the msc build
	* **/makefile.msc : use common defintions, e.g. GIMP_VER
	* Makefile.am : add the former to EXTRA_DIST

2004-02-07  Pedro Gimeno  <pggimeno@wanadoo.es>

	* app/core/gimpimage-convert.c (median_cut_pass2_no_dither_rgb):
	Corrected position for alpha_pix in the case of grayscale images
	with custom or mono palette and no dither. Fixes bug #133642.

	(median_cut_pass2_fixed_dither_rgb): Ditto for fixed dither
	(Positioned Color Dither).

2004-02-07  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-draw.c
	(gimp_display_shell_draw_area): intersect the passed in area with
	the real area of the image in display coordinates and render the
	projection only if there actually is an intersection.
	Use gimp_rectangle_intersect() instead of handmade CLAMP()
	constructs. Fixes bug #113142.

2004-02-07  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-in-shm.c (plug_in_shm_get_ID): don't
	g_return_if_fail() if gimp->plug_in_shm is NULL; return -1 instead.
	This allows to run gimp with --no-shm again.

2004-02-07  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.[ch]: removed all drawing functions.
	The file was still too large.

	* app/display/Makefile.am
	* app/display/gimpdisplayshell-draw.[ch]: new files containing
	the drawing functions.

	* app/display/gimpdisplayshell-callbacks.c
	* app/display/gimpdisplayshell-handlers.c
	* app/tools/gimpmovetool.c: changed #includes accordingly.

	* app/display/gimpdisplay-handlers.c
	(gimp_display_size_changed_handler): added some #if 0'ed code I'm
	not sure about. Actually, some of the handlers in this file could
	need the same code, so it could be abstracted as
	gimp_display_stop_draw() or something. Please have a look.

2004-02-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorselect.c: let the color selector widget
	expand. Removes the ugly empty spaces and improves the color
	selection experience ;)

2004-02-05  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_mask_bounds):
	fixed integer/boolean confusion: s/0/FALSE/.

	(gimp_display_shell_draw_cursor): draw the cursor only if
	shell->have_cursor is TRUE.

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_expose): call the above unconditionally.

2004-02-05  Michael Natterer  <mitch@gimp.org>

	Disallow editing of data objects which have no save functionality.
	Also fixed the misassumption that "deletable" is always equal to
	"writable". Fixes bug #133456.

	* app/core/gimpdata.[ch]: added a "deletable" property which is
	always equal to "writable" except when the data class does not
	implement GimpData::save() (then deletable may be TRUE but
	writable is always FALSE).

	* app/gui/brushes-menu.c
	* app/gui/gradients-menu.c
	* app/gui/palettes-menu.c
	* app/gui/patterns-menu.c
	* app/widgets/gimpdatafactoryview.c: look at data->deletable when
	setting the sensitivity of the "Delete" buttons and menu items.

	* app/widgets/gimpdatafactoryview.c
	(gimp_data_factory_view_tree_name_edited): rename the data
	only if it's writable and restore the old name otherwise.

	* app/widgets/gimpdataeditor.c: no need to look at data->internal
	for figuring if the data is editable, data->editable is enough.

	All files above: s/writeable/writable/g

	* app/widgets/gimpbrusheditor.c (gimp_brush_editor_set_data):
	simplified.

2004-02-05  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/edit.pdb (edit_paste): don't call
	gimp_edit_paste() with a NULL buffer. Instead, return an execution
	error if there is no global buffer to paste. Fixes the warning
	triggered by bug #133244 (but not the bug itself of course).

	* app/pdb/edit_cmds.c: regenerated.

2004-02-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_main.c (dialog): quit the main loop when
	the dialog is destroyed. Fixes bug #133532.

2004-02-05  DindinX  <david@dindinx.org>

	* plug-ins/script-fu/scripts/text-circle.scm: Fixes the layout of the
	rendered text.

	Fixes bug #131634

2004-02-05  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-crop.c: removed trailing whitespace.

	* app/gui/debug-commands.[ch]
	* app/gui/toolbox-menu.c: renamed ENABLE_DEBUG_ENTRIES to
	ENABLE_DEBUG_MENU and #define it to be equal to GIMP_UNSTABLE.

2004-02-05  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimprectselecttool.c
	(gimp_rect_select_tool_rect_select): don't try to CLAMP() the
	passed in rectangle to valid image/drawable coordinates manually
	when auto-shrinking the selection. Instead, use
	gimp_rectangle_intersect(). Also honor the active drawable's
	offsets. Fixes bug #133467.

2004-02-05  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-pdb.c (pygimp_param_from_tuple): Translate
	None to NULL when passing strings.

	* plug-ins/pygimp/gimpui.py: Pass None for brush, pattern, and
	gradient get_list so they work. Redo selection list to use a
	TreeView. Quickie solution for now, it could be much better.

2004-02-04  Manish Singh  <yosh@gimp.org>

	* configure.in: Resurrected several autoconf substitutions relating
	to versions, so the .spec file can use them.

2004-02-05  Raphaël Quinet  <quinet@gamers.org>

	* configure.in: Added a conditional definition of the preprocessor
	symbol GIMP_UNSTABLE if the autoconf symbol GIMP_UNSTABLE is
	defined.

	* app/errors.c (gimp_errors_init): Replaced the #if test on
	GIMP_MINOR_VERSION modulo 2 by #ifdef GIMP_UNSTABLE.

	* app/composite/gimp-composite.c (gimp_composite_init): Print the
	init messages only in unstable versions.  Split the messages in
	two lines and mention "supported by gimp_composite" in order to
	give a hint that the availability of some features depends also on
	what code has been written.  Fixes bug #128825.

2004-02-04  Sven Neumann  <sven@gimp.org>

	* app/core/gimpchannel.c
	* app/tools/gimptexttool.c
	* app/vectors/gimpvectors.c
	* app/widgets/gimpbufferview.c: removed double semicolons.

2004-02-04  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am (dist-hook): create an unversioned gimprc manpage.

2004-02-04  Sven Neumann  <sven@gimp.org>

	* Made 2.0pre3 release.

2004-02-04  Sven Neumann  <sven@gimp.org>

	* docs/Makefile.am (EXTRA_DIST): removed redundant entries that
	became invalid when the change to unversioned files was made.

2004-02-04  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-render.c (struct RenderInfo)
	(render_image_accelerate_scaling): use gdouble instead of gfloat
	for x and y scale factors so gfloat's limited precision can't add
	up to off-by-one pixel errors. Fixes display artefacts (missing
	updates) at the bottom and right sides of updated areas at certain
	irrational zoom factors like 1:3.

2004-02-04  Sven Neumann  <sven@gimp.org>

	* app/gui/image-menu.c (image_menu_entries): added percentages to
	the View->Zoom menu entries as suggested in bug #131563.

2004-02-04  Sven Neumann  <sven@gimp.org>

	* app/config/gimprc.[ch]: added the new function
	gimp_rc_set_unknown_token() to get autosave working for unknown
	gimprc tokens.
	
	* app/config/gimpconfig.c: indentation.

	* tools/pdbgen/pdb/gimprc.pdb: gimp->edit_config was used for a
	good reason, it's the one that's saved. Reverted a change I did
	about a month ago. Use gimp_rc_set_unknown_token() so unknown
	tokens get saved. This really fixes gimp_gimprc_set().

	* app/pdb/gimprc_cmds.c: regenerated.

2004-02-03  Manish Singh  <yosh@gimp.org>

	* configure.in: Allow generated files with versions.

	* gimp-2.0.pc.in
	* gimpthumb-2.0.pc.in
	* gimpui-2.0.pc.in
	* docs/gimp-1.3.1.in
	* docs/gimp-remote-1.3.1.in
	* docs/gimprc-1.3.5.in
	* docs/gimptool-2.0.1.in: renamed to unversioned files.

	I left gimptool-2.0.in alone since I didn't want to screw with
	other branches history. It'll be obsolete post-2.0 anyway.

2004-02-03  Manish Singh  <yosh@gimp.org>

	* plug-ins/maze/maze_face.c (maze_dialog): remove unused variable
	randomize.

2004-02-03  Manish Singh  <yosh@gimp.org>

	* gimptool-2.0.in: use GIMP_API_VERSION.

2004-02-03  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_dialog): improved dialog layout.

2004-02-03  Sven Neumann  <sven@gimp.org>

	* app/gui/image-menu.c (image_menu_set_zoom): don't mark weird
	format strings as translatable.

	* data/misc/gimp.desktop.in.in (_Name): use "The GIMP" without an
	"(unstable)" suffix. Should give translators the chance to update
	their translations before the final 2.0 release.

	* configure.in: removed now unused GIMP_VISIBLE_NAME variable.

2004-02-03  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-ins.c (plug_ins_init): use g_clear_error()
	instead of g_error_free() and re-use the same GError location for
	pluginrc parsing and writing.

	(plug_ins_proc_def_insert): when overriding a PlugInProcDef, don't
	take over the menu_path and menu_accel of the overridden proc
	because (a) it's just plain wrong and (b) we don't need to
	preserve the proc_defs' order any more (see below).

2004-02-03  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-proc.[ch]: added new function
	plug_in_proc_def_compare_menu_path() which is a GCompareDataFunc.
	(uses g_utf8_collate() on the translated menu paths).

	* app/plug-in/plug-ins.c (plug_ins_init): sort gimp->load_procs
	and gimp->save_procs using the new compare function above.
	Fixes bug #133180.

	(plug_ins_locale_domain)
	(plug_ins_help_domain): don't g_return_if_fail() on a NULL
	prog_name but return the default locale and help domains
	of the GIMP itself.

	(plug_ins_proc_def_insert): removed obsolete and broken (not
	locale and UTF-8 aware) code which tried to insert new plug-in
	menu entries in alphabetical order (was unused except for load
	and save procs).

	Unrelated:

	* app/plug-in/plug-in-proc.[ch]: added const qualifiers.

	* app/file/file-open.c
	* app/file/file-save.c
	* tools/pdbgen/pdb/fileops.pdb: changed accordingly (constify
	local variables).

	* app/pdb/fileops_cmds.c: regenerated.

2004-02-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/*.scm: applied patch from Kevin
	Cozens <kcozens@interlog.com> which removes the use of deprecated
	constants in all scripts. Fixes bug #133270.

2004-02-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_free_script): 
	call gimp_uninstall_temp_proc() with script->pdb_name, not
	script->script_name. Fixes bug #133280.

2004-02-02  DindinX  <david@dindinx.org>

	* app/display/gimpcanvas.c: gimp_canvas_draw_segments():
	  Do not call gdk_draw_segments() with more than 32000 segments at a
	  time, because XDrawSegments should never be called with more
	  segments than that. This should really be fixed at the gdk level,
	  though.

	This fixes bug #122026.

2004-02-02  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_save_thumb): use
	the UTF-encoded URI in error messages, not the filename.

	* app/Makefile.am: use $(EXEEXT) for dist-hook binary dependency.
	
	* tools/gimp-remote.c: include <unistd.h> conditionally.

2004-02-02  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpimagedock.c (gimp_image_dock_constructor):
	also destroy the <Image> factory's "Tools" submenu because menu
	shortcuts with no or <shift> modifier prevent this key to be
	entered in text entries. This really badly baldy cries for
	GTK+ 2.4's GtkActions...

2004-02-01  Michael Natterer  <mitch@gimp.org>

	* app/config/gimpconfig-path.c (gimp_config_path_expand_only):
	when calculating the length of the expanded path, add the length
	of the UTF-8 converted substitution, not its length in filesystem
	encoding. Finally enables GIMP2_DIRECTORY containing non-ascii
	chars (at least on linux). Should fix bug #130118.

2004-02-01  Michael Natterer  <mitch@gimp.org>

	Disallow to rename the layer mask. Instead, always name the mask
	"<layer name> mask". Fixes bug #133112 along with some other
	unreported ones.

	* app/core/gimpitem.[ch]: added a boolean return value indicating
	success to GimpItem::rename().

	(gimp_item_real_rename): push an undo step only if the item is
	attached.

	* app/core/gimplayer.c (gimp_layer_rename): refuse renaming if
	the layer is a floating selection floated from a channel
	(renaming a layer's floating selection makes a new layer out
	of the floating selection).

	(gimp_layer_duplicate): use gimp_layer_add_mask() to attach the
	mask's duplicate. Fixes mask refcount brokenness for duplicated
	layer masks.

	(gimp_layer_name_changed): new function. Automatically renames the
	layer mask when the layer's name changes.

	* app/core/gimplayermask.c (gimp_layer_mask_rename): new function
	which refuses renaming.

	(gimp_layer_mask_name_changed): skip the unique name voodoo
	GimpItem does by not chaining up.

	(gimp_layer_mask_set_layer): change the mask's name whenever it is
	attached to a layer.

	* app/text/gimptextlayer.c (gimp_text_layer_rename): fiddle with
	text_layer->auto_rename only if renaming was successful.

	* app/widgets/gimpitemtreeview.c (gimp_item_tree_view_name_edited):
	restore the old name if renaming failed.

	* tools/pdbgen/pdb/drawable.pdb (set_name): return an execution
	error if renaming failed.

	* app/pdb/drawable_cmds.c: regenerated.

2004-02-01  Michael Natterer  <mitch@gimp.org>

	* app/xcf/xcf-load.c (xcf_load_layer): no need to set the layer
	mask's offsets, gimp_layer_add_mask() does this for us. Simplified
	mask property assignments.

2004-02-01  Michael Natterer  <mitch@gimp.org>

	Reworked random seed handling once more:

	* libgimpwidgets/gimpwidgets.c (gimp_random_seed_new): make sure
	the displayed random seed value is always the one which will be
	used, whether "Randomize" is checked or not.

	* plug-ins/common/blur.c
	* plug-ins/common/plasma.c
	* plug-ins/common/randomize.c
	* plug-ins/common/sinus.c
	* plug-ins/common/snoise.c
	* plug-ins/maze/algorithms.c
	* plug-ins/maze/maze.c: if running interactively, always take
	the seed value produced by the gimp_random_seed widget and don't
	touch it because the widgets honors the "randomize" toggle
	correctly now.

	For noninteractive and last_vals runs, look at the "randomize"
	boolean and generate a seed if it is TRUE.

	Initialize the random number generators from the seed determined
	by either of the above ways and don't fiddle with it in the inner
	algorithms itself.

	* plug-ins/gflare/gflare.c (plugin_run): initialize the GRand
	from the seed unconditionally.

	(ed_make_page_sflare): no need to get the entry from the random
	seed widget to get its adjustment. Instead get the adjustment
	directly.

	(The random handling code of gflare looks somewhat broken, but
	that applies to the whole plug-in).

2004-02-01  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-ins.c (plug_ins_init): when removing a
	duplicate PDB procedure, also remove it from gimp->load_procs and
	gimp->save_procs.  Fixes bug #133099.

	Some general cleanup like moving variables to local scopes.

2004-01-31  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/tiff.c (tiff_warning): use G_VA_COPY for copying
	va_lists.

2004-02-01  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-scale.c: initialize variable
	to avoid stupid compiler warning.

2004-02-01  Dave Neary  <bolsh@gimp.org>

	* libgimpwidgets/gimpwidgets.c
	* libgimpwidgets/gimpwidgets.h: Modify random seed widget to 
	allow the user to specify that a seed should be chosen 
	randomly for them (useful to allow re-running random plug-ins 
	several times to get several different results).

	* plug-ins/common/blur.c
	* plug-ins/common/plasma.c
	* plug-ins/common/randomize.c
	* plug-ins/common/sinus.c
	* plug-ins/common/snoise.c
	* plug-ins/gflare/gflare.c
	* plug-ins/maze/algorithms.c
	* plug-ins/maze/maze.c
	* plug-ins/maze/maze.h
	* plug-ins/maze/maze_face.c: Changed appropriately.

	This fixes bug #129529.

2004-01-31  Raphaël Quinet  <quinet@gamers.org>

	* plug-ins/common/tiff.c (tiff_warning, tiff_error): Do not
	display the warning message about unknown tags for unregistered
	private tags (>= 32768).  Fixes bug #131975.  Do not display the
	error message about random access not supported for images using
	JPEG compression.  Fixes bug #132297.  It would be better to allow
	the user to customize which messages should be displayed or not,
	but this can be done in a future release.

2004-01-31  Michael Natterer  <mitch@gimp.org>

	Use the global <Image> accel_group in all docks except the
	toolbox (the latter needs GTK+ 2.4's new menu features).
	Addresses bug #119878:

	* app/gui/buffers-commands.c
	* app/gui/channels-commands.c
	* app/gui/data-commands.c
	* app/gui/documents-commands.c
	* app/gui/drawable-commands.c
	* app/gui/edit-commands.c
	* app/gui/file-commands.c
	* app/gui/gradients-commands.c
	* app/gui/image-commands.c
	* app/gui/layers-commands.c
	* app/gui/plug-in-commands.c
	* app/gui/select-commands.c
	* app/gui/tool-options-commands.c
	* app/gui/tools-commands.c
	* app/gui/vectors-commands.c
	* app/gui/view-commands.c: changed the various return_if_no_foo()
	macros to also accept a GimpDock as user_data.

	* app/gui/image-menu.c (image_menu_update): don't update the
	display related menu items if they don't exist (see below).

	* app/gui/gui.c (gui_display_changed): simplified.

	* app/widgets/gimpimagedock.[ch]: create an "<Image>" item_factory
	and attach its accel_group to the dock. Destroy all display
	related menu items. Destroy the layer stack navigation items
	because their default shortcuts interfere with tree and grid view
	keybindings. Connect to "image_changed" of the dock's private
	context and to "flush" of the image container to update the
	item_factory's state.

2004-01-31  Michael Natterer  <mitch@gimp.org>

	* app/gui/dialogs.c: added some g_return_if_fail().

2004-01-31  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdock.c (gimp_dock_constructor): g_assert() that
	we got the essential construct properties.

2004-01-31  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-convert.[ch]: use gboolean instead of gint
	for "alpha_dither" and "remove_dups" in all public and private
	functions. Properly prototyped private functions. Minor cleanup.

	* app/gui/convert-dialog.c: pass FALSE instead of 0.

	* tools/pdbgen/pdb/convert.pdb: ditto. Also cleaned up a bit: use
	generated checks and documentation for enums, removed duplicate
	check for enum range (spotted by Kevin Cozens).

	* app/pdb/convert_cmds.c
	* libgimp/gimpconvert_pdb.c: regenerated.

2004-01-31  Manish Singh  <yosh@gimp.org>

	* app/base/cpu-accel.c: Make the assembly PIC safe. Fixes #132999.

	* app/composite/Makefile.am
	* app/composite/gimp-composite-3dnow.c
	* app/composite/gimp-composite-mmx.c
	* app/composite/gimp-composite-sse.c
	* app/composite/gimp-composite-sse2.c: Disable code when compiling
	for PIC on ia32, since it'll barf things. These can be fixed later.

	* app/composite/gimp-composite-3dnow-test.c
	* app/composite/gimp-composite-mmx-installer.c
	* app/composite/gimp-composite-mmx-test.c
	* app/composite/gimp-composite-sse-installer.c
	* app/composite/gimp-composite-sse-test.c
	* app/composite/gimp-composite-sse2-installer.c
	* app/composite/gimp-composite-sse2-test.c: Regenerated.

2004-01-31  Manish Singh  <yosh@gimp.org>

	* configure.in: define ARCH_X86_64 globally.

	* app/base/cpu-accel.c: remove local definition.

2004-01-30  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptooloptionseditor.[ch]: added the scrolled
	window to the GimpToolOptionsEditor struct.

	(gimp_tool_options_editor_tool_changed): set the active tool's
	help ID on the scrolled window. Fixes bug #132969.

2004-01-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: map the Home button to
	"index.html" and removed the Index button for now.

2004-01-30  Michael Natterer  <mitch@gimp.org>

	* plug-ins/rcm/rcm_dialog.c (rcm_dialog): fixed help ID.

	* plug-ins/rcm/rcm.[ch]
	* plug-ins/rcm/rcm_callback.[ch]
	* plug-ins/rcm/rcm_dialog.[ch]
	* plug-ins/rcm/rcm_gdk.[ch]
	* plug-ins/rcm/rcm_misc.[ch]: completely reindented, removed
	overly long /*---...---*/ comment lines, fixed spacing.

2004-01-30  Michael Schumacher <schumaml@cvs.gnome.org>

	* libgimpwidgets/gimpwidgets.def: added missing symbols.
	* README.win32: Sven fixed the EXEEXT problem in
	plug-ins/common. Updated README.win32 accordingly.	

2004-01-29  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell.[ch]: Store the zoom factor as
	float, not as a ratio.

	* app/display/gimpdisplayshell-scale.[ch]: change the API to
	expose the Float instead a weirdly encoded integer. Implement
	functions to get a ratio from the scale factor. Implement a set
	as presets as discussed on the mailinglist. Changed Zoom->Other
	dialog to enable entering a float.

	* app/display/gimpdisplayshell-title.c
	* app/display/gimpnavigationview.c
	* app/gui/image-menu.c
	* app/gui/info-window.c
	* app/tools/gimpmagnifytool.c: changed accordingly.

	* app/core/gimp.[ch]
	* app/display/gimpdisplay.[ch]
	* app/gui/gui-vtable.c
	* app/widgets/widgets-enums.h: Made the various display-creating
	functions accept a float for the scale. Introduce a new
	GimpZoomType: GIMP_ZOOM_TO. Generally adjust the API to use
	floats instead of weird integers.

	* app/core/gimp-edit.c
	* app/core/gimptemplate.c
	* app/display/gimpdisplayshell-callbacks.c
	* app/file/file-open.c
	* app/gui/image-commands.c
	* app/gui/view-commands.[ch]
	* tools/pdbgen/pdb/display.pdb
	* app/widgets/gimpimageview.c
	* app/widgets/gimptoolbox-dnd.c: changed accordingly

	* app/pdb/display_cmds.c: regenerated

	Fixes bug #131964 and makes bug #131563 easy to resolve.

2004-01-29  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpcontext.[ch]: removed the last artefact of context
	signal handling from 1.2:

	GimpContext used to connect to e.g. the current brush's
	"invalidate_preview" and "name_changed" signals and emitted
	"brush_changed" when the callback was invoked. This was needed to
	make 1.2 work, but is conceptually broken with the real model <->
	view approach implemented in the current code.
	This change also optimizes things quite a bit because lots of
	signal emissions are saved.

	Added utility function which finds a container's current object
	after a freeze/thaw.

	* app/widgets/gimpcontainerview.[ch]: added new virtual function
	GimpContainerView::rename_item(). Connect to "name_changed" of the
	corrent container's children and invoke rename_item() accordingly.

	* app/widgets/gimpcontainertreeview.[ch]: removed name_changed
	handler and implement GimpContainerView::rename_item().

	* app/widgets/gimpcontainergridview.c: ditto. the grid view was
	still relying on the removed GimpContext behaviour for updating
	the label showing the sleected item's name.

2004-01-29  Michael Natterer  <mitch@gimp.org>

	GimpData code review:

	* app/core/gimpdata.c (gimp_data_init): default to
	writable = FALSE and dirty = TRUE.

	* app/core/gimpbrushgenerated.[ch]: added "const gchar *name" to
	gimp_brush_generated_new().

	* app/core/gimpbrush.c
	* app/core/gimpbrushgenerated.c
	* app/core/gimpbrushpipe.c
	* app/core/gimpgradient.c
	* app/core/gimppalette.c
	* app/core/gimppattern.c: set all standard datas to clean and
	internal, check for g_path_is_absolute() in all load functions,
	pass the data's name as construct property to g_object_new()
	instead of calling gimp_object_set_name() after creation, fixed
	some UTF-8 handling, spacing, indentation, coding style, general
	cleanup.

2004-01-29  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c
	* app/tools/gimpinkoptions.c
	* app/tools/gimplevelstool.c: removed explicit grabs. The pointer
	is already implicitely grabbed while the button is pressed.

2004-01-29  Michael Natterer  <mitch@gimp.org>

	* configure.in: reset binary age because of struct changes below.
	* m4macros/gimp-2.0.m4: require GIMP 1.3.26.

	* libgimpmodule/gimpmodule.h
	* libgimpmodule/gimpmoduledb.h
	* libgimpthumb/gimpthumbnail.h
	* libgimpwidgets/gimpbutton.h
	* libgimpwidgets/gimpchainbutton.h
	* libgimpwidgets/gimpcolorarea.h
	* libgimpwidgets/gimpcolorbutton.h
	* libgimpwidgets/gimpcolordisplay.h
	* libgimpwidgets/gimpcolordisplaystack.h
	* libgimpwidgets/gimpcolornotebook.h
	* libgimpwidgets/gimpcolorscale.h
	* libgimpwidgets/gimpcolorselection.h
	* libgimpwidgets/gimpcolorselector.h
	* libgimpwidgets/gimpdialog.h
	* libgimpwidgets/gimpfileentry.h
	* libgimpwidgets/gimpmemsizeentry.h
	* libgimpwidgets/gimpoffsetarea.h
	* libgimpwidgets/gimppickbutton.h
	* libgimpwidgets/gimppixmap.h
	* libgimpwidgets/gimpsizeentry.h
	* libgimpwidgets/gimpunitmenu.h: added 4 function pointers padding
	to all class structures.

2004-01-28  Michael Natterer  <mitch@gimp.org>

	Added infrastructure to make sure we don't write to the global
	brush, pattern etc. directories. Needed to make this configurable
	because we can't rely on the global directories being read-only,
	having certain names or being otherwise detectable at runtime in a
	sane way. Fixes bug #132214.

	* libgimpbase/gimpdatafiles.[ch]: added "const gchar *dirname" to
	the GimpDataFileData struct so callbacks don't need to call
	g_path_get_dirname() for each file.

	* libgimpwidgets/gimpfileentry.c: made it work with non UTF-8
	encoded filenames.

	* libgimpwidgets/gimppatheditor.[ch]: ditto. Added GUI and API for
	setting/getting a second "writable_path". The widget makes sure
	that the writable_path is always a subset of the path.

	* app/config/gimpconfig-utils.[ch]: added new function
	gimp_config_build_writable_path().

	* app/config/gimpcoreconfig.[ch]: added separate properties for
	the writable brush, pattern, gradient, palette and font paths.

	* app/config/gimprc-blurbs.h: added (still empty) blurbs for the
	new properties.

	* app/core/gimpdata.[ch] (gimp_data_set_filename): added parameter
	"gboolean writable". Set data->writable to FALSE by default. If
	"writable" is passed as TRUE, still check if we can write to the
	file before setting data->writable to TRUE.

	(gimp_data_create_filename): changed "data_path" parameter to
	"dest_dir" and assume dest_dir is writable.

	(gimp_data_duplicate): set data->dirty to TRUE to make sure
	duplicated things will be saved.

	* app/core/gimpbrush.c
	* app/core/gimpbrushgenerated.c
	* app/core/gimpbrushpipe.c
	* app/core/gimpgradient.c
	* app/core/gimppalette.c
	* app/core/gimppattern.c: don't set the data's filename and don't
	touch data->dirty in the _load() functions because that's done by
	the data factory now. Don't touch data->dirty in the _duplicate()
	functions because that's done by gimp_data_duplicate() itself now.

	* app/core/gimpdatafactory.[ch] (gimp_data_factory_new): added
	"writable_property_name" and remember it.
	Added utility function gimp_data_factory_get_save_dir() which
	determines the directory to save new datas to.
	Added public function gimp_data_factory_data_save_single() which
	saves a single data object.
	Make sure new things get saved to the first writable directory
	as specified in preferences.

	* app/core/gimp.c (gimp_real_initialize): pass the writable_paths'
	property names to gimp_data_factory_new().

	* app/widgets/gimpdataeditor.c (gimp_data_editor_save_dirty): use
	gimp_data_factory_data_save_single() instead of implementing
	saving here.

	* app/widgets/gimppropwidgets.[ch] (gimp_prop_path_editor_new):
	added "const gchar *writable_property_name" parameter (can be
	NULL).

	Added the needed callbacks to handle the writable_path and made
	the path_editor and file_entry code aware of non UTF-8 filename
	encodings. Some general cleanup.

	* app/gui/preferences-dialog.c: changed accordingly.

2004-01-28  Sven Neumann  <sven@gimp.org>

	* configure.in: according to the automake docs, we need to add
	$(EXEEXT) explicitely for programs that are conditionally built
	using configure substitutions instead of automake conditionals.

2004-01-28  Michael Natterer  <mitch@gimp.org>

	* app/config/gimpconfig-path.c (gimp_config_path_expand): return
	early if gimp_config_path_expand_only() fails.

2004-01-28  Dave Neary  <bolsh@gimp.org>

	* plug-ins/common/tiff.c: Removed duplicate TIFF entry from save 
	dialog, and made the save handler point to the one that doesn't 
	pre-multiply by alpha. Reported on gimp-user by misfit-x. Also 
	changed default value to not destroy data on save.

2004-01-28  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/script-fu/scripts/grid-system.scm: Fix typo that prevented
	using the inverse of the golden ratio (1/g) as a weight in the list.

2004-01-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphelp-ids.h: updated help IDs for new/reordered
	pages in the prefs dialog.

	* app/gui/preferences-dialog.c (prefs_dialog_new): changed
	accordingly.

2004-01-28  Manish Singh  <yosh@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (marshall_proc_db_call): validate
	the types of the individual list members when passing parasites.
	Fixes #93806.

2004-01-27  Manish Singh  <yosh@gimp.org>

	* app/paint-funcs/paint-funcs.c: inlined rotate_pointers, changed
	prototypes and casts around so that we're compliant with C99 aliasing
	rules.

2004-01-27  Manish Singh  <yosh@gimp.org>

	* app/composite/gimp-composite-generic.c
	(gimp_composite_overlay_any_any_any_generic)
	* app/paint-funcs/paint-funcs-generic.h (overlay_pixels): use more
	than one temporary when stacking INT_MULTs, to avoid undefined
	values.

2004-01-27  Manish Singh  <yosh@gimp.org>

	* app/paint/gimppaintcore.c (gimp_paint_core_interpolate): Use a real
	GimpVector2 for vector operations, instead of stuffing everything
	into a GimpCoords. C99 aliasing fix.

2004-01-27  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/plugindetails.c: removed unused variable.

	* plug-ins/common/nlfilt.c: declare nlfiltRow as inline in the
	function definition as well.

2004-01-27  Manish Singh  <yosh@gimp.org>

	* configure.in: use AM_PATH_GIMPPRINT to get some additional
	sanity checks.

	* acinclude.m4: define AM_PATH_GIMPPRINT here, so we don't have
	add a new autogen dependency.

	* plug-ins/print/Makefile.am: Use GIMPPRINT_{CFLAGS,LIBS}

2004-01-28  Simon Budig  <simon@gimp.org>

	Argh, this is getting silly.

	* app/core/gimpscanconvert.c: Fix dumb bug I introduced
	while fixing bug #132036. Instead of always closing a
	polyline to the first point of the vpath close to the
	first point of the current polyline

	I'll close #132036 for the third time now, feel free to
	reopen it when bugs appear...

2004-01-27  Dave Neary  <bolsh@gimp.org>

	* plug-ins/common/tiff.c: Apply patch from Andrey Kiselev to 
	improve defaults when there is no photometric specified for 
	CCITT encoded tiffs. Closes bug #131902.

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/layers-commands.c (layers_add_mask_query): use the
	new GIMP_STOCK_LAYER_MASK icon for "Add Layer Mask" dialog.

2004-01-27  Jakub Steiner <jimmac@ximian.com>

	* themes/Default/images/stock-channel-indexed-16.png
	* themes/Default/images/stock-channel-indexed-24.png
	* themes/Default/images/stock-channel-indexed-32.png
	* themes/Default/images/stock-channel-indexed-48.png: replacing
	  placeholders
	
2004-01-27  Michael Natterer  <mitch@gimp.org>

	Re-enabled filling the whole selection using the bucket fill
	tool. Fixes bug #132649.

	* app/tools/gimpbucketfilloptions.[ch]: added boolean property
	"fill-selection" and a GUI for it.

	* app/tools/gimpbucketfilltool.c: changed accordingly.

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* app/gui/image-menu.c (image_menu_entries)
	* app/gui/layers-menu.c (layers_menu_entries): use the new
	GIMP_STOCK_LAYER_MASK icons for "Add Layer Mask".

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-channel-indexed-16.png
	* themes/Default/images/stock-channel-indexed-24.png
	* themes/Default/images/stock-channel-indexed-32.png
	* themes/Default/images/stock-channel-indexed-48.png
	* libgimpwidgets/gimpstock.[ch]: added placeholders for an INDEXED
	channel icon (copied from the GRAY channel icon). To be replaced...

	* app/widgets/gimppreviewrendererimage.c: use
	GIMP_STOCK_CHANNEL_INDEXED instead of GIMP_STOCK_QUESTION for the
	indexed channel.

2004-01-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/comic-logo.scm: applied a patch from
	Pedro Gimeno to make the logo behave more like it used to in 1.2
	(bug #132493).

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-title.c
	(gimp_display_shell_format_title): added '%P' which expands to the
	PDB id of the active drawable. Moved local variables to local
	scopes where they are needed.

	* app/config/gimpconfig-dump.c: document it.

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-dnd.c: some cleanup.

	(gimp_display_shell_bucket_fill): don't use the bucket fill
	options but behave like "Edit -> Fill" and fill with NORMAL/100%.
	Fixes bug #132596.

2004-01-26  Manish Singh  <yosh@gimp.org>

	* gimp-zip.in: use new versioning defines.

2004-01-26  Manish Singh  <yosh@gimp.org>

	* configure.in: add m4_defines for gimp_unstable and gimp_full_name,
	and define a GIMP_VISIBLE_NAME based on that.

	* data/misc/Makefile.am
	* data/misc/gimp.applications.in
	* data/misc/gimp.keys.in: made these configured files, so they can 
	use GIMP_APP_VERSION and GIMP_VISIBLE_NAME.

	* data/misc/gimp.desktop.in.in: use GIMP_APP_VERSION and
	GIMP_VISIBLE_NAME.

2004-01-27  Jakub Steiner <jimmac@ximian.com>

	* themes/Default/images/stock-layer-mask-32.png
	* themes/Default/images/stock-layer-mask-48.png: replaced the
	  placeholders

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-layer-mask-16.png
	* themes/Default/images/stock-layer-mask-24.png
	* themes/Default/images/stock-layer-mask-32.png
	* themes/Default/images/stock-layer-mask-48.png
	* themes/Default/images/stock-selection-border-16.png
	* libgimpwidgets/gimpstock.[ch]: added forgotten layer mask and
	new "border selection" icons from Jimmac (-32 and -48 ones to be
	updated, they are currently copies of the channel icons).

	* app/core/gimplayermask.c (gimp_layer_mask_class_init)
	* app/gui/image-menu.c (image_menu_entries): use them.

2004-01-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/gimpressionist/brush.c
	* plug-ins/gimpressionist/gimp.c
	* plug-ins/gimpressionist/gimpressionist.[ch]
	* plug-ins/gimpressionist/paper.c
	* plug-ins/gimpressionist/presets.c: fixed a crash (bug #132027),
	got rid of some possible buffer overflows and fixed platform issues
	like hardcoding '/' as the path separator.

2004-01-26  Michael Natterer  <mitch@gimp.org>

	* app/gui/image-menu.c (image_menu_entries): use
	GIMP_STOCK_FLOATING_SELECTION for "Select->Float".

	(image_menu_update): set "Layer->Merge Down" insensitive for the
	bottom layer.

2004-01-26  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.c: use the modern libart way
	to uncross/rewind a libart SVP. This time really fixes
	bug #132036 (please test it though...).

2004-01-26  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-selection.c: don't draw the
	outbounds selection when the selection is hidden (bug #132595).

2004-01-26  Sven Neumann  <sven@gimp.org>

	* app/text/gimptext-xlfd.c (gimp_text_font_size_from_xlfd):
	account for the fact that XLFD stores point sizes in decipoints.

	* app/text/gimptext-vectors.c: s/TEXT_DEBUG/GIMP_TEXT_DEBUG/

2004-01-26  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c
	* app/widgets/gimphistogramview.c: use dark_gc instead of
	text_aa_gc to draw the histogram and curves grid lines. dark_gc is
	slightly lighter, looks better and fixes bug #132565.

2004-01-26  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.[ch]: removed gimp_image_owns_item() again.

	* app/core/gimpitem.[ch]: instead, added new virtual function
	GimpItem::is_attached().

	* app/core/gimpchannel.c
	* app/core/gimplayer.c
	* app/core/gimplayermask.c
	* app/core/gimpselection.c
	* app/vectors/gimpvectors.c: implement it.

	* app/core/gimp-edit.c
	* app/core/gimpdrawable-transform.c
	* app/core/gimplayer-floating-sel.c
	* app/text/gimptext-compat.c
	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/floating_sel.pdb
	* tools/pdbgen/pdb/selection.pdb
	* tools/pdbgen/pdb/text_tool.pdb
	* tools/pdbgen/pdb/transform_tools.pdb_ changed accordingly.

	* app/pdb/edit_cmds.c
	* app/pdb/floating_sel_cmds.c
	* app/pdb/selection_cmds.c
	* app/pdb/text_tool_cmds.c
	* app/pdb/transform_tools_cmds.c: regenerated.

2004-01-26  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/unsharp-mask.scm: add the layer to
	the image before pasting to it. Fixes bug #132504.

	Fixed the underlying problem: make it impossible to attach
	floating selections to drawables which are not currently part of
	the image's layer or channel stacks.
	Also cleaned up image <-> floating_sel interaction:

	* app/core/gimplayer-floating-sel.[ch] (floating_sel_attach):
	added assertion that the drawable is part of the image (see below).
	Don't call gimp_image_floating_selection_changed(), it's emitted
	by gimp_image_add_layer() now.

	(floating_sel_remove)
	(floating_sel_anchor): don't emit "floating_selection_changed",
	it's emitted by gimp_image_remove_layer() now.

	(floating_sel_anchor): removed the fix for bug #132162 because
	gimp_image_remove_layer() behaves correctly now (see below).

	Renamed floating_sel_reset() to floating_sel_activate_drawable().
	Added g_return_if_fail() all over the place.

	* app/core/gimpimage.[ch]: added new function gimp_image_owns_item()
	which return TRUE if the passed item is part of the image.

	(gimp_image_add_layer): emit "floating_selection_changed" here if
	needed.

	(gimp_image_remove_layer): emit "floating_selection_changed" if
	needed, don't try to activate a layer if we called
	floating_sel_activate_drawable().
	This is the real fix for bug #132162.

	* app/core/gimpimage-undo-push.c (undo_pop_layer): apply the same
	fixes as to gimp_image_add,remove_layer(). Don't call
	gimp_drawable_invalidate_preview() on the previously active layer
	because that's done by gimp_image_set_active_layer() now.

	* app/xcf/xcf-load.c: remember the "floating_sel_drawable" in the
	XcfInfo struct and attach it *after* all layers and channels are
	loaded to avoid attaching the floating selection to an
	out-of-image drawable.

	* app/core/gimp-edit.c (gimp_edit_paste)
	* app/core/gimpdrawable-transform.c (gimp_drawable_transform_affine,
	gimp_drawable_transform_flip, gimp_drawable_transform_rotate)
	* app/core/gimpselection.c (gimp_selection_float)
	* app/text/gimptext-compat.c (text_render): added checks for
	gimp_image_owns_item() in all functions which can produce
	floating selections.

	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/floating_sel.pdb
	* tools/pdbgen/pdb/selection.pdb
	* tools/pdbgen/pdb/text_tool.pdb
	* tools/pdbgen/pdb/transform_tools.pdb: added checks for
	gimp_item_owns_image() and return an execution error if invoked
	with a drawable which is not part of the image.

	* app/pdb/edit_cmds.c
	* app/pdb/floating_sel_cmds.c
	* app/pdb/selection_cmds.c
	* app/pdb/text_tool_cmds.c
	* app/pdb/transform_tools_cmds.c: regenerated.

2004-01-26  Michael Natterer  <mitch@gimp.org>

	* app/xcf/xcf-save.c (xcf_save_channel): store the correct offset
	of the floating selection's drawable. This bug has been around
	since 1.2 (!!!) and made it impossible to save images correctly
	where the floating selection's drawable was a channel or layer
	mask.

2004-01-26  Sven Neumann  <sven@gimp.org>

	* autogen.sh: prefer automake-1.7 over 1.8 since there are issues
	with the latter.

2004-01-26  Manish Singh  <yosh@gimp.org>

	* app/core/gimpdrawable-blend.c (gradient_fill_region): use memcpy
	instead of casted assignment for storing HSV values in rbd.fg/bg,
	for C99 aliasing compliance.

	* app/xcf/xcf-load.c (xcf_load_layer_mask): use a GimpChannel *
	explictly for xcf_load_channel_props, for the above reason.

	* app/xcf/xcf-save.c (xcf_save_prop): use a temporary guint32 for
	saving property types, for the above reason.

	* app/core/gimpparasitelist.c (gimp_parasite_list_deserialize): plug
	a memory leak, since data is copied on parasite creation.
	
2004-01-26  Simon Budig  <simon@gimp.org>

	* app/tools/gimpvectortool.c: do nothing in _button_press when
	the tool is in the VECTORS_FINISHED state.
	Fixes bug #132508.

2004-01-25  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/postscript.c: use GSpawn instead of popen, -dBATCH,
	fixes #108659 for this plugin. Thanks to Peter Kirchgessner for the
	patch.

2004-01-25  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayout.c (gimp_text_layout_position): fixed
	text positioning for fonts where glyphs extend the logical
	rectangle (fixes bug #132495).

2004-01-25  Sven Neumann  <sven@gimp.org>

	* app/gui/info-window.c (info_window_create): don't update the fields
	here...

	* app/gui/view-commands.c (view_info_window_cmd_callback): ... but
	here when the info window is connected to the display shell. Patch
	from Shlomi Fish; fixes bug #132329.

	* app/gui/info-window.c (info_window_update_extended): fixed update
	of info window in automatic mode. Bug #118084, patch by Shlomi Fish.

	* autogen.sh: check for automake-1.8 also.

	* HACKING: note that automake-1.8 should work as well.

2004-01-24  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/color.pdb (levels, curves): fiddle with the
	passed channel index only for GRAYA drawables, not for all GRAY
	drawables. Fixes bug #132322.

	* tools/pdbgen/pdb/color.pdb: regenerated.

	* app/tools/gimpcurvestool.[ch]
	* app/tools/gimplevelstool.[ch]: fixed the same bug here. It never
	occured because the "channel" field was accidentially initialized
	with the correct value and never changed after.

2004-01-23  Simon Budig  <simon@gimp.org>

	* plug-ins/common/mosaic.c: properly use src_rgn.rowstride when
	initializing the target region. Fixes bug #132271.

2004-01-23  Manish Singh  <yosh@gimp.org>

	* configure.in: made the pygtk minimum version an m4 define as well.

2004-01-23  Michael Natterer  <mitch@gimp.org>

	* app/app_procs.c
	* app/errors.c
	* app/main.c
	* app/config/gimpconfigwriter.c
	* app/core/gimpdata.c
	* app/core/gimpdatafactory.c
	* app/gui/user-install-dialog.c
	* app/plug-in/plug-ins.c
	* app/vectors/gimpvectors-import.c: some more gimp_filename_to_utf8().

	* libgimp/gimp.c
	* libgimpmodule/gimpmodule.c
	* libgimpmodule/gimpmoduledb.c: use it here, too, now that is in
	libgimpbase.

2004-01-23  Henrik Brix Andersen  <brix@gimp.org>

	* plug-ins/common/.cvsignore: s/ps/postscript/ to shut up cvs.

2004-01-22  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/Makefile.am: renamed ps to postscript, so automake
	doesn't get confused.

2004-01-22  Sven Neumann  <sven@gimp.org>

	* configure.in: libgimpmodule depends on gmodule-2.0 and gobject-2.0.
	Incorporate both into GMODULE_CFLAGS and GMODULE_LIBS.

2004-01-22  Sven Neumann  <sven@gimp.org>

	* debian/*: removed outdated and unmaintained debian package
	description. The debian package is well maintained without keeping
	these files in our CVS tree.

2004-01-22  Ville Pätsi  <drc@gimp.org>

	* gimp.spec.in: Added a depedency for libexif

2004-01-22  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/gbr.c
	* plug-ins/common/pat.c: store the brush/pattern's name in a
	parasite attached to the image. The parasite overrides the
	RUN_WITH_LAST_VALS logic if it exists. Consistently set the
	description as the layer's name, but ignore the layer's name
	when saving because it may have been modified by exporting.
	Fixes bug #131450.

	Misc. cleanup/fixes: Don't assume that strncpy() nul-terminates
	the buffer, use sizeof() instead of magic numbers, sanitize
	descriptions using gimp_any_to_utf8(), always use strncpy()
	instead of strcpy().

	* devel-docs/parasites.txt: document the "gimp-brush-name" and
	"gimp-pattern-name" parasites.

2004-01-22  Tor Lillqvist  <tml@iki.fi>

	* gimptool-win32.c.in (get_prefix): Use GIMP_APP_VERSION.

2004-01-21  Manish Singh  <yosh@gimp.org>

	* m4macros/gimp-2.0.m4: quote AM_PATH_GIMP_2_O properly so automake
	1.8 won't whine at us.

2004-01-21  Manish Singh  <yosh@gimp.org>

	* configure.in
	* plug-ins/FractalExplorer/Makefile.am: renamed obnoxiously long
	fractalexplorer-examples directory to simply examples.

2004-01-21  Manish Singh  <yosh@gimp.org>

	* configure.in: modernized, made a lot of things m4 macros, and made
	versioning a lot more finegrained, in anticipation for post-2.0.

	* autogen.sh: bumped up libtool and glib minimum requirements to match
	reality.

	* gimp-2.0.pc.in
	* gimpthumb-2.0.pc.in
	* gimpui-2.0.pc.in: adapted to new versioning variables, and bring
	in RT_LIBS when needed.

	* */*/Makefile.am: adapted to new versioning variables.

2004-01-22  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplayer-floating-sel.c (floating_sel_anchor):
	explicitly activate the drawable the floating selection was
	attached to (function was relying on implicit voodoo that
	happened 1.2). Fixes bug #132162.

2004-01-22  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpitem.[ch]: added "gboolean use_default_values"
	to GimpItem::stroke().

	* app/core/gimpselection.c: changed accordingly.

	* app/core/gimpchannel.c
	* app/vectors/gimpvectors.c: if use_default_values is TRUE, don't
	use the GimpPaintOptions passed in the GimpPaintInfo, but create a
	new one.

	* app/gui/stroke-dialog.c: pass FALSE so the values as set in the
	tool options are used.

	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/paths.pdb: pass TRUE so tool options settings
	don't affect PDB stroke calls. Fixes part 2 of bug #132145.

	* app/pdb/edit_cmds.c
	* app/pdb/paths_cmds.c: regenerated.

2004-01-22  Simon Budig  <simon@gimp.org>

	* app/gui/dialogs-commands.c: replaced the indexed palette in
	the default "Layers, Channels, Paths"-Dock (as created by the
	menu in the toolbox) with the Undo History, since the indexed
	palette is pretty useless most of the time and the new setup
	at least matches the upper half of the dockable that comes up
	after a new user starts the Gimp the first time.

2004-01-21  Michael Natterer  <mitch@gimp.org>

	* app/gui/dialogs-commands.c: show the image menu in newly created
	layers, channels & paths docks.

2004-01-21  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptool.[ch]: added boolean return value to
	GimpTool::initialize(). Returning FALSE means the tool could not
	be initialized and doesn't want to receive button events.
	Return TRUE from the default implementation.

	* app/tools/tool_manager.[ch]: added boolean return value to
	tool_manager_initialize_active(). Don't set the tool's display or
	drawable if initialize() returns FALSE.

	* app/display/gimpdisplayshell-callbacks.c: don't send button
	events to the tool if initialize() returns FALSE.

	* app/tools/gimpbrightnesscontrasttool.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimpcurvestool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimplevelstool.c
	* app/tools/gimpposterizetool.c
	* app/tools/gimpthresholdtool.c: return FALSE for NULL and indexed
	drawables.

	* app/tools/gimpimagemaptool.c: always return TRUE because our
	subclasses already checked if the active drawable is OK.

	* app/tools/gimptransformtool.c: return FALSE for layers with
	masks. Fixes bug #132089. Some random cleanups.

2004-01-21  DindinX  <david@dindinx.org>

	* plug-ins/common/plugindetails.c: correctly resize both panels of the
	GTK_PANED. This fixes bugs #132032.

	This plug-ins still needs work.

2004-01-21  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-transform.c: use RINT() instead of ROUND()
	to calculate the coordinates of the transformed tiles to avoid
	off-by-one errors when affine-transforming, flipping and rotating
	drawables with negative offsets.
	Fixes the off-by-one part of bug #132089.

2004-01-21  Tor Lillqvist  <tml@iki.fi>

	* app/gui/themes.c (themes_list_themes_foreach): Fix undefined
	behaviour. Fixes crash in bringing up the Preferences dialog when
	compiled with Sun's compiler.

2004-01-21  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-transform.c (gimp_drawable_transform_paste): 
	call gimp_drawable_invalidate_boundary() because the drawable's
	size may have changed. Fixes bug #132077. Removed call to
	floating_sel_invalidate() which is now redundant.

2004-01-21  Michael Natterer  <mitch@gimp.org>

	* app/gui/info-dialog.[ch]: renamed info_dialog_popdown() to
	info_dialog_hide() and info_dialog_popup() to info_dialog_present().
	Added info_dialog_show() which just shows the dialog without
	calling gtk_window_present().

	* app/gui/info-window.c
	* app/gui/view-commands.c
	* app/tools/gimptransformtool.c: changed accordingly.

	* app/tools/gimpcroptool.c
	* app/tools/gimpperspectivetool.c
	* app/tools/gimprotatetool.c
	* app/tools/gimpscaletool.c
	* app/tools/gimpsheartool.c: use info_dialog_show() so the dialog
	doesn't grab the focus away from the canvas. Fixes bug #132041.

2004-01-21  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.c: removed the call to
	art_vpath_perturb, since it apparently is responsible for the
	artefacts described in bug #132036. I don't really understand
	why these artefacts were happening in the first place, because
	in theory art_vpath_perturb should not do any harm.
	
	Also properly close closed polygons.

	Hopefully fixes #132036, please test this.

2004-01-20  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: added new command-line options --existing
	and --query. The former allows to get the old behaviour back and
	the latter might be useful one day.

	* docs/gimp-remote-1.3.1.in: document the new options.

2004-01-20  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphelp-ids.h: added help IDs for the libgimp
	export and unit dialogs.

	* libgimp/gimpexport.c
	* libgimpwidgets/gimpunitmenu.c: replaced html links by the new
	help IDs.

	* plug-ins/*/*.c: replaced all html help links by help IDs. A
	plug-in's help ID is its procedure name with '_' relaced by '-'.

	(e.g. file_tiff_save's help ID is file-tiff-save)

	Did some random indentation and whitespace cleanup.

2004-01-20  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: when starting a new gimp, pass it the
	display gimp-remote is running on.

2004-01-20  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: always open a new GIMP instance when being
	called without any filenames/URLs. This makes it behave better when
	being used from application launchers such as the GNOME panel.

	* docs/gimp-remote-1.3.1.in: document the new behaviour.

2004-01-20  Ville Pätsi  <drc@gimp.org>

	* gimp.spec.in: Changed library extension to actually use the correct
	values, and not assume .0.0. 

2004-01-20  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/help.pdb: changed "prog_name" parameter of
	gimp_help() to "help_domain". It's useless to pass the plug-in's
	executable name to the core because the core already knows it.
	Instead, enabled accessing arbitrary help domains via the
	PDB. Passing NULL as help_domain will use the domain the plug-in
	registered, or the GIMP main help domain if it didn't register a
	domain.

	* app/pdb/help_cmds.c
	* libgimp/gimphelp_pdb.[ch]: regenerated.

	* libgimp/gimpui.c (gimp_ui_help_func): pass NULL as help_domain.

2004-01-20  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: made --new the default behaviour and allow
	gimp-remote to be called without any image filenames.

	* docs/gimp-remote-1.3.1.in: changed accordingly.

	* data/misc/gimp.applications 
	* data/misc/gimp.desktop.in.in: removed --new option from
	gimp-remote calls.

2004-01-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/mail.c
	* plug-ins/common/mng.c: use more already translated standard file
	error messages. Some cleanup.

2004-01-20  Michael Natterer  <mitch@gimp.org>

	* app/gui/file-open-menu.c
	* app/gui/file-save-menu.c
	* app/gui/image-menu.c
	* app/gui/menus.c
	* app/gui/plug-in-menus.c: when dynamically creating menu entries,
	pass static_entry == FALSE to gimp_item_factory_create_item() so a
	*copy* of the the help_id is attached to the menu item.
	Fixes help for plug-in menu entries.

2004-01-20  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in.[ch]: changed member
	"ProcRec *current_temp_proc" to "GList *temp_proc_recs", a stack
	of temporary procedures, just as the "temp_main_loops" member is
	supposed to be the stack of main loops for waiting for the
	temp_procs' return values.

	* app/plug-in/plug-in-run.c (plug_in_temp_run): changed accordingly.

	* app/plug-in/plug-in-message.c
	* app/plug-in/plug-in-run.c
	* libgimp/gimp.c: added #define ENABLE_TEMP_RETURN 1.

	Enables return values for temporary procedures. On the libgimp
	side, this just enables the code which returns the values, on the
	app side it enables per-plug-in stacks of proc_recs and main_loops
	and a message handler for the GP_TEMP_PROC_RETURN message.
	A temp_proc's caller now blocks until the proc is finished.
	Fixes bug #50649.

	Left the #ifdefs there so it can be easily disabled if things
	break. Please play with Script-Fu and test this.

2004-01-19  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/common/ccanalyze.c (analyze): Call gimp_drawable_detach()
	after gimp_drawable_get() to plug a leak.

2004-01-19  Tor Lillqvist  <tml@iki.fi>

	* app/gui/about-dialog.c (decorate_text): Fix gccism.

2004-01-19  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version number to 2.0pre3 (1.3.26),
	binary age 2, interface age 0.

	* libgimpbase/gimpsignal.h: removed unused definition of
	gimp_signal_syscallrestart().

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptexttool.c (gimp_text_tool_create_layer): if there
	is a floating selection, anchor it before adding the text layer.
	Fixes bug #127451.

	Also fixed some issues with undo. Addresses, but does not fix
	bug #124969 and bug #130985.

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/bz2.c
	* plug-ins/common/gz.c
	* plug-ins/common/hrz.c
	* plug-ins/common/pnm.c
	* plug-ins/sgi/sgi.c: marked some forgotten strings for
	translation and use translated standard file error messages (no
	new strings introduced), some indentation and cleanup.

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/bmp/bmpread.c
	* plug-ins/common/gif.c
	* plug-ins/common/jpeg.c
	* plug-ins/common/pcx.c
	* plug-ins/common/pix.c
	* plug-ins/common/pnm.c
	* plug-ins/common/sunras.c
	* plug-ins/common/xpm.c
	* plug-ins/xjt/xjt.c: some more gimp_filename_to_utf8().

2004-01-19  Sven Neumann  <sven@gimp.org>

	* Made 2.0pre2 release.

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/FractalExplorer/FractalExplorer.c
	* plug-ins/bmp/bmpread.c
	* plug-ins/bmp/bmpwrite.c
	* plug-ins/common/CEL.c
	* plug-ins/common/CML_explorer.c
	* plug-ins/common/bz2.c
	* plug-ins/common/channel_mixer.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/dicom.c
	* plug-ins/common/gbr.c
	* plug-ins/common/gif.c
	* plug-ins/common/gifload.c
	* plug-ins/common/gih.c
	* plug-ins/common/gtm.c
	* plug-ins/common/gz.c
	* plug-ins/common/hrz.c
	* plug-ins/common/jpeg.c
	* plug-ins/common/mail.c
	* plug-ins/common/pat.c
	* plug-ins/common/pcx.c
	* plug-ins/common/png.c
	* plug-ins/common/pnm.c
	* plug-ins/common/ps.c
	* plug-ins/common/psd.c
	* plug-ins/common/psd_save.c
	* plug-ins/common/psp.c
	* plug-ins/common/spheredesigner.c
	* plug-ins/common/sunras.c
	* plug-ins/common/svg.c
	* plug-ins/common/tga.c
	* plug-ins/common/tiff.c
	* plug-ins/common/wmf.c
	* plug-ins/common/xbm.c
	* plug-ins/common/xpm.c
	* plug-ins/common/xwd.c
	* plug-ins/faxg3/faxg3.c
	* plug-ins/fits/fits.c
	* plug-ins/flame/flame.c
	* plug-ins/gfig/gfig.c
	* plug-ins/gflare/gflare.c
	* plug-ins/gfli/gfli.c
	* plug-ins/gimpressionist/ppmtool.c
	* plug-ins/helpbrowser/domain.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/sgi/sgi.c
	* plug-ins/xjt/xjt.c: use gimp_filename_to_utf8() for filenames
	passed to g_message() and gimp_progress_init(). Definitely missed
	lots of other places but it's a start...

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* app/file/file-utils.h: removed inclusion of <stdio.h> and
	"plug-in/plug-in-types.h".

2004-01-19  Sven Neumann  <sven@gimp.org>

	* app/*/*.c: include "libgimpbase/gimpbase.h" where needed; removed
	now unnecessary inclusions of "file/file-utils.h".

2004-01-19  Sven Neumann  <sven@gimp.org>

	* app/file/file-utils.[ch]: removed file_utils_filename_to_utf8() ...

	* libgimpbase/gimputils.[ch]: ... and added it here as
	gimp_filename_to_utf8(). Added some docs that promise less than
	the current implementation holds so that we can change the
	implementation later.

	* app/*/*.c: use gimp_filename_to_utf8() where
	file_utils_filenames_to_utf8() has been used before.

	* libgimpbase/gimpbase.def: changed accordingly.

	* configure.in: reset GIMP_INTERFACE_AGE.

2004-01-19  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/common/compose.c (compose)
	* plug-ins/common/decompose.c (decompose): fixed a lack of refresh
	in the layer previews by adding calls to gimp_drawable_update()
	where appropriate. Removed redundant gimp_drawable_flush() calls.

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpgradienteditor.[ch]: moved the first hint label
	to a line of its own. fixes bug #127673.

2004-01-19  Sven Neumann  <sven@gimp.org>

	* app/tools/gimplevelstool.[ch]: code cleanup; draw in the
	expose_event handler only.

2004-01-18  DindinX  <david@dindinx.org>

	* plug-ins/common/nova.c: fixed a stupid bug which could crashes with
	non square images. Done some cleanup also.

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/gui/resize-dialog.c: when scaling an indexed image/layer,
	add a label telling the user that indexed layers are always scaled
	without interpolation. Can't simply make the option menu
	insensitive because channels and layer masks are still scaled with
	the chosen interpolation type. Fixes bug #131779.

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpinktool.c (ink_set_paint_area): use
	gimp_drawable_bytes_with_alpha().

2004-01-18  Dave Neary  <bolsh@gimp.org>

	* NEWS: Updated again.

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/vectors/gimpstroke.c
	* app/xcf/xcf-load.c: use the GIMP_TYPE_FOO macros instead of
	gimp_foo_get_type(). Minor cleanups.

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.c (gimp_image_add_layer,remove_layer): in the
	spirit of the fix for bug #131721 below, don't try to figure
	manually if "alpha_changed" needs to be emitted but simply compare
	the old and new values of gimp_image_has_alpha().

	* app/gui/preferences-dialog.c (prefs_dialog_new): follow
	"foo-window-type" -> "foo-window-hint" change.

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.[ch] (gimp_image_get_color): also return the
	color's alpha byte if it has alpha, not only the converted RGB
	values.  Return OPAQUE_OPACITY for drawables without alpha.
	Fixes bug #131706.

	* app/core/gimpdrawable.c (gimp_drawable_get_color_at)
	* app/core/gimpimage-contiguous-region.c
	(gimp_image_contiguous_region_by_color)
	* app/core/gimpimage-projection.c (gimp_image_projection_get_color_at)
	* app/core/gimpimagemap.c (gimp_image_map_get_color_at)
	* app/paint/gimpclone.c (gimp_clone_line_image): removed separate
	handling of the alpha byte from all users of gimp_image_get_color().

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimppaintcore.c (gimp_paint_core_get_paint_area): use
	gimp_drawable_bytes_with_alpha().

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.c (gimp_image_set_active_layer): don't allow
	to select anything but the floating selection. Fixes bug #128025.

	(gimp_image_set_active_layer,channel,vectors): allow to pass NULL
	to unselect the active item. Removed the silly feature that
	passing some random item of another image would select the first
	item in the list (was unused anyway).

	(gimp_image_unset_active_channel): use gimp_image_set_active_channel()
	now that it accepts NULL.

	(gimp_image_add_layer,channel,vectors): cleaned up / simplified.

	(gimp_image_remove_layer,channel,vectors): cleanup,
	simplification, use gimp_image_set_active_layer,channel,vectors()
	now that they accept NULL, make sure the item next to the removed
	item becomes the active one (and not the first in the list, which
	was a severe usability problem in the dialogs).

	* app/core/gimpimage-undo-push.c (undo_pop_layer,channel): pass
	NULL to the set_active functions, cleanup.

	* app/core/gimpimage-duplicate.c: attach the floating selection
	before setting the active layer. Code relied on broken
	gimp_image_set_active_layer() behaviour before.

	* app/core/gimplayer-floating-sel.c: no need to set
	gimage->floating_sel before calling gimp_image_add_layer(). The
	weird GUI mentioned in the comment existed in 1.2 only.

	* app/display/gimpdisplayshell-layer-select.c (layer_select_advance):
	don't assume that setting the active_layer always succeeds.

	* tools/pdbgen/pdb/image.pdb: behave as the documentation says
	and return an execution error if setting the active layer or
	channel failed.

	Unrelated:

	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/layer.pdb: removed leftover cruft from the old
	guchar based color API.

	* tools/pdbgen/pdb/channel.pdb: simplified code which handles the
	channel's color.

	* app/pdb/channel_cmds.c
	* app/pdb/image_cmds.c: regenerated.

2004-01-18  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: fixed typo.

2004-01-18  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: make sure we always properly use
	the size of the logo image. Place the text at the bottom
	of the image when the size changes (position of the version
	string needs to be adjusted manually still...).

	* data/images/gimp_logo.png: slightly tweaked.

	* data/images/gimp1_0_logo.png: added for historical reasons.

2004-01-18  Sven Neumann  <sven@gimp.org>

	* app/gui/file-open-dialog.c (file_open_create_thumbnail): redone
	to make it work again.

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_load_thumb): fixed
	stupid mistake that caused thumbnails not to load under certain
	circumstances.

2004-01-18  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-undo-push.c (undo_pop_layer): removed broken
	code which tried to figure manually whether "alpha_changed" should
	be emitted. Instead, simply compare the return values of
	gimp_image_has_alpha() before and after adding/removing the
	layer. Fixes bug #131721.

2004-01-17  Henrik Brix Andersen  <brix@gimp.org>

	* app/core/gimpimage-snap.c (gimp_image_snap_point): forgot to
	change two G_MAXINT to G_MAXDOUBLE.

2004-01-17  Henrik Brix Andersen  <brix@gimp.org>

	Finally fixed bug #125864:

	* app/core/gimpimage-guides.c (gimp_image_find_guide): iterate
	over the entire list of guides to determine the closest one.

	* app/core/gimpimage-snap.c: use gdoubles instead of gints for
	dist and mindist variables to make sure grid and guides with 1px
	spacings work as expected.

2004-01-17  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c: added more optional debug output
	and did some minor code cleanup.

2004-01-17  DindinX  <david@dindinx.org>

	* plug-ins/pygimp/gimpfu.py: Show the description of params in dialog
	boxes, rather than the internal variable name.  This is more
	consistent with script-fu.  (reported by Florian Traverse)

2004-01-16  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/plugindetails.c: some cleanup, restore old internal
	names.

2004-01-17  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.[ch]
	* app/config/gimprc-blurbs.h
	* app/widgets/gimpdock.c
	* app/widgets/gimptoolbox.c
	* app/widgets/gimpwidgets-utils.[ch]
	* app/widgets/widgets-enums.[ch]: GTK+-2.4 will allow to request
	windows to be kept above. This change prepares the code so that we
	can optionally do this for docks and the toolbox as soon as we
	depend on GTK+-2.4 (see bug #131672).

2004-01-16  Dave Neary  <bolsh@gimp.org>

	* plug-ins/common/tiff.c: Apply a (modified) patch from Pablo 
	d'Angelo to enable saving of a non-premultiplied alpha channel
	and provide an UI to use it (a checkbox and extra PDB 
	procedure). Fixes bug #131030.

2004-01-16  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcroptool.c (crop_recalc): do a proper fix for bug
	#131680.

2004-01-15  DindinX  <david@dindinx.org>

	* app/tools/gimpcroptool.c: block some signals before destroying
	the info dialog box, to prevent accessing to freed memory fixes
	bug #131680

2004-01-16  Sven Neumann  <sven@gimp.org>

	* app/gui/menus.c (menus_init): fixed typo (bug #131670).

2004-01-16  Dave Neary  <bolsh@gimp.org>

	* NEWS: Update NEWS file again.

2004-01-16  Michael Natterer  <mitch@gimp.org>

	* app/gui/edit-commands.[ch]: converted tabs to spaces.

	(cut,copy_named_buffer_callback): unref the buffer after adding it
	to gimp->named_buffers. Seems we leaked all named buffers...

	Removed code duplication I have just introduced:

	* app/gui/edit-commands.[ch] removed
	edit_paste_into_cmd_callback(). Instead, pass the "paste_into"
	boolean as "guint action" to gimp_edit_paste_cmd_callback().

	* app/gui/image-menu.c: changed accordingly.

	* app/widgets/gimpbufferview.c: added utility function
	gimp_buffer_view_paste() and call it from the paste and paste_into
	callbacks.

2004-01-15  Manish Singh  <yosh@gimp.org>

	* app/text/gimpfontlist.c: Minor cleanup, add note about using
	pango_fc_font_description_from_pattern from pango 1.4 when we
	can.

2004-01-15  DindinX  <david@dindinx.org>

	* plug-ins/common/nova.c: Do not display the color button or the
	"Random Hue" range when applying to a grayscale image.

2004-01-15  Pedro Gimeno  <pggimeno@wanadoo.es>

	* app/gui/file-save-menu.c (file_save_menu_update): Removed the
	code that disables save formats conditionally, making all of
	them available. Fixes bug #110610.

2004-01-15  DindinX  <david@dindinx.org>

	* plug-ins/common/nova.c: Re-write some parts of the algorithm.
	This should fix #82464, #71922 and #121966.

2004-01-15  Manish Singh  <yosh@gimp.org>

	* app/text/gimpfontlist.c: Set PangoStretch from FC_WIDTH. This
	partially addresses #131561 (namely, the gimp side).

2004-01-15  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/helpbrowser.c: removed
	GIMP_HELP_DEFAULT_DOMAIN #define...

	* plug-ins/helpbrowser/domain.h: ...and added it here.

	* plug-ins/helpbrowser/domain.c: fixed the fix for bug #128112:
	don't compare the help domain's base uri (which is variable) but
	the help domain's name (which is constant). Re-added removed
	information to the error message while keeping its user
	readability. Marked g_message() strings for translation.

2004-01-15  DindinX  <david@dindinx.org>

	* plug-ins/common/nova.c: Somewhat resurrected the SuperNova plugin.
	Still very buggy, though.

2004-01-15  Michael Natterer  <mitch@gimp.org>

	Fixed bug #78732 (don't paste off screen):

	* app/display/gimpdisplayshell-transform.[ch]: added new function
	gimp_display_shell_untransform_viewport() which returns the
	visible rectangle of the image in image coordinates.

	* app/core/gimp-edit.[ch] (gimp_edit_paste): added viewport
	parameters and changed positioning of the pasted layer as follows:

	- if there is a selection, center on the selection (just as before).
	- if there is no viewport, center on the active drawable.
	- if the viewport intersects with the active drawable, center
	  on the intersection.
	- if the viewport does *not* intersect with the active drawable,
	  center on the active drawable (off-screen, but better than pasting
	  something that will be invisible due to floating selection clipping).
	- if there is no active drawable, center on the viewport.
	- if there is no active drawable and no viewport, center on the image.

	* app/widgets/gimpbufferview.c (gimp_buffer_view_paste_clicked)
	(gimp_buffer_view_paste_into_clicked)
	* app/display/gimpdisplayshell-dnd.c (gimp_display_shell_drop_buffer)
	* app/gui/edit-commands.c (edit_paste_cmd_callback)
	(edit_paste_into_cmd_callback): ask the shell for the viewport
	and pass it to gimp_edit_paste().

	* app/display/gimpdisplayshell-dnd.c
	(gimp_display_shell_drop_drawable): center the created layer on
	the viewport.

	* app/tools/gimpmovetool.c (gimp_move_tool_button_release): use
	gimp_display_shell_untransform_viewport() (its code was taken from
	here).

	* tools/pdbgen/pdb/edit.pdb: pass "no viewport" to gimp_edit_paste().

	* app/pdb/edit_cmds.c: regenerated.

2004-01-15  Dave Neary  <bolsh@gimp.org>

	* NEWS: Now that we're in pre-release mode, list all the bugs fixed 
	in this release, rather than features added. Commits which don't fix 
	bugs are listed in the "Other contributions" section. Bugs were added 
	in chronological order according to when the fix was committed (so 
	the first bug in the list was the one committed soonest after the 
	2.0pre1 release).

2004-01-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.c: moved initialization of the
	gimage->visible[] and gimage->active[] arrays from
	gimp_image_new() to gimp_image_init(). Use gimp_rgba_set()
	to initialize gimage->qmask_color.

2004-01-15  Dave Neary  <bolsh@gimp.org>

	* plug-ins/helpbrowser/domain.c: Modify error messages shown when 
	help files cannot be opened. For the main GIMP help domain, the 
	error message is now "Failed to open help files:\nTheGIMP help files 
	are not installed." and in the general case "Failed to open help 
	files:\nThe requested help file %s could not be opened.\nPlease check 
	your installation." This fixes bug #128112.

2004-01-15  Sven Neumann  <sven@gimp.org>

	* data/misc/Makefile.am: added a "validate" rule that attempts to
	validate the generated gimp.desktop file using desktop-file-validate
	(from desktop-file-utils). Run it on 'make dist'.

	* tips/Makefile.am: for consistency, moved the existing validation
	code to a rule called "validate".

2004-01-14  Manish Singh  <yosh@gimp.org>

	* app/config/gimpconfig-utils.c: #include "file/file-utils.h" for
	file_utils_filename_to_utf8.

2004-01-15  DindinX  <david@dindinx.org>

	* plug-ins/common/plugindetails.c: clean up the code (use
	gimp_table_attach_aligned() where needed).

	* plug-ins/dbbrowser/dbbrowser.c:
	* plug-ins/dbbrowser/dbbrowser_utils.c: changed tabs to spaces.

2004-01-14  Dave Neary  <bolsh@gimp.org>

	* app/core/gimpimage.c: get the type of the drawable, not the 
	image, when transforming a TempBuf, making dragging & dropping 
	patterns on layer masks work correctly. Fixes bug #131146.

2004-01-14  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.h: added GIMP_IMAGE_TYPE_WITHOUT_ALPHA()
	macro as counterpart to GIMP_IMAGE_TYPE_WITH_ALPHA().

	* app/core/gimpdrawable.[ch]: added
	gimp_drawable_type_without_alpha() and
	gimp_drawable_bytes_without_alpha() convenience functions.

2004-01-14  Michael Natterer  <mitch@gimp.org>

	Some code review:

	* app/core/gimpimage.c: named the gint paramater in all
	colormap_changed related functions to "color_index", fixed typo in
	parasite undo description, moved some variables to local scopes,
	changed the layer raise/lower functions to look like the channel
	and vector ones, cosmetics.

	* app/core/gimpimage-colorhash.c: removed trailing whitespace,
	initialize / reset more stuff to 0, cosmetics.

2004-01-14  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am: fix typo in the uninstall-local target for
	gimp-console.

2004-01-14  DindinX  <david@dindinx.org>

	* plug-ins/common/plugindetails.c: callbacks attached to the "changed"
	signal for of GtkTreeSelection should return void.
	Small cosmetics fixes also.

2004-01-14  Tor Lillqvist  <tml@iki.fi>

	* app/file/file-utils.[ch]: Add new function
	file_utils_filename_to_utf8(), which is to be used when converting
	file names (which are kept in the on-disk encoding) to UTF-8 for
	passing to GTK, or to g_print() etc.

	* app/*/*.c: Call file_utils_filename_to_utf8(). Should fix most
	of the warnings generated by non-UTF8 pathnames. See #130118.

	* libgimpbase/gimpenv.c: Document that gimp_directory() etc return
	strings in the on-disk encoding.

	* libgimpmodule/gimpmodule.c: Convert filenames to UTF-8 (using
	g_filename_to_utf8()) before passing to g_print().

2004-01-14  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: Fixed small refresh issue.

2004-01-14  Simon Budig  <simon@gimp.org>

	* data/images/gimp_logo.png: New image for the about dialog by
	Jakub Steiner.

	* app/gui/about-dialog.c: Adjusted to new image. Also could not
	resist to add a fancy effect...

	* data/images/gimp1_2_logo.png: Saved the image from 1.2.

2004-01-13  Michael Natterer  <mitch@gimp.org>

	Allow invoking the text tool by double clicking a text layer in
	the layers dialog, just like the path tool is invoked when double
	clicking a path.

	* app/tools/gimptexttool.[ch]: added empty
	gimp_text_tool_set_layer() stub. Sven, your turn...

	* app/gui/layers-commands.[ch]: added layers_text_tool() which
	invokes the text tool on text layers and falls back to
	layers_edit_layer_query() otherwise.
	Added layers_text_tool_cmd_callback() for the layers menu.

	* app/gui/layers-menu.c: added "Text Tool" menu item and hide
	it for layers which are no text layers.

	* app/gui/dialogs-constructors.c (dialogs_layer_list_view_new):
	use layers_text_tool() as "activate" function.

2004-01-13  Michael Natterer  <mitch@gimp.org>

	* app/composite/Makefile.am (AM_CPPFLAGS): G_LOG_DOMAIN should be
	"Gimp-Composite", not "Gimp-Composition".

	* app/app_procs.c (app_run): register a log handler for the
	"Gimp-Composite" domain.

2004-01-13  Michael Natterer  <mitch@gimp.org>

	* app/base/base-enums.h: removed GimpChannelLutType enum and
	export GimpHistogramChannel to the PDB. The removed enum was just
	there for libgimp compatibility.

	* tools/pdbgen/pdb/color.pdb: changed accordingly.

	* libgimp/gimpcompat.h
	* plug-ins/script-fu/siod-wrapper.c: added compat cruft.

	* app/pdb/color_cmds.c
	* libgimp/gimpcolor_pdb.[ch]
	* libgimp/gimpenums.h
	* plug-ins/pygimp/gimpenums.py
	* plug-ins/script-fu/script-fu-constants.c
	* tools/pdbgen/enums.pl: regenerated.

2004-01-13  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpcompat.h: fixed definition of gimp_use_xshm().

2004-01-13  Michael Natterer  <mitch@gimp.org>

	* app/base/gimphistogram.c: added GimpHistogramChannel index
	fiddling hacks for GRAYA images to all gimp_histogram_get_*()
	functions. The public API now does what their enum values pretend
	to do.

	(gimp_histogram_calculate): restructured to reduce indentation depth.

	* app/widgets/gimphistogrameditor.c
	* app/widgets/gimphistogramview.c
	* tools/pdbgen/pdb/color.pdb: removed hacks here and always use
	the unchanged enum values.

	* app/pdb/color_cmds.c: regenerated.

2004-01-13  Michael Natterer  <mitch@gimp.org>

	* app/base/gimphistogram.[ch]: renamed gimp_histogram_nchannels()
	to gimp_histogram_n_channels().

	* app/core/gimpdrawable-histogram.c: removed silly double negation
	logic. Cleanup.

	* app/widgets/gimphistogrameditor.c
	* app/widgets/gimphistogramview.c: adjust the GimpHistogramChannel
	for GRAYA images to make sure we pick alpha from the right slot.

	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c: removed the same hack here and call
	gimp_histogram_view_set_channel() with the correct enum value.

	* tools/pdbgen/pdb/color.pdb (levels, curves, histogram): fiddle
	with enum values here too so GRAY* drawables produce the correct
	results.

	Fixed precondition checks and set "success" in a uniform way all
	over the place.

	Use gimp_drawable_calculate_histogram() instead of duplicating its
	code here.

	(started with a patch from Pedro Gimeno. Fixes bug #109078)

	* app/pdb/color_cmds.c: regenerated.

2004-01-12  Michael Natterer  <mitch@gimp.org>

	* app/base/gimphistogram.c (gimp_histogram_calculate_sub_region):
	advance the source pointer by 4, not 3 bytes for regions with
	4 bytes (ouch). Cosmetics.

2004-01-12  DindinX  <david@dindinx.org>

	* libgimp/gimpmisc.[ch]: remove these files

	* libgimp/gimppixelfetcher.c:
	* libgimp/gimppixelfetcher.h:
	* libgimp/gimpregioniterator.c:
	* libgimp/gimpregioniterator.h: and created these ones.
	  Regarding #125141, gimpmisc was split into gimppixelfetcher and
	  gimpregioniterator.

	* libgimp/Makefile.am:
	* libgimp/gimp.h: modified accordingly.

2004-01-12  Sven Neumann  <sven@gimp.org>

	* data/misc/gimp.desktop.in.in (Exec): use 'gimp-remote-1.3 --new'
	here so that drops on the application icon don't necessarily spawn
	a new instance.

2004-01-12  Michael Natterer  <mitch@gimp.org>

	Enabled/fixed moving of channels and layer masks (was something
	between disabled and broken before).

	* app/tools/gimpeditselectiontool.h (enum EditType): added new
	values EDIT_CHANNEL_TRANSLATE and EDIT_LAYER_MASK_TRANSLATE.

	* app/tools/gimpmovetool.c (gimp_move_tool_button_press): look at
	the type of the active drawable and invoke GimpEditSelectionTool
	accordingly.

	(gimp_move_tool_cursor_update): don't show the "bad" cursor when
	the active drawable is a channel or layer mask.

	* app/tools/gimpeditselectiontool.c: changed/enabled moving of
	channels and layer masks to work similar to selection mask moving:

	- Show only the item's outline while moving and do the actual move
	  on button_release.
	- Fixed/generalized some code to cope with the fact that we move
	  the linked layers/vectors *while* moving but the moved channel
	  itself *after* moving.
	- Draw the channel's/mask's bounding box instead of its boundary
	  if the boundary is empty (if all its values are either below or
	  above HALF_WAY).

2004-01-12  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpchannel.c: converted tabs to spaces, cosmetics.

2004-01-12  Sven Neumann  <sven@gimp.org>

	* app/main.c (gimp_show_help): changed "compat" to "compatibility".

2004-01-12  Sven Neumann  <sven@gimp.org>

	* app/gui/plug-in-menus.c (plug_in_menus_init): only call
	bind_textdomain_codeset() when it is available. Spotted by
	Reinhard Geisler (bug #131215).

2004-01-12  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-projection.c (gimp_image_invalidate): applied
	patch from Pedro Gimeno that makes sure we always invalidate
	complete tiles, not parts of it. Fixes bug #116765.

	* app/display/gimpdisplay.c (gimp_display_paint_area): calculate
	the image area to invalidate using sub-pixel precision and
	ceil()/floor() the resulting area to make sure we always
	invalidate a superset of the dirty area, not a subset. A rounding
	error here has never been reported but would cause effects similar
	to #116765.

2004-01-12  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpmenu.c (gimp_image_menu_new): call the callback with
	the selected image which is not necessarily the requested one
	(fixes bug #92586).
	Also changed all menu constructors to always call the registered
	callback even when the value is -1 because the menu is empty.

	* app/gui/plug-in-commands.c (plug_in_run_cmd_callback): run the
	procedure even if there's no active GIMP display. The display and
	screen is then taken from the current cursor position.

	* app/gui/gui-vtable.c (gui_get_display_name): don't call
	gimp_display_get_by_ID() unless gdisp_ID is > 0.

2004-01-12  Manish Singh  <yosh@gimp.org>

	* configure.in: we need at least pygtk 1.99.15 for pygimp. Enforce
	this.

2004-01-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/CML_explorer.c (parse_line_to_gdouble): use
	g_ascii_strtod() instead of the locale-dependant atof().

2004-01-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/CML_explorer.c: render a grayscale preview when
	the plug-in is run on a grayscale drawable (fixes bug #82465).

2004-01-12  Sven Neumann  <sven@gimp.org>

	* gimptool-2.0.in: build the version number just like it is done
	for the pkg-config files.

2004-01-11  Manish Singh  <yosh@gimp.org>

	* app/widgets/gtkwrapbox.c: Fix wrapped property.

2004-01-11  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpsignal.h
	* plug-ins/gfig/gfig-preview.c: removed remaining EMX ifdefs spotted
	by David Odin.

2004-01-11  DindinX  <david@dindinx.org>

	* plug-ins/common/plugindetails.c: converted GtkCList and GTKCTree to
	GtkTreeModels/Views.  Fixed some memory leaks while I was at it.
	Please note that this is a work in progress. This plug-in was very
	broken, and still needs some work to be useful and less ugly.

2004-01-11  Tor Lillqvist  <tml@iki.fi>

	* app/config/gimpconfig-path.c: Convert to native encoding (if
	requested) only after expanding completely. (Mentioned in #130118,
	patch by Sven.)

	* app/base/tile-swap.c
	* app/pdb/image_cmds.c
	* app/plug-in/plug-in.c
	* libgimp/gimp.c
	* libgimpbase/gimpdatafiles.c
	* libgimpbase/gimpenv.c
	* libgimpmodule/gimpmoduledb.c
	* plug-ins/common/bz2.c
	* plug-ins/common/gz.c
	* plug-ins/common/mail.c
	* plug-ins/common/ps.c
	* plug-ins/common/url.c
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/helpbrowser/helpbrowser.c
	* plug-ins/print/print.c
	* plug-ins/script-fu/script-fu-scripts.c
	* tools/pdbgen/pdb/image.pdb: Remove __EMX__ ifdefs. EMX port is
	unmaintained, presumed dead. (#131109)

2004-01-11  Dov Grobgeld  <dov@imagic.weizmann.ac.il>

	* plug-ins/common/CEL.c: fixed bug in registration
	of supported file types for writing and enabled use of 
	export functionality for the unsupported formats (gray
	level).

2004-01-11  Pedro Gimeno  <pggimeno@wanadoo.es>

	* app/core/gimpdrawable-preview.c (gimp_drawable_preview_scale):
	Apply threshold to alpha in the same way as it is applied to the
	image in indexed mode. Fixes bug #115793, at least until the
	alpha thresholds in indexed images are removed.

	* plug-ins/FractalExplorer/Display.c: Fix zoom undo handling
	issues. Closes bug #82478.

2004-01-11  Dave Neary  <bolsh@gimp.org>

	* etc/templaterc: Remove unusual "1200x900" template.

2004-01-11  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-scale.c: ensure that
	"fit image to window" really always fits, despite the
	resulting fractions are not as nice compared to the
	fractions from zoom in/out.

2004-01-11  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/pdb/fileops.pdb
	* app/pdb/fileops_cmds.c: Make it build.

2004-01-11  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-scale.c: further tweaks.
	now excluding fractions where numerator*denominator > 200
	(only when both are > 1).
	This is a simple heuristic to exclude some absurd looking
	fractions.

	Also ensure that 1/ratio results in b:a, when ratio results
	in a:b.

	IMHO fixes bug #124073.

2004-01-11  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.[ch] (gimp_imagefile_update): removed the
	size parameter and do nothing but invalidating the preview.

	* app/gui/file-open-dialog.c
	* app/widgets/gimpdocumentview.c: changed accordingly.

	* app/core/gimpdocumentlist.c (gimp_document_list_deserialize):
	no need for calling gimp_imagefile_update() from here.

	* tools/pdbgen/pdb/fileops.pdb
	* app/pdb/fileops_cmds.c (file_load_thumbnail): rewritten using the
	GimpThumbnail API.

	* app/core/gimp.c: cosmetics.

2004-01-11  Simon Budig  <simon@gimp.org>

	* app/display/gimpdisplayshell-scale.c: calculate the
	fraction from the zoom ratio using continued fractions.
	This prefers smaller numbers in numerator/denominator.

	Adresses bug #124073, but does not completely fix it,
	since scaling up/down does not always result in the same
	ratios.

2004-01-10  Ville Pätsi  <drc@gimp.org>

	* gimp.spec.in: Changed epoch to 2.

2004-01-10  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-scale.c
	(gimp_display_shell_scale_zoom_fraction): use G_SQRT2 instead of
	the golden ratio (see bug #124073).

2004-01-10  Michael Natterer  <mitch@gimp.org>

	* app/gui/layers-commands.c (layers_alpha_to_selection_cmd_callback):
	no need to check if the layer has an alpha channel because
	gimp_channel_select_alpha() handles layers without alpha fine: it
	selects everything that is opaque, which is the entire layer.

	* app/gui/image-menu.c (image_menu_update)
	* app/gui/layers-menu.c (layers_menu_update): don't make the
	"Alpha to Selection" items insensitive for layers without alpha.

2004-01-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/select-to-pattern.scm: changed
	(mostly rewritten) to correctly create patterns from drawables
	with or without alpha. Also work correctly with or without a
	currently active selection. Fixes bug #131088.

2004-01-09  Sven Neumann  <sven@gimp.org>

	* app/gui/tips-dialog.c (tips_dialog_create): don't free the
	filename too early.

2004-01-09  Dave Neary  <bolsh@gimp.org>

	* app/display/gimpdisplayshell-scale.c: Modify behaviour of 
	the magnify tool to always change the zoom factor by the 
	golden ratio, rather than modify the numerator and denominator
	directly. Fixes bug #124073.

2004-01-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff.c (load_image): applied a patch from 
	Pablo d'Angelo that fixes layer offsets for multipage TIFF files
	(bug #131016).

2004-01-09  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/add-bevel.scm: fix typo:
	gimp-editbucket-fill -> gimp-edit-bucket-fill

2004-01-09  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpenv.c: coding style fixes and minor cleanup.

2004-01-09  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/winsnap/Makefile.am (winsnap-win32res.o): Don't try to
	use the no longer included build/win32/compile-resource
	script. Instead, run windres directly.

2004-01-09  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version number to 1.3.25, interface_age 1,
	binary age 1.

	* Makefile.am
	* gimp-2.0.pc.in
	* gimpthumb-2.0.pc.in
	* gimpui-2.0.pc.in: renamed the pkg-config files.

	* gimptool-2.0.in
	* docs/Makefile.am
	* docs/gimptool-2.0.1.in: renamed gimptool and it's manpage.

	* gimp.spec.in
	* m4macros/gimp-2.0.m4: changed accordingly.

2004-01-08  Raphaël Quinet  <quinet@gamers.org>

	* plug-ins/common/jpeg.c: applied a (slightly modified) patch from
	keith@goatman.me.uk, fixing a problem with the save dialog for
	grayscale images and a small rounding error in the JPEG quality
	level.  Fixes bug #130912.

2004-01-08  Henrik Brix Andersen  <brix@gimp.org>

	* app/config/gimpdisplayconfig.c: added %D* to
	DEFAULT_IMAGE_TITLE_FORMAT.

	Fixes part of bug #120424 - the patch for including a long dirty
	indicator (%B) should be applied for gimp-2.2.

2004-01-08  Michael Natterer  <mitch@gimp.org>

	* app/gui/user-install-dialog.c: removed explicit newlines from
	all multi-line texts except where neccessary to do paragraph
	breaks. Instead, configure the resp. GtkLabels to do automatic
	line wrapping. Tweaked layout slightly to look better with long
	one-line strings. Fixes bug #130916 and prevents similar bugs to
	occur in the future.

2004-01-08  Dave Neary  <bolsh@gimp.org>

	* etc/templaterc: Add some templates for screen sizes, as i
	suggested in bug #130869.

2004-01-08  Michael Natterer  <mitch@gimp.org>

	* app/gui/layers-menu.c
	* app/gui/patterns-menu.c
	* app/gui/tool-options-menu.c
	* plug-ins/script-fu/scripts/asc2img.scm: added the last missing
	menu mnemonics. Sorry for the string change but it's IMHO better
	to un-fuzzy these 14 strings now than to carry them around during
	the whole 2.0.x cycle. Finally fixes bug #106991.

	* plug-ins/script-fu/scripts/asc2img.scm: changed "ASCII to Image
	Layer" to "ASCII to Layer". We never use the term "Image Layer".

2004-01-08  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/fileops.pdb: Add notes about menu path requirements
	for Load/Save handlers.

	* plug-ins/common/png.c: Document the behavior here too.

	* app/gui/file-open-menu.c
	* app/gui/file-save-menu.c: Robustify against NULL menu_path.

	* app/pdb/fileops_cmds.c
	* libgimp/gimpfileops_pdb.c: Regenerated.

2004-01-08  Henrik Brix Andersen  <brix@gimp.org>

	* plug-ins/common/png.c (query): only expose
	file_png_save_defaults() in the GUI.

	Fixes bug #130866.

2004-01-08  Henrik Brix Andersen  <brix@gimp.org>

	* app/gui/preferences-dialog.c (prefs_dialog_new): moved Default
	Image Grid to top level since it also applies to newly loaded
	images without a grid.

2004-01-07  Henrik Brix Andersen  <brix@gimp.org>

	* plug-ins/common/psd.c
	* app/vectors/gimpvectors-import.c
	* tools/pdbgen/pdb/gradients.pdb: removed more double semi-colons.

	* app/pdb/gradients_cmds.c: regenerated.

2004-01-07  Manish Singh  <yosh@gimp.org>

	* configure.in: AC_SUBST the EXIF vars, to workaround automake 1.6
	brokenness.

2004-01-07  Simon Budig  <simon@gimp.org>

	* app/base/curves.c: copy the positions of the control points
	for a smooth curve into the lookup table, after the points
	inbetween have been interpolated. This ensures that the
	positions of the control points always get respected.

	Fixes bug #35335.

2004-01-07  Henrik Brix Andersen  <brix@gimp.org>

	* app/core/gimpimage-contiguous-region.c
	(find_contiguous_segment): applied a patch from Adrian Bunk
	<bunk@fs.tum.de> which fixes a double ;; typo (bug #130828).

2004-01-07  Sven Neumann  <sven@gimp.org>

	* gimp-1.3.pc.in
	* gimpui-1.3.pc.in: don't use $VERSION because pkg-config and the
	like don't like the 2.0pre version numbers. Instead create a
	parseable version number from major, minor and micro version.
	
	* m4macros/gimp-2.0.m4: check for 1.3.24 or newer.

2004-01-07  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumb.def: fixed wrong function name.

2004-01-07  Henrik Brix Andersen  <brix@gimp.org>

	* plug-ins/script-fu/scripts/beveled-pattern-heading.scm
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/script-fu/scripts/beveled-pattern-bullet.scm
	* plug-ins/script-fu/scripts/beveled-pattern-hrule.scm
	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/add-bevel.scm
	* plug-ins/script-fu/scripts/line-nova.scm
	* plug-ins/script-fu/scripts/starburst-logo.scm
	* plug-ins/script-fu/scripts/chip-away.scm
	* plug-ins/script-fu/scripts/sphere.scm
	* plug-ins/script-fu/scripts/hsv-graph.scm
	* plug-ins/script-fu/scripts/beveled-pattern-arrow.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/burn-in-anim.scm
	* plug-ins/script-fu/scripts/starscape-logo.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/test-sphere.scm
	* plug-ins/script-fu/scripts/textured-logo.scm
	* plug-ins/script-fu/scripts/beveled-pattern-button.scm:
	s/gimp-bucket-fill/gimp-edit-bucket-fill/ + whitespace clean-up.

2004-01-07  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/gimprc.pdb: removed redundant "success = TRUE"
	assignments which simplifies the generated code quite a bit.
	(most of the changed functions always succeed and don't need a
	"success" variable at all)

	* app/pdb/gimprc_cmds.c: regenerated.

2004-01-07  Sven Neumann  <sven@gimp.org>

	* Made 2.0pre1 release.

2004-01-07  Sven Neumann  <sven@gimp.org>

	* configure.in: set GIMP_VERSION to 2.0pre1.

	* HACKING
	* INSTALL
	* NEWS
	* README: updated and changed accordingly.

	* app/widgets/Makefile.am (libappwidgets_a_sources): fixed typo.

2004-01-07  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: Changed the string that is intended
	to be translated to the translators names, to be the same as
	in Gnome. Sorry for the string change.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def
	* libgimpthumb/gimpthumb.def: updated. Patch from Michael Schumacher.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-scale.c (gimp_image_scale_check): fixed inline
	docs.

2004-01-06  Henrik Brix Andersen  <brix@gimp.org>

	* plug-ins/pygimp/plug-ins/sphere.py (python_sphere): use
	gimp_edit_bucket_fill() and gimp_edit_blend() instead of
	deprecated functions.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.[ch]: added new function
	gimp_thumbnail_set_from_thumb() which will be useful when writing
	a thumbnail manager based on libgimpthumb.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c: invalidate the description string
	before emitting "info_changed".
	(gimp_imagefile_save_thumb): use the enum value's name. not it's
	nick.

2004-01-06  Michael Natterer  <mitch@gimp.org>

	Enabled skipping enum values for either the PDB or GType
	registration (don't always skip both targets):

	* tools/gimp-mkenums: skip enum values only if there is a literal
	"skip" (don't match "pdb-skip").

	* tools/pdbgen/enumgen.pl: skip only "pdb-skip" values, not "skip"
	ones.

	* app/base/base-enums.h
	* app/core/core-enums.h
	* app/paint/paint-enums.h
	* libgimpbase/gimpbaseenums.h: use the right "pdb-skip"/"skip"
	combination to skip enum values. Changed comments accordingly.

	Cleaned up the fill functions:

	* app/core/core-enums.[ch]: added GIMP_PATTERN_FILL enum value to
	the GimpFillType enum. Don't export GIMP_NO_FILL to the PDB
	because it's completely useless to export a NOP.

	* app/core/gimp-edit.c (gimp_edit_fill, gimp_edit_fill_internal):
	handle pattern fill requests.

	* app/core/gimpdrawable.[ch] (gimp_drawable_fill): added GimpPattern
	parameter and fill with it if it's non-NULL.

	(gimp_drawable_fill_by_type): handle pattern fill and pass the
	current pattern to gimp_drawable_fill().

	* app/text/gimptextlayer.c: changed accordingly.

	* app/gui/edit-commands.c
	* app/gui/image-menu.c: use gimp_edit_fill() instead of
	gimp_drawable_bucket_fill() for FG, BG and pattern filling.

	* libgimp/gimpcompat.h
	* plug-ins/script-fu/siod-wrapper.c: removed NO_IMAGE_FILL compat
	enum value. It should have never been exported to the PDB.

	* app/pdb/drawable_cmds.c
	* app/pdb/edit_cmds.c
	* libgimp/gimpenums.h
	* plug-ins/pygimp/gimpenums.py
	* plug-ins/script-fu/script-fu-constants.c
	* tools/pdbgen/enums.pl: regenerated.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/gimprc.pdb: use gimp->config; edit_config is
	just for the prefs dialog. This should fix gimp_gimprc_set().

	* app/pdb/gimprc_cmds.c: regenerated.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/png.c: use a global parasite to store the default
	values. Such uglyness doesn't belong into gimprc.

	* devel-docs/parasites.txt: document the parasite used by the PNG
	plug-in.

2004-01-06  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptemplateeditor.c: cosmetic.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.[ch]: added thumb_size variable to
	the GimpThumbnail struct. Fixed handling of failed thumbnails.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_set_uri): added
	missing casts to gint64.

2004-01-06  Manish Singh  <yosh@gimp.org>

	* app/widgets/gimpdasheditor.c (gimp_dash_editor_new): remove
	unnecessary GTK_WIDGET() cast.

	* app/widgets/gimpstrokeeditor.c (gimp_stroke_editor_constructor):
	remove unnecessary G_OBJECT() casts.

	* libgimpbase/gimplimits.h: cosmetic cleanup.

	* libgimpbase/gimpenv.c (gimp_toplevel_directory): add (void)
	to prototype.

	* plug-ins/script-fu/script-fu-console.c (script_fu_cc_key_function):
	set cursor to end of line after history navigation.

	* plug-ins/common/struc.c (strucpi): use CLAMP0255.

2004-01-06  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/png.c: Implemented default settings, for both
	the UI and the PDB. Settings are stored in gimprc, but right now
	saving is broken since gimp_gimprc_set is broken right now.

	There are 3 new PDB entry points: file_png_save_defaults, which is
	a save function that only takes drawable and filename info, and
	uses the stored gimprc settings for the rest of the parameters.
	This is hooked up to the save magic, so using gimp_file_save to
	save as png now won't make big files anymore. The other two are
	file_png_get_defaults and file_png_set_defaults, which query
	and set the gimprc setting respectively.

	I also did some cleanup, and added a comment boolean to the
	file_png_save2 interface. The string serialization to the gimprc
	is sort of dumb, but it works.

	Next step is to do similar for jpeg and gif.
	
2004-01-06  Sven Neumann  <sven@gimp.org>

	Fixes to the new thumbnail code. Will need more changes...
	
	* app/core/gimpimagefile.c: set image information before calling
	gimp_thumbnail_save_thumb(). Emit the "info_changed" signal when
	the thumbnail states change.

	* libgimpthumb/gimpthumbnail.c: redone gimp_thumbnail_load_thumb().
	Added some debugging code that is by default disabled.

2004-01-05  Manish Singh  <yosh@gimp.org>

	* app/paint-funcs/paint-funcs.c (expand_line): on second thought, just
	make everything signed. There is no reason for any of it to be
	unsigned.

2004-01-05  Manish Singh  <yosh@gimp.org>

	* app/paint-funcs/paint-funcs.c (expand_line): cast usage of unsigned
	bytes variable in array subscripting to signed, so we really do get
	a negative value when we need it. Fixes #130398.

2004-01-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/CEL.c: fixed coding style issues, removed
	trailing whitespace, use gsize instead of size_t.
	(need_palette): check the return value of fopen() before using it.

2004-01-05  Dov Grobgeld  <dov@imagic.weizmann.ac.il>

	* plug-ins/common/CEL.c: Added read and write support for 
	32-bit CEL files.

2004-01-05  Michael Natterer  <mitch@gimp.org>

	* app/pdb/Makefile.am
	* app/pdb/misc_tools_cmds.c: forgot to remove this file.

2004-01-05  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/Makefile.am
	* tools/pdbgen/groups.pl
	* tools/pdbgen/pdb/misc_tools.pdb: removed the "misc tools" PDB group.

	* tools/pdbgen/pdb/edit.pdb: added gimp_edit_bucket_fill() and
	gimp_edit_blend().

	* tools/pdbgen/pdb/image.pdb: added gimp_image_pick_color().

	* app/pdb/procedural_db.c
	* libgimp/gimpcompat.h: added compat stuff.

	* app/pdb/edit_cmds.c
	* app/pdb/image_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/misc_tools_cmds.c
	* libgimp/gimp_pdb.h
	* libgimp/gimpedit_pdb.[ch]
	* libgimp/gimpimage_pdb.[ch]: regenerated.

	* libgimp/Makefile.am
	* libgimp/gimpmisctools_pdb.[ch]: removed.

	* plug-ins/gfig/gfig.c
	* plug-ins/script-fu/scripts/3dTruchet.scm
	* plug-ins/script-fu/scripts/alien-glow-arrow.scm
	* plug-ins/script-fu/scripts/alien-glow-bar.scm
	* plug-ins/script-fu/scripts/alien-glow-bullet.scm
	* plug-ins/script-fu/scripts/alien-glow-button.scm
	* plug-ins/script-fu/scripts/alien-glow-logo.scm
	* plug-ins/script-fu/scripts/basic1-logo.scm
	* plug-ins/script-fu/scripts/basic2-logo.scm
	* plug-ins/script-fu/scripts/beveled-button.scm
	* plug-ins/script-fu/scripts/blended-logo.scm
	* plug-ins/script-fu/scripts/burn-in-anim.scm
	* plug-ins/script-fu/scripts/coffee.scm
	* plug-ins/script-fu/scripts/comic-logo.scm
	* plug-ins/script-fu/scripts/coolmetal-logo.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/gradient-bevel-logo.scm
	* plug-ins/script-fu/scripts/gradient-example.scm
	* plug-ins/script-fu/scripts/hsv-graph.scm
	* plug-ins/script-fu/scripts/pupi-button.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/sphere.scm
	* plug-ins/script-fu/scripts/starscape-logo.scm
	* plug-ins/script-fu/scripts/test-sphere.scm
	* plug-ins/script-fu/scripts/textured-logo.scm
	* plug-ins/script-fu/scripts/title-header.scm
	* plug-ins/script-fu/scripts/weave.scm: follow "blend" and "color
	picker" changes. Leave "bucket fill" users unchanged because fill
	and bucket_fill need another cleanup (will follow next...)

2004-01-05  Dave Neary  <bolsh@gimp.org>

	* NEWS: Update news.

2004-01-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/png.c: applied a modified patch provided by
	Joao S. O. Bueno and Dave Neary. The user can now specify whether
	color values for transparent pixels should be saved or nullified
	(bug #129472).

2004-01-05  Sven Neumann  <sven@gimp.org>

	* app/core/core-enums.[ch]: added GIMP_UNDO_TEXT_LAYER to
	GimpUndoType enum.

	* app/core/gimpimage-undo-push.[ch]: added new undo function
	gimp_image_undo_push_text_layer().

	* app/text/gimptextlayer.[ch]: renamed gimp_text_layer_render() to
	gimp_layer_text_layer_flush().
	Added new function gimp_text_layer_discard().

	* app/text/gimptextlayer-transform.c: changed accordingly.

	* app/gui/image-menu.c
	* app/gui/layers-commands.[ch]	
	* app/gui/layers-menu.c: added menu entries that allow to discard
	the text information of a text layer (bug #118547).

	* app/widgets/gimppreviewrendererlayer.c
	(gimp_preview_renderer_layer_render): treat text layers without a
	text object like ordinary layers.

	* app/widgets/gimppreviewrenderer-utils.c: include gimplayer.h
	instead of gimptextlayer.h.

2004-01-04  Ville Pätsi  <drc@gimp.org>

	* gimp.spec.in: Remove last hardcoded -1.3's.

2004-01-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-contiguous-region.c
	(gimp_image_contiguous_region_by_seed) 
	(find_contiguous_region_helper)
	(find_contiguous_segment): pass around GimpImage and GimpImageType
	parameters. For indexed images, convert the tile data to RGB using
	gimp_image_get_color(). Still use the raw tile data for RGB and
	GRAY images so the slowdown for these image types should be
	minimal. Fixes bug #128991.

2004-01-03  Manish Singh  <yosh@gimp.org>

	* plug-ins/twain/Makefile.am
	* plug-ins/winsnap/Makefile.am: minor tweaks, to match changes that
	were made in the other Makefiles long ago.

2004-01-03  Manish Singh  <yosh@gimp.org>

	* configure.in: fix setting of RT_LIBS.

2004-01-03  Manish Singh  <yosh@gimp.org>

	* configure.in: check for shm_open in libc too, and define RT_LIBS
	accordingly.

	* gimptool-1.3.in
	* app/Makefile.am
	* libgimp/Makefile.am
	* plug-ins/*/Makefile.am
	* plug-ins/common/mkgen.pl: use RT_LIBS.

2004-01-03  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c: some cosmetics while reviewing
	the code.

2004-01-03  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.def: updated. Patch from Michael Schumacher.

2004-01-02  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/animationplay.c (build_dialog): NULL-terminate
	the list of strings passed to g_strconcat().

2004-01-02  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppainttool.c: removed GimpTool::cursor_update()
	implementation (which was there only to stop drawing the brush
	preview when the mouse leaves the canvas). Instead, look at
	shell->proximity in GimpTool::oper_update() and just don't start
	drawing the preview if proximity is FALSE.

	* app/display/gimpdisplay.c (gimp_display_delete): set
	gdisp->shell to NULL *before* gtk_widget_destroy()ing the shell so
	our tool callbacks don't dispatch stuff while the shell is in the
	middle of being destroyed.

	Both changes fix bug #129374, though the latter is the fix for the
	real problem.

2003-12-31  Simon Budig  <simon@gimp.org>

	* app/core/gimpdrawable-stroke.c
	* app/paint/gimppaintcore-stroke.c: Don't simplify the border
	of the selection. Quite some people were confused by the
	polygonal look of a stroked ellipse. The old behaviour doesn't
	look good, but the new one isn't really better. Since the
	old behaviour is more predictable, I am reverting this for now
	(Please note that the function to simplify the boundary still
	is available, it just is unused).

	Hopefully at some point it will be possible to have non-integer
	boundary coordinates or even a more sophisticated set of
	"vector-selection" tools.

2003-12-31  Simon Budig  <simon@gimp.org>

	* app/tools/gimpvectortool.[ch]: Fixed missing undo step when
	moving (components of) the path. Don't add an undo step when
	nothing changes.

	Also rephrased the help strings in the statusbar to be shorter
	and encourage the user to try shift. Fixes bug #124025.

2003-12-31  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptextoptions.c (gimp_text_options_gui): fixed
	table packing.

2003-12-30  Simon Budig  <simon@gimp.org>

	* app/tools/gimpvectortool.c: Do not move anchors in edit mode.

	Fixes bug #124973.

2003-12-30  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: Made it possible to have multiple
	lines of translators in the about dialog. Simply translate
	"<Translators: insert your names here, separated by newline>".

	Fixes bug #58507.

2003-12-30  Simon Budig  <simon@gimp.org>

	* app/vectors/gimpvectors-compat.c: When there is a visible
	path, it cannot be stored in the XCF in a portable manner.

	* app/xcf/xcf-save.c: Removed Debug output

2003-12-30  Simon Budig  <simon@gimp.org>

	* app/gui/stroke-dialog.c: Save the stroking type (libart /
	paint-tool) so that it can be remembered when the dialog
	gets opened a second time. Fixes Bug #128156.

2003-12-29  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: reshuffle the authors array and
	restart the animation when the dialog gets shown a second
	time. Also render the current version number to the image
	permanently.

2003-12-29  Raphaël Quinet  <quinet@gamers.org>

	* app/gui/palette-editor-menu.c: Applied patch by David Gowers
	(neota@softhome.net) improving the mnemonics of the palette editor
	commands 'New from FG/BG'.  Fixes bug #130121.

2003-12-29  Simon Budig  <simon@gimp.org>

	* app/gui/about-dialog.c: Redone to have a fancy graphical
	effect. Will be tweaked further.

2003-12-28  Simon Budig  <simon@gimp.org>

	* app/core/core-enums.h: Some default dash pattern enum.
	* app/core/core-enums.c: regenerated.

	* app/core/gimpstrokeoptions.[ch]: Implement default dash
	patterns, add a signal when the dash pattern changes.

	* app/widgets/gimpstrokeeditor.c: Add an option menu for
	the dash pattern and connect it to the signal mentioned above.

2003-12-28  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpstrokeeditor.c: Fixed packing of the widgets.

2003-12-28  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpdasheditor.[ch]: Added functions to shift the
	dash pattern to the left or right.
	
	* app/widgets/gimpstrokeeditor.c: Improve the appearance of the
	widget and add left/right buttons.

2003-12-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdasheditor.c: some minor cleanups.

2003-12-27  Simon Budig  <simon@gimp.org>

	Dashed stroking is here...  :-)
	(fixes bug #129597, although further improvements are desireable)

	* app/core/gimpdrawable-stroke.c: actually use the dash pattern
	from the options

	* app/core/gimpscanconvert.c: Normalize the dash pattern, so
	that libart does the right thing.

	* app/core/gimpstrokeoptions.c: Fix default value for dash
	offset, handle the property_get for PROP_DASH_INFO correct.

	* app/widgets/gimpdasheditor.[ch]
	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h: New widget to edit a dash
	pattern.

	* app/widgets/gimpstrokeeditor.c: Use it.

2003-12-27  Manish Singh  <yosh@gimp.org>

	* app/main.c
	* app/plug-in/plug-in-shm.c
	* libgimp/gimp.c: POSIX shared memory tile transport implementation,
	and a little code cleanup of the SysV and Win32 implementations.

	* configure.in: checks for shm_open, default to POSIX shared memory
	transport on OS X.

2003-12-27  Pedro Gimeno  <pggimeno@wanadoo.es>

	* plug-ins/common/jigsaw.c (jigsaw): actually don't crash when
	layer previews are disabled. Fixes the crash reported in bug
	#112012, but not the bug itself.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_save_thumb): don't crash
	when layer previews are disabled.

2003-12-26  Dave Neary  <bolsh@gimp.org>

	* app/base/levels.c: Modify behaviour of levels tool to 
	conserve lightness when using the grey-point color-picker.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/edge.c: forgot to change
	gimp_pixel_fetcher_set_edgemode to gimp_pixel_fetcher_set_edge_mode
	here.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_cern.y
	* plug-ins/imagemap/imap_cern_lex.c
	* plug-ins/imagemap/imap_cern_parse.[ch]
	* plug-ins/imagemap/imap_csim.[ly]
	* plug-ins/imagemap/imap_csim_lex.c
	* plug-ins/imagemap/imap_csim_parse.[ch]
	* plug-ins/imagemap/imap_ncsa.[ly]
	* plug-ins/imagemap/imap_ncsa_lex.c	
	* plug-ins/imagemap/imap_ncsa_parse.[ch]: Yosh informed me that
	regenerating the files using recent versions of flex/bison is a
	bad idea. Reverted my changes and redid the most important parts
	manually.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* app/config/gimpdisplayconfig.c: set the default value for
	"activate-on-focus" to TRUE. The discussion on this has been
	controversial and I am doing this change now in order to get more
	feedback.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpmisc.[ch]: applied a modified version of a patch
	from Maurits Rijk that cleans up the remaining API (bug #125141).

	* plug-ins/common/curve_bend.c
	* plug-ins/common/displace.c
	* plug-ins/common/edge.c
	* plug-ins/common/illusion.c
	* plug-ins/common/shift.c
	* plug-ins/gflare/gflare.c: changed accordingly.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_edit_area_info.c (create_info_tab):
	removed an unused variable.

	* plug-ins/imagemap/imap_cern.l: include <string.h> for strcpy().

	* plug-ins/imagemap/imap_csim.l
	* plug-ins/imagemap/imap_ncsa.l: include <unistd.h> for isatty().

	* plug-ins/imagemap/imap_cern_lex.c
	* plug-ins/imagemap/imap_ncsa_lex.c
	* plug-ins/imagemap/imap_csim_lex.c: regenerated.

2003-12-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_cern.y
	* plug-ins/imagemap/imap_csim.y
	* plug-ins/imagemap/imap_ncsa.y
	* plug-ins/script-fu/script-fu-console.c 
	* plug-ins/script-fu/script-fu-server.c: include gtk.h with angle
	brackets, not quotes.

	* plug-ins/imagemap/imap_cern_parse.[ch]
	* plug-ins/imagemap/imap_csim_parse.[ch]
	* plug-ins/imagemap/imap_ncsa_parse.[ch]: regenerated.

	* plug-ins/imagemap/Makefile.am: added y.tab.[ch] (created by bison)
	to CLEANFILES.

2003-12-25  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_save_thumb): return
	TRUE if thumbnails are disabled. Fixes bug #129921.

2003-12-24  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-image.c: add undo_group_{start,end} methods.

	* plug-ins/pygimp/foggify.py
	* plug-ins/pygimp/shadow_bevel.py: and use them here, instead of
	deprecated PDB functions.

2003-12-23  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-image.c: remove add/remove_layer_mask
	methods...

	* plug-ins/pygimp/pygimp-drawable.c: ... and put them here, as methods
	of the layer object.

	* plug-ins/pygimp/plug-ins/foggify.py: update for the above new API.

2003-12-22  DindinX  <david@dindinx.org>

	* plug-ins/common/AlienMap.c:
	* plug-ins/common/AlienMap2.c:
	* plug-ins/common/CEL.c:
	* plug-ins/common/aa.c:
	* plug-ins/common/align_layers.c:
	* plug-ins/common/animationplay.c:
	* plug-ins/common/animoptimize.c:
	* plug-ins/common/apply_lens.c:
	* plug-ins/common/autocrop.c:
	* plug-ins/common/blinds.c:
	* plug-ins/common/blur.c:
	* plug-ins/common/borderaverage.c:
	* plug-ins/common/bumpmap.c:
	* plug-ins/common/bz2.c:
	* plug-ins/common/c_astretch.c:
	* plug-ins/common/channel_mixer.c:
	* plug-ins/common/nova.c: small cosmetic changes, such as removing
	tabs.

2003-12-22  DindinX  <david@dindinx.org>

	* app/gui/user-install-dialog.c (user_install_dialog_run): added a
	scrolled window in page 2, since the list of directories is too long
	to fit in a 1024x768 screen.  The user install dialog should now fit
	into a 800x600 screen.  This should close #122211

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/convmatrix.c: indentation & whitespace cleanup.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-dnd.[ch]: added
	gimp_display_shell_drop_svg() (untested because there is no place
	to drag an SVG from yet...).

	* app/display/gimpdisplayshell.c (gimp_display_shell_init):
	connect SVG drops to the new callback.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdnd.[ch]: changed "svg_data" from guchar* to
	gchar*, cleaned up debugging output.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdialogfactory.c: some cleanup while hunting
	window positioning bugs.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogramview.c (gimp_histogram_view_expose):
	render the selection in "light" histograms correctly (unused and
	untested).

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpitemtreeview.c: reset container_view->dnd_widget
	in gimp_item_tree_view_constructor() instead of
	gimp_item_tree_view_new().

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontainerview.c: this was starting to bit-rot on
	my disk: added "container" and "context" properties.

	(gimp_container_view_set_size_request): fixed scrollbar_width
	calculation for deprecated uses of the widget (should never happen
	but the code should be correct anyway).

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-stroke.c (gimp_drawable_stroke_boundary):
	fixed cut'n'paste bug: always use offset_x, not offset_y for x
	coordinates (spotted by Olivier Gondouin).

2003-12-21  Dave Neary  <bolsh@gimp.org>

	* NEWS: Updated NEWS.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpitemtreeview.c: made "item-type" and
	"signal-name" CONSTRUCT_ONLY properties. Configure the DND dests
	in gimp_item_tree_view_constructor(), not in
	gimp_item_tree_view_new().

2003-12-21  Sven Neumann  <sven@gimp.org>

	* app/vectors/gimpvectors-export.[ch]: removed the GError parameter
	from gimp_vectors_export_string() and implemented this function.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimppreviewrendererbrush.c: removed trailing
	whitespace and #if 0'ed cruft. Cosmetics.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptooldialog.c (gimp_tool_dialog_new): doc fixes.

2003-12-21  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdnd.c: return a boolean indicating success from
	all drop handlers.

	(gimp_dnd_data_drop_handle): finish the drop correctly by calling
	gtk_drag_finish() with the above success value.

2003-12-20  Sven Neumann  <sven@gimp.org>

	* app/config/gimpxmlparser.[ch]: added gimp_xml_parser_parse_buffer().

	* app/vectors/gimpvectors-export.[ch]: renamed gimp_vectors_export()
	to gimp_vectors_export_file() and added a stub called
	gimp_vectors_export_string().

	* app/vectors/gimpvectors-import.[ch]: renamed gimp_vectors_import()
	to gimp_vectors_import_file() and added gimp_vectors_import_buffer().

	* app/gui/vectors-commands.c
	* tools/pdbgen/pdb/paths.pdb: changed accordingly.

	* app/pdb/paths_cmds.c: regenerated.

2003-12-20  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdnd.[ch]: changed unused SVG dnd API to speak in
	terms of "guchar *data", "gint data_len" instead of GimpVectors.

2003-12-20  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdnd.h: sanitized DND identifiers
	(e.g. GIMP_BRUSH -> application/x-gimp-brush-name).

	* app/widgets/gimpdnd.[ch]: added stubs for SVG DND with
	on-the-fly conversion from/to GimpVectors. Someone needs to add
	the conversion functions...

2003-12-20  Sven Neumann  <sven@gimp.org>

	* app/gui/gradient-editor-commands.c
	(gradient_editor_replicate_response): applied patch from Shlomi Fish
	that fixes an obvious cut'n'paste bug in the code that replicates a
	gradient segment (bug #129738).

2003-12-19  Jakub Steiner <jimmac@ximian.com>

	* data/images/gimp_splash.png: it's here! soon!

2003-12-19  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcroptool.c: update the crop dialog in
	crop_recalc(), not in gimp_crop_tool_draw().

2003-12-19  Simon Budig  <simon@gimp.org>

	* app/tools/gimpvectortool.[ch]: Removed private statusbar
	gdisplay pointer. Now help texts are only shown on the gdisp
	of the tool. Fixes bug #128209

2003-12-19  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/plug_in.pdb: renamed gimp_temp_PDB_name()
	* tools/pdbgen/pdb/procedural_db.pdb: to gimp_procedurab_db_temp_name()

	* app/pdb/procedural_db.c
	* libgimp/gimpcompat.h: added compat cruft.

	* app/pdb/internal_procs.c
	* app/pdb/plug_in_cmds.c
	* app/pdb/procedural_db_cmds.c
	* libgimp/gimpplugin_pdb.[ch]
	* libgimp/gimpproceduraldb_pdb.[ch]: regenerated.

	* libgimp/gimpbrushselect.c
	* libgimp/gimpfontselect.c
	* libgimp/gimpgradientselect.c
	* libgimp/gimppatternselect.c: changed accordingly.

2003-12-19  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpcompat.h: added some missing #defines.

2003-12-18  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpfileentry.c
	* libgimpwidgets/gimppatheditor.c
	* libgimpwidgets/gimpunitmenu.c (*_class_init): moved signal
	documentation from the gtk-doc templates to comments.

	* libgimpwidgets/gimppatheditor.c (gimp_path_editor_set_path):
	emit the "path-changed" signal.

	* libgimpwidgets/gimppatheditor.[ch]: s/gpe/editor/g.

2003-12-17  Dave Neary  <bolsh@gimp.org>

	* libgimpwidgets/gimpwidgets.[ch]: Change randomize boolean to 
	boolean *.

	* plug-ins/gflare/gflare.c
	* plug-ins/maze/maze_face.c
	* plug-ins/common/plasma.c
	* plug-ins/common/sinus.c
	* plug-ins/common/snoise.c:
	* plug-ins/common/blur.c
	* plug-ins/common/randomize.c: Modify appropriately.

2003-12-17  Dave Neary  <bolsh@gimp.org>

	* libgimpwidgets/gimpwidgets.[ch]: Change signature of 
	gimp_random_seed_new() to allow caller to specify that he wants to 
	use a random seed rather than the specified seed. Previously it was
	up to the caller to initialise the seed.

	* plug-ins/gflare/gflare.c
	* plug-ins/maze/maze_face.c
	* plug-ins/common/plasma.c
	* plug-ins/common/sinus.c
	* plug-ins/common/snoise.c: Trivial modifications of call to 
	gimp_random_seed_new() with FALSE.

	* plug-ins/common/blur.c
	* plug-ins/common/randomize.c: Modify PDB routines and tool options 
	to allow a random seed to be specified. Useful for scripts. Reverts
	PDB to 1.2 state. Fixes bug #129529.

2003-12-17  Dave Neary  <bolsh@gimp.org>

	* plug-ins/script-fu/script-fu-server.c: Destroy widget, not data.

2003-12-17  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-contiguous-region.c: removed trailing
	whitspace.

2003-12-17  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpcanvas.c (gimp_canvas_gc_new): restore the
	cap_style and join_style properties for the XOR GdkGC to the
	values GimpDrawTool's GC used to have. Fixes the result of
	gdk_draw_segments().

	* app/tools/gimpfuzzyselecttool.c (gimp_fuzzy_select_tool_motion):
	CLAMP the threshold to its possible values when setting it in the
	selection options.

	(gimp_fuzzy_select_tool_button_release): restore the original
	threshold after selecting.

2003-12-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpsessioninfo.c (gimp_session_info_restore): free
	GimpSessionInfoAux structs using gimp_session_info_aux_free()
	instead of g_free() so we don't leak its members.

2003-12-16  Michael Natterer  <mitch@gimp.org>

	* app/text/gimptextlayout-render.c (gimp_text_layout_render):
	multiply the layout's offsets with PANGO_SCALE, not -PANGO_SCALE.
	Fixes bug #129405.

2003-12-16  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite.c (gimp_composite_init): fixed
	gtk-doc comment.

	* plug-ins/script-fu/scripts/3d-outline.scm: use enums.

2003-12-16  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-edit.c: added more precondition checks, minor
	cleanup.

2003-12-16  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb (image_add_layer_mask)
	* tools/pdbgen/pdb/layer.pdb (layer_add_mask): don't unref the
	mask after adding it because the layer now takes ownership using
	g_object_ref()/gimp_item_sink().

	* app/pdb/image_cmds.c
	* app/pdb/layer_cmds.c: regenerated.

2003-12-16  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c: added API documentation.

2003-12-15  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogramview.[ch]: draw the selection in
	GTK_STATE_SELECTED's colors, not inverted. Fixed selection
	rendering to snap to value boundaries.

2003-12-15  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/convmatrix.c (response_callback): destroy "widget",
	not "data". Fixes bug #129364.

2003-12-14  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-image.c: use get_name for the repr instead
	of get_filename, to be more consistent.

2003-12-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/Lighting/Makefile.am
	* plug-ins/Lighting/lighting_apply.c
	* plug-ins/Lighting/lighting_image.[ch]
	* plug-ins/Lighting/lighting_main.c
	* plug-ins/Lighting/lighting_preview.c
	* plug-ins/Lighting/lighting_shade.c
	* plug-ins/Lighting/lighting_ui.[ch]
	* plug-ins/MapObject/Makefile.am
	* plug-ins/MapObject/mapobject_apply.c
	* plug-ins/MapObject/mapobject_image.[ch]
	* plug-ins/MapObject/mapobject_main.c
	* plug-ins/MapObject/mapobject_preview.c
	* plug-ins/MapObject/mapobject_shade.c	
	* plug-ins/MapObject/mapobject_ui.[ch]: removed remaining
	references to libgck. Use GdkRGB functionality instead.

	* configure.in
	* plug-ins/Makefile.am
	* plug-ins/makefile.msc
	* plug-ins/libgck: removed libgck.

2003-12-14  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpui.def: removed gimp_plug_in_get_path.

	* plug-ins/Lighting/lighting_apply.c
	* plug-ins/Lighting/lighting_preview.[ch]: minor cleanup.

2003-12-14  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumb-error.c
	* libgimpthumb/gimpthumb-utils.[ch]
	* libgimpthumb/gimpthumbnail.c: some code review and addition of
	API documentation. Not finished yet...

2003-12-14  Raphaël Quinet  <quinet@gamers.org>

	* libgimp/gimpui.h: Removed inclusion of libgimp/gimpmiscui.h,
	which is gone now.  Looks like another forgotten commit.  It was
	breaking the build (ouch! bad DindinX!).  ;-)

2003-12-14  DindinX  <david@dindinx.org>

	* plug-ins/FractalExplorer/Dialogs.c:
	* plug-ins/gfig/gfig.c:
	* plug-ins/gflare/gflare.c: Don't call gimp_plug_in_get_path(), since
	it doesn't really help, call gimp_gimprc_query() instead and display
	an error message in case of problem. Aka move the code from
	gimpmiscui back to these plug-ins.

	* libgimp/gimpmiscui.[ch]: removed these file.
	* libgimp/Makefile.am: changed accordlingly.

	* plug-ins/libgimpoldpreview/gimpoldpreview.c: removed
	gimp_plug_in_get_path() from here also, since I forgot to do this in
	my previous commits (ouch! bad DindinX!).

	All this partly close #125141.

2003-12-13  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/procedural_db.pdb: added a hack that allows to
	dynamically allocate the strings returned by a PDB query. Construct
	more useful "blurb" and "help" strings for deprecated procedures.

	* tools/pdbgen/pdb/image.pdb: did the same change manually for
	gimp_image_add,remove_layer_mask.

	* app/pdb/procedural_db_cmds.c
	* app/pdb/image_cmds.c: regenerated.

2003-12-13  DindinX  <david@dindinx.org>

	* plug-ins/libgimpoldpreview/gimpoldpreview.[ch]: fixed the header
	part to reflect the new name of these files.

2003-12-12  Manish Singh  <yosh@gimp.org>

	* Makefile.am
	* app/composite/Makefile.am
	* themes/Default/images/Makefile.am: comestics.

	* app/gui/color-notebook.c (color_notebook_new): no need to cast to
	G_OBJECT for g_signal_connect.

	* plug-ins/common/mkgen.pl
	* plug-ins/common/plugin-defs.pl: properly handle the libgimpoldpreview
	stuff.

	* plug-ins/common/Makefile.am: regenerated.

	* plug-ins/common/decompose.c: cbrt() is in C99, so check for that
	in addition to GNU libc.

2003-12-12  Hans Breuer  <hans@breuer.org>

	[
	 I've postponed my reservations against pangoft2/fontconfig/freetype2
	 usage, so The Gimp should now build with msvc without patching it.
	]

	* app/makefile.msc app/text/makefile.msc: use $(PANGOFT2_CFLAGS) etc.

	* libgimpthumb/makefile.msc: (new file)
	* makefile.msc: added libgimpthumb

	* libgimpthumb/gimpthumbnail.c: include gimpwin32-io.h
	* libgimpthumb/gimpthumb-utils.c: don't compare size pointer
	with GIMP_THUMB_SIZE_FAIL but *size 

	* plug-ins/makefile.msc: handle libgimpoldpreview

	* plug-ins/common/decompose.c: define cbrt() if not __GLIBC__

	* plug-ins/common/winclipboard.c: make it compile without gimpcompat.h

	* plug-ins/imagemap/imagemap_csim_lex.c: its a generated file
	but still win32/msvc has no unistd.h

	* plug-ins/pygimp/makefile.msc: (new file) to use the binary you 
	need to patch glib, see bug #98737

	* plug-ins/libgimpoldpreview.c: use <libgimp/gimp.h> instead of
	"gimp.h"

	* **/Makefile.am: added makefile.msc to EXTRA_DIST

2003-12-12  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimplayer.h: removed preserve_transparency #defines.
	This is the last of the #defines we added before 1.2 to create a
	saner libgimp API (this time, removed the function names that were
	planned to be the new ones, because this one is just nitpicky and
	overly long).

	* libgimp/gimpcompat.h: added them here.

	* plug-ins/common/iwarp.c
	* plug-ins/common/psd.c
	* plug-ins/common/psd_save.c
	* plug-ins/common/psp.c
	* plug-ins/common/rotate.c
	* plug-ins/common/threshold_alpha.c
	* plug-ins/common/vpropagate.c
	* plug-ins/xjt/xjt.c: changed accordingly.

2003-12-12  Michael Natterer  <mitch@gimp.org>

	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/fp/fp_gtk.c
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/maze/maze_face.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/rcm/rcm_dialog.c
	* plug-ins/winsnap/winsnap.c
	* plug-ins/xjt/xjt.c
	* plug-ins/common/*.c: don't set GTK_SHADOW_ETCHED_IN on
	GtkFrames, it's the default and just clutters the code.

2003-12-12  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpblendoptions.c (gimp_blend_options_gui)
	* app/tools/gimpcoloroptions.c (gimp_color_options_gui)
	* app/tools/gimpinkoptions.c (gimp_ink_options_gui): removed calls
	to gtk_frame_set_shadow_type (frame, GTK_SHADOW_ETCHED_IN) because
	that's the default anyway.

2003-12-12  Sven Neumann  <sven@gimp.org>

	* app/gui/dialogs.c: remember the size of the color picker dialog.

2003-12-12  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcurvestool.c (gimp_curves_tool_register): call
	gimp_color_options_new, not gimp_histogram_options_new.

2003-12-11  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/destripe.c (destripe_dialog): use the GtkDialog
	vbox instead of an uninitialized one.

2003-12-12  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcurvestool.c: use GimpHistogramOptions instead of
	GimpColorOptions and connect the options to the histogram view.

2003-12-12  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogramview.[ch]: added a hack that allows to
	render the histogram in a brighter color. Fixed initial range for
	views that are not selectable.
	* app/tools/gimpcurvestool.[ch]: replaced the GtkDrawingArea by a
	bright GimpHistogramView and render the curves tool controls on
	top of the histogram. Fixes bug #71633.

2003-12-11  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdockable.c (gimp_dockable_init): suppress
	button_press events that reach the dockable widget but don't
	originate from the title area.

2003-12-11  DindinX  <david@dindinx.org>

	* libgimp/gimpmiscui.c:
	* libgimp/gimpmiscui.h: removed GimpOld preview...

	* plug-ins/libgimpoldpreview/Makefile.am:
	* plug-ins/libgimpoldpreview/gimpoldpreview.c:
	* plug-ins/libgimpoldpreview/gimpoldpreview.h: ... and added it there
	as a noinst library, so foreign plug-ins won't use it.

	* configure.in:
	* plug-ins/Makefile.am:

	* plug-ins/common/Makefile.am:

	* plug-ins/common/AlienMap.c:
	* plug-ins/common/AlienMap2.c:
	* plug-ins/common/blinds.c:
	* plug-ins/common/flarefx.c:
	* plug-ins/common/glasstile.c:
	* plug-ins/common/grid.c:
	* plug-ins/common/illusion.c:
	* plug-ins/common/jigsaw.c:
	* plug-ins/common/max_rgb.c:
	* plug-ins/common/nlfilt.c:
	* plug-ins/common/noisify.c:
	* plug-ins/common/nova.c:
	* plug-ins/common/plasma.c:
	* plug-ins/common/polar.c:
	* plug-ins/common/waves.c:
	* plug-ins/common/wind.c: Changed accordingly.

2003-12-11  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogramview.[ch]: added properties "border-width"
	and "subdivisions". Fixed rendering (it off-by-one worked just
	accidentially because border-width was hardcoded to 1).

	* app/widgets/gimphistogrambox.c: use the histogram view's border
	width for the color area below the histogram. Conect to the right
	signal to update the area. Added (#ifdef DEBUG_VIEW) debugging
	spinbuttons to change the histogram view's new properties on the
	fly.

2003-12-11  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphistogramview.[ch]: applied (modified) patch
	from Ed Halley which adds "quintile marks". Fixes bug #129050.
	Render the histogram on a base_gc background and use text_gc and
	text_aa_gc for rendering the histogram and the helper lines.
	Fixed rendering of the 1px border around the histogram. Removed
	separate drawing of baseline, left and right helper lines and draw
	a rectangle which marks the entire area of possible values. Fixed
	size_request calculation. Added missing getters. Cleanup.

	* app/tools/gimpcurvestool.c: use the same color scheme as the
	histogram.

	* app/tools/gimpcurvestool.c (curves_load,save_callback)
	* app/tools/gimplevelstool.c (levels_load,save_callback):
	gtk_window_present() the file dialog if it is already visible.

2003-12-11  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c (gimp_display_shell_events):
	switch off fullscreen mode on Escape key press events only. The shell
	should not react on the key release event it gets when a dialog is
	closed using the Escape key.

2003-12-09  DindinX  <david@dindinx.org>

	* libgimp/gimpmiscui.c:
	* libgimp/gimpmiscui.h:
	* plug-ins/common/AlienMap.c:
	* plug-ins/common/AlienMap2.c:
	* plug-ins/common/blinds.c:
	* plug-ins/common/flarefx.c:
	* plug-ins/common/glasstile.c:
	* plug-ins/common/grid.c:
	* plug-ins/common/illusion.c:
	* plug-ins/common/jigsaw.c:
	* plug-ins/common/max_rgb.c:
	* plug-ins/common/nlfilt.c:
	* plug-ins/common/noisify.c:
	* plug-ins/common/nova.c:
	* plug-ins/common/plasma.c:
	* plug-ins/common/polar.c:
	* plug-ins/common/waves.c:
	* plug-ins/common/wind.c:  Rename GimpFixmePreview into
	GimpOldPreview. This is just a prelimirary stuff, before moving it
	into its own, no_inst library.

2003-12-09  DindinX  <david@dindinx.org>

	* plug-ins/common/vpropagate.c (vpropagate_dialog):
	* plug-ins/common/unsharp.c (unsharp_mask_dialog):
	* plug-ins/common/threshold_alpha.c (threshold_alpha_dialog):
	* plug-ins/common/struc.c (struc_dialog):	
	* plug-ins/common/sparkle.c (sparkle_dialog):
	* plug-ins/common/sobel.c (sobel_dialog):
	* plug-ins/common/snoise.c (solid_noise_dialog):
	* plug-ins/common/smooth_palette.c (dialog):
	* plug-ins/common/sharpen.c (sharpen_dialog):
	* plug-ins/common/sel_gauss.c (sel_gauss_dialog):
	* plug-ins/common/scatter_hsv.c (scatter_hsv_dialog):
	* plug-ins/common/ripple.c (ripple_dialog):
	* plug-ins/common/randomize.c (randomize_dialog):
	* plug-ins/common/polar.c (polarize_dialog):
	* plug-ins/common/plasma.c (plasma_dialog):
	* plug-ins/common/pixelize.c (pixelize_dialog):
	* plug-ins/common/oilify.c (oilify_dialog):
	* plug-ins/common/nova.c (nova_dialog):
	* plug-ins/common/noisify.c (noisify_dialog):
	* plug-ins/common/nlfilt.c (pluginCoreIA):
	* plug-ins/common/lic.c (create_main_dialog):
	* plug-ins/common/jpeg.c (save_dialog):
	* plug-ins/common/illusion.c (dialog):
	* plug-ins/common/grid.c (dialog):
	* plug-ins/common/glasstile.c (glass_dialog):
	* plug-ins/common/gauss_rle.c (gauss_rle_dialog):
	* plug-ins/common/gauss_iir.c (gauss_iir_dialog):
	* plug-ins/common/engrave.c (engrave_dialog):
	* plug-ins/common/emboss.c (pluginCoreIA):
	* plug-ins/common/edge.c (edge_dialog):
	* plug-ins/common/destripe.c (destripe_dialog):
	* plug-ins/common/despeckle.c (despeckle_dialog):
	* plug-ins/common/cubism.c (cubism_dialog):
	* plug-ins/common/checkerboard.c (do_checkerboard_dialog):
	* plug-ins/common/bumpmap.c (bumpmap_dialog):
	* plug-ins/common/blur.c (blur_dialog):
	* plug-ins/common/blinds.c (blinds_dialog):
	* plug-ins/common/apply_lens.c (lens_dialog): reverted Maurits'
	patch, to get rid of gimp_parameter_settings_new (see #125141)

	* libgimp/gimpmiscui.[ch]: remove this function.

2003-12-09  DindinX  <david@dindinx.org>

	* plug-ins/common/wind.c (pluginCoreIA):
	* plug-ins/common/whirlpinch (whirl_pinch_dialog):
	* plug-ins/common/waves (dialog_box): reverted Maurits' patch,
	to get rid of gimp_parameter_settings_new (see #125141)

2003-12-09  DindinX  <david@dindinx.org>

	* plug-ins/common/xpm.c (save_dialog): reverted Maurits' patch,
	to get rid of gimp_parameter_settings_new (see #125141)

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-scale.c (gimp_image_scale_check): renamed
	variable and added comments to make the calculation clear.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-duplicate.c: Removed unused #includes. Copy
	the colormap using the provided API. Use gimp_item_convert()
	instead of gimp_item_duplicate() and gimp_item_set_image() to
	create layers, channels and vectors for the new image. Don't leak
	the new image's grid. Cleanup.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	Fixed memory management of layers and channels which were created
	using the PDB:

	* app/core/gimpitem.[ch]: added "gboolean floating" flag to
	GimpItem. Items are created with floating == TRUE. Added
	gimp_item_sink() which resets the floating flag and unrefs the
	item if it was TRUE.  Added gimp_item_is_floating() accessor.

	* app/core/gimpimage.c (gimp_image_add_layer,channel,vectors):
	g_object_ref()/gimp_item_sink() added items to take ownership of
	them.

	* app/core/gimplayer.c (gimp_layer_add_mask):
	g_object_ref()/gimp_item_sink() the mask.

	* app/gui/layers-commands.c
	* app/xcf/xcf-load.c: don't unref layer masks after adding them to
	the layer.

	* tools/pdbgen/pdb/drawable.pdb (drawable_delete):
	gimp_item_sink() the drawable if it's floating and fail if it's
	not. Fixes bug #128881.

	* tools/pdbgen/pdb/layer.pdb (layer_create_mask): fixed docs.

	* app/pdb/drawable_cmds.c
	* app/pdb/layer_cmds.c
	* libgimp/gimplayer_pdb.c: regenerated.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/core/core-enums.[ch]: removed enum value
	GIMP_UNDO_GROUP_EDIT_COPY (I have no idea why we used to push an
	undo group around "Copy"...).

	* app/core/gimp-edit.c (gimp_edit_extract): new utility function
	which does everything needed for cut and copy and does not push an
	undo group for copy.

	(gimp_edit_cut,copy): removed lots of duplicated code and call
	gimp_edit_extract().

	(gimp_edit_paste,paste_as_new): no need to call
	gimp_item_set_image() on newly created layers.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/core/gimplayer-floating-sel.c (floating_sel_attach): changed
	absolutely unclear comment.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptoolbox-dnd.c (gimp_toolbox_drop_drawable): use
	gimp_item_convert() instead of gimp_item_duplicate() to create
	the layer for the new image. Cleanup.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/base/tile-manager.c (tile_manager_get_memsize): return a
	more exact result.

	* app/core/gimpimage-scale.[ch] (gimp_image_scale_check): estimate
	the new memsize by separating parts of the image that are constant
	from parts that will scale. Also take undo logic into account.
	Return the estimated new memsize since it's not trivial to
	calculate.

	* app/gui/image-commands.c (image_scale_callback): use the memsize
	returned by gimp_image_scale_check() for the warning message. Free
	allocated strings.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/core/core-enums.h: changed GimpImageScaleCheckType enum
	values to GIMP_IMAGE_SCALE_*.

	* app/core/gimpimage-scale.c (gimp_image_scale_check): return
	GIMP_IMAGE_SCALE_TOO_BIG only if we are scaling up.

	* app/gui/image-commands.c: changed accordingly. Whitespace and
	indentation cleanup.

2003-12-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/spyrogimp.scm: added missing parameter
	to gimp-gradients-get-gradient-data call.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb (image_list): iterate gimp->images
	directly rather than building a (leaked) temp GList using
	gimp_container_foreach(). Removed gimlist_cb() utility function.

	* app/pdb/image_cmds.c: regenerated.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* app/core/core-enums.h: export enum GimpRotationType to libgimp.

	* tools/pdbgen/pdb/image.pdb: added gimp_image_rotate() PDB wrapper.

	* app/pdb/image_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpenums.h
	* libgimp/gimpimage_pdb.[ch]
	* plug-ins/pygimp/gimpenums.py
	* plug-ins/script-fu/script-fu-constants.c
	* tools/pdbgen/enums.pl: regenerated.

2003-12-08  Manish Singh  <yosh@gimp.org>

	* Makefile.am
	* configure.in: added --disable-devel-docs, to skip the devel-docs
	dir entirely. Also, changed --enable-gimpdir to --with-gimpdir
	since that semantic makes more sense.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb: marked gimp_image_add_layer_mask()
	and gimp_image_remove_layer_mask() as deprecated. Didnn't remove
	them from the PDB because the new functions' signature differs and
	they are used very often in scripts, but removed them from the
	libgimp C wrappers.

	* tools/pdbgen/pdb/layer.pdb: added gimp_layer_add_mask() and
	gimp_layer_remove_mask().

	* libgimp/gimpcompat.h: added compat cruft.

	* app/pdb/image_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/layer_cmds.c
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* libgimp/gimpexport.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/psd.c
	* plug-ins/pygimp/pygimp-image.c
	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/alien-neon-logo.scm
	* plug-ins/script-fu/scripts/blended-logo.scm
	* plug-ins/script-fu/scripts/burn-in-anim.scm
	* plug-ins/script-fu/scripts/carve-it.scm
	* plug-ins/script-fu/scripts/carved-logo.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/chrome-logo.scm
	* plug-ins/script-fu/scripts/coolmetal-logo.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/fade-outline.scm
	* plug-ins/script-fu/scripts/frosty-logo.scm
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/script-fu/scripts/news-text.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/slide.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm
	* plug-ins/script-fu/scripts/speed-text.scm
	* plug-ins/script-fu/scripts/starburst-logo.scm
	* plug-ins/script-fu/scripts/textured-logo.scm
	* plug-ins/script-fu/scripts/weave.scm
	* plug-ins/script-fu/scripts/xach-effect.scm
	* plug-ins/xjt/xjt.c: changed accordingly.

2003-12-08  Dave Neary  <bolsh@gimp.org>

	* app/core/core-enums.h:
	* app/core/gimpimage-scale.[ch]: Added the GimpImageScaleCheckType 
	enum and used it in gimp_image_scale_check() which used to be
	gimp_image_check_scaling().

	* app/gui/image_commands.c: Used the above when checking 
	scaling parameters to display a message if the image is too big 
	or too small after scaling. Closes bug #21028.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb: renamed PDB function
	gimp_image_active_drawable() to gimp_image_get_active_drawable()
	so it's consistent with all other drawable getters.

	* app/pdb/procedural_db.c
	* libgimp/gimpcompat.h: added compat stuff.

	* app/pdb/image_cmds.c
	* libgimp/gimpimage_pdb.[ch]: regenerated.

	* plug-ins/pygimp/pygimp-image.c
	* plug-ins/script-fu/scripts/add-bevel.scm
	* plug-ins/script-fu/scripts/carved-logo.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/round-corners.scm
	* plug-ins/script-fu/scripts/slide.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm: changed accordingly.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	Some PDB fixes/cosmetics before doing real changes again:

	* tools/pdbgen/pdb/drawable.pdb
	* tools/pdbgen/pdb/layer.pdb: changed order of generated functions
	to make more sense.

	* tools/pdbgen/pdb/misc_tools.pdb: doc cosmetics, removed unused
	subroutines.

	* tools/pdbgen/pdb/image.pdb: reordered generated functions as
	above, fixed resolution and unit accessors to use functions
	instead of setting gimage->foo directly, use &image_accessors()
	for the tattoo_state functions, cleanup.

	* app/pdb/drawable_cmds.c
	* app/pdb/image_cmds.c
	* app/pdb/layer_cmds.c
	* app/pdb/misc_tools_cmds.c
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]
	* libgimp/gimpmisctools_pdb.c: regenerated.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_load_thumb): don't
	scale the pixbuf, always return the pixbuf as loaded from disk.
	
	* app/core/gimpimagefile.c (gimp_imagefile_get_description):
	return NULL when being asked for a description on a thumbnail
	without an image_uri.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdatafactory.c: code review / cleanup.

	* app/plug-in/plug-in.c
	* app/plug-in/plug-in-message.c: unified messages about plug-in
	errors. Changed lots of g_warning()s to g_message()s because
	g_warning() is for programming errors and the user should be
	informed that the plug-in was killed and did not simply crash.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumb-utils.[ch]: renamed a function, added
	another one.

	* libgimpthumb/gimpthumb.def
	* libgimpthumb/gimpthumbnail.c: changed accordingly.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/channel.pdb
	* tools/pdbgen/pdb/display.pdb
	* tools/pdbgen/pdb/drawable.pdb
	* tools/pdbgen/pdb/image.pdb: don't use "alias"es just to rename
	variables, they just clutter the code and there is no reason why
	e.g. a GimpDisplay variable must be called "gdisp" instead of
	"display". Cleanup.

	* app/pdb/channel_cmds.c
	* app/pdb/display_cmds.c
	* app/pdb/drawable_cmds.c
	* app/pdb/image_cmds.c: regenerated.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brushes.pdb
	* tools/pdbgen/pdb/fonts.pdb
	* tools/pdbgen/pdb/gradients.pdb
	* tools/pdbgen/pdb/palettes.pdb
	* tools/pdbgen/pdb/patterns.pdb: removed comments that
	gimp_data_factory_data_init() should return a boolean indicating
	success, since it is highly unclear when to return FALSE. This
	function just always succeeds. Changed docs accordingly. Cleanup.

	* tools/pdbgen/pdb/brush_select.pdb
	* tools/pdbgen/pdb/font_select.pdb
	* tools/pdbgen/pdb/gradient_select.pdb
	* tools/pdbgen/pdb/palette_select.pdb
	* tools/pdbgen/pdb/pattern_select.pdb: minor cleanups.

	* app/pdb/brush_select_cmds.c
	* app/pdb/brushes_cmds.c
	* app/pdb/font_select_cmds.c
	* app/pdb/fonts_cmds.c
	* app/pdb/gradient_select_cmds.c
	* app/pdb/gradients_cmds.c
	* app/pdb/palette_select_cmds.c
	* app/pdb/palettes_cmds.c
	* app/pdb/pattern_select_cmds.c
	* app/pdb/patterns_cmds.c
	* libgimp/gimpbrushes_pdb.c
	* libgimp/gimpfonts_pdb.c
	* libgimp/gimpgradients_pdb.c
	* libgimp/gimppalettes_pdb.c
	* libgimp/gimppatterns_pdb.c: regenerated.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version number to 1.3.24.
        (AC_CONFIG_FILES): added files in devel-docs/libgimpthumb.

	* gimp.spec.in: added files from libgimpthumb.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcroptool.c (gimp_crop_tool_draw): an XOR line was
	being drawn twice; spotted by Marco Munari.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* Makefile.am (SUBDIRS): added libgimpthumb.

	* libgimpthumb/gimpthumb-utils.c
	* libgimpthumb/gimpthumbnail.c: basic functionality is implemented
	and seems to be working.

	* app/Makefile.am: link the application against libgimpthumb.

	* app/core/core-types.h: include libgimpthumb/gimpthumb-types.h.

	* app/core/gimpimagefile.[ch]: removed thumbnail handling routines
	and use libgimpthumb instead. Fixes bug #127914.

	* app/gui/file-open-dialog.c
	* app/widgets/gimpdocumentview.c: changed accordingly.

2003-12-07  Dave Neary  <bolsh@gimp.org>

	* NEWS: Updated.

2003-12-06  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb (image_delete): fixed "success"
	return value.

	* app/pdb/image_cmds.c: regenerated.

2003-12-06  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphelp.c (gimp_idle_help): cleanup.

2003-12-06  Michael Natterer  <mitch@gimp.org>

	* app/xcf/xcf-private.h: added "GimpTattoo tattoo_state" to the
	XcfInfo struct.

	* app/xcf/xcf.c (xcf_load_invoker): initialize it to 0.

	* app/xcf/xcf-load.c (xcf_load_image_props): remember PROP_TATTOO
	in info->tattoo_state instead of setting it directly in the
	GimpImage struct.

	(xcf_load_image): set the remembered tattoo_state after all items
	are created.

	(Fixes the regression that "open -> don't modify -> save" didn't
	result in 100% identical XCF files).

2003-12-05  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/gif.c: always compare using unsigned chars for 7bit
	ASCII check.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* app/pdb/pdb-types.h: added enum GimpPDBCompatMode which can
	be one of { OFF, ON, WARN }.

	* app/main.c: added --pdb-compat-mode command line option. Renamed
	--enable-stack-trace to --stack-trace-mode. Made default values of
	stack_trace_mode and pdb_compat_mode depend on GIMP_MINOR_VERSION
	(default to compat ON and stack_trace NEVER for stable releases
	and to compat WARN and stack_trace ASK for unstable ones).

	* app/app_procs.[ch]: pass pdb_compat_mode to gimp_new().

	* app/core/gimp.[ch]: added pdb_compat_mode to the Gimp struct
	and to gimp_new().

	* app/pdb/procedural_db.c: leave the compat table empty for
	GIMP_PDB_COMPAT_OFF.

	* app/plug-in/plug-in-message.c: warn when a deprecated procedure
	is called for GIMP_PDB_COMPAT_WARN.

	* docs/gimp-1.3.1.in: changed accordingly.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	Name all PDB procedures which deal with floating selections
	consistently:

	* tools/pdbgen/pdb/image.pdb: renamed
	gimp_image_floating_selection() to gimp_image_get_floating_sel().

	* libgimp/gimplayer.h: removed gimp_layer_is_floating_selection #define.

	* libgimp/gimpcompat.h
	* app/pdb/procedural_db.c: added compat stuff.

	* app/pdb/image_cmds.c
	* libgimp/gimpimage_pdb.[ch]: regenerated.

	* plug-ins/common/curve_bend.c
	* plug-ins/common/film.c
	* plug-ins/common/rotate.c
	* plug-ins/pygimp/pygimp-image.c
	* plug-ins/xjt/xjt.c: changed accordingly.

2003-12-05  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: updated.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.h
	* libgimp/gimpbrushmenu.h
	* libgimp/gimpbrushselect.[ch]
	* libgimp/gimpfontmenu.[ch]
	* libgimp/gimpfontselect.[ch]
	* libgimp/gimpgradientmenu.h
	* libgimp/gimpgradientselect.[ch]
	* libgimp/gimpmenu.h
	* libgimp/gimpmisc.[ch]
	* libgimp/gimpmiscui.[ch]
	* libgimp/gimppatternmenu.h
	* libgimp/gimppatternselect.[ch]
	* libgimp/gimppixelrgn.[ch]
	* libgimp/gimpproceduraldb.c
	* libgimp/gimpselection.c
	* libgimp/gimptile.h
	* libgimp/gimptypes.h
	* libgimp/gimpui.h
	* libgimp/gimpuitypes.h
	* libgimp/libgimp-intl.h
	* libgimp/stdplugins-intl.h
	* libgimpbase/gimpbase.h
	* libgimpbase/gimpdatafiles.c
	* libgimpbase/gimpenv.c
	* libgimpbase/gimpparasite.[ch]
	* libgimpbase/gimpparasiteio.[ch]
	* libgimpbase/gimpsignal.[ch]
	* libgimpbase/gimputils.c
	* libgimpcolor/gimpadaptivesupersample.[ch]
	* libgimpcolor/gimpbilinear.[ch]
	* libgimpmath/gimpmath.h
	* libgimpmath/gimpmathtypes.h
	* libgimpwidgets/gimpbutton.[ch]
	* libgimpwidgets/gimpchainbutton.h
	* libgimpwidgets/gimpcolorarea.[ch]
	* libgimpwidgets/gimpcolornotebook.h
	* libgimpwidgets/gimpcolorscale.[ch]
	* libgimpwidgets/gimpcolorscales.h
	* libgimpwidgets/gimpcolorselect.h
	* libgimpwidgets/gimpoffsetarea.h
	* libgimpwidgets/gimppixmap.[ch]: removed trailing whitespace.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable.pdb: renamed gimp_drawable_bytes() to
	gimp_drawable_bpp() because all other libgimp API speak in terms
	of "bpp" too.

	* libgimp/gimpdrawable.h: removed gimp_drawable_bpp #define.

	* app/pdb/procedural_db.c
	* libgimp/gimpcompat.h: added compat stuff.

	* app/pdb/drawable_cmds.c
	* libgimp/gimpdrawable_pdb.[ch]: regenerated.

	* plug-ins/common/pix.c
	* plug-ins/common/psd_save.c: changed accordingly.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb: removed gimp_image_undo_*() functions...

	* tools/pdbgen/pdb/undo.pdb: ...and added them here. Renamed
	gimp_undo_push_group_start,end() to
	gimp_image_undo_group_start,end().

	* app/pdb/procedural_db.c
	* libgimp/gimpcompat.h: added compat stuff for the old undo group API.

	* app/pdb/image_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/undo_cmds.c
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimpundo_pdb.[ch]: regenerated.

	* plug-ins/common/align_layers.c
	* plug-ins/common/colortoalpha.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/iwarp.c
	* plug-ins/common/jpeg.c
	* plug-ins/common/rotate.c
	* plug-ins/common/tile.c
	* plug-ins/common/zealouscrop.c
	* plug-ins/gfig/gfig.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/script-fu/scripts/*.scm: changed accordingly.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	Made 3rd party scripts work again after all that PDB function
	renaming:

	* app/core/gimp.[ch]: added "GHashTable *procedural_compat_ht" to
	the Gimp struct which maps old procedure names to new ones.
	Call new function procedural_db_init_procs() instead of
	internal_procs_init().

	* app/pdb/procedural_db.[ch]: create and destroy the new compat
	hash table. Added new function procedural_db_init_procs() which
	registers the internal procedures and fills the compat hash table.

	(procedural_db_execute): minor fixes.

	* app/plug-in/plug-in-message.c (plug_in_handle_proc_run): if
	the requested procedure was not found, try the compat table.

	* tools/pdbgen/pdb/procedural_db.pdb: made all PDB query
	procedures compat aware. For compat procedures, return help
	strings which declare the procedure as deprecated and tell
	the new name of the procedure. Cleanup.

	* app/pdb/procedural_db_cmds.c: regenerated.

2003-12-05  Adam D. Moss  <adam@gimp.org>

	* plug-ins/common/psd.c: GIMP 1.3/2.0 needs its layer/channel
	names to be UTF8 or it fails wackily, so convert the strings from
	the PSD file to UTF8 instead of using them raw.

2003-12-05  Sven Neumann  <sven@gimp.org>

	* app/gui/resize-dialog.c: added mnemonics.

2003-12-04  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-drawable.c: made linked an attribute of
	GimpDrawable.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/convert.pdb: renamed gimp_convert_*() functions
	to gimp_image_convert_*().

	* libgimp/gimpimage.[ch]: removed gimp_image_convert_* #defines.

	* libgimp/gimpcompat.h: added old stuff.

	* app/pdb/convert_cmds.c
	* libgimp/gimpconvert_pdb.[ch]: regenerated.

	* plug-ins/common/gifload.c
	* plug-ins/common/gih.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/common/winclipboard.c
	* plug-ins/script-fu/scripts/burn-in-anim.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/fuzzyborder.scm
	* plug-ins/script-fu/scripts/gimp-headers.scm
	* plug-ins/script-fu/scripts/gimp-labels.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm
	* plug-ins/script-fu/scripts/spinning-globe.scm: changed accordingly.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: renamed gimp_layer_mask() to
	gimp_layer_get_mask().

	* libgimp/gimplayer.h: removed gimp_layer_get_mask_id #define.

	* libgimp/gimpcompat.h: added old stuff.

	* app/pdb/layer_cmds.c
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* libgimp/gimpexport.c
	* plug-ins/common/curve_bend.c
	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/xjt/xjt.c: changed accordingly.

2003-12-04  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: updated.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable.pdb: renamed gimp_drawable_image() to
	gimp_drawable_get_image() for symmetry with
	gimp_drawable_set_image().

	* libgimp/gimpchannel.h: removed gimp_channel_get_image_id #define.
	* libgimp/gimpdrawable.h: removed gimp_drawable_image_id #define.
	* libgimp/gimplayer.h:: removed gimp_layer_get_image_id #define.

	* libgimp/gimpcompat.h: added the old stuff here.

	* app/pdb/drawable_cmds.c
	* libgimp/gimpdrawable_pdb.[ch]: regenerated.

	* libgimp/gimpmiscui.c
	* plug-ins/Lighting/lighting_main.c
	* plug-ins/MapObject/mapobject_main.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/film.c
	* plug-ins/common/newsprint.c
	* plug-ins/common/pixelize.c
	* plug-ins/common/ps.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/common/smooth_palette.c
	* plug-ins/common/warp.c
	* plug-ins/imagemap/imap_cmd_gimp_guides.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_preview.c
	* plug-ins/maze/maze.c
	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/rcm/rcm_misc.c
	* plug-ins/script-fu/scripts/addborder.scm
	* plug-ins/script-fu/scripts/carve-it.scm
	* plug-ins/script-fu/scripts/weave.scm: changed accordingly.

	* plug-ins/maze/maze.c: completely reindented.

	* plug-ins/script-fu/siod/trace.c: removed trailing whitespace.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-projection.c (gimp_image_projection_allocate):
	optimized to reallocate the projection TileManager only if it does
	not match the required width, height and depth.

	* app/core/gimpimage.c (gimp_image_size_changed): call
	gimp_image_projection_allocate().

	* app/core/gimpimage-crop.c
	* app/core/gimpimage-resize.c
	* app/core/gimpimage-rotate.c
	* app/core/gimpimage-scale.c
	* app/core/gimpimage-undo-push.c: removed calls to
	gimp_image_projection_allocate(), since "size_changed" does it
	automatically now.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/dialog.c
	* plug-ins/helpbrowser/domain.[ch]
	* plug-ins/helpbrowser/uri.[ch]: cleanup & whitespace removal.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.h: removed unused "gint proj_level" from the
	GimpImage struct.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/pygimp/pygimp-drawable.c (lay_set_linked): made it
	compile again.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: removed "linked" API...
	* tools/pdbgen/pdb/drawable.pdb: ...and added it here.

	* app/pdb/drawable_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/layer_cmds.c
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* libgimp/gimpcompat.h: added gimp_layer_*_linked compat #defines.

	* plug-ins/xjt/xjt.c: changed accordingly.

2003-12-03  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpmodule.c
	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/pygimp/pygimp-image.c
	* plug-ins/pygimp/pygimp-pdb.c
	* plug-ins/pygimp/pygimp-tile.c: some cosmetic changes to error
	messages.

	* plug-ins/pygimp/pygimp-drawable.c: accessors for name, tattoo, and
	visible live in the drawable class now, so layer and channel objects
	inherit it.

2003-12-03  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: updated.

2003-12-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/pygimp/gimpmodule.c: follow change below.

2003-12-03  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/channel.pdb
	* tools/pdbgen/pdb/layer.pdb: removed gimp_layer_delete() and
	gimp_channel_delete() PDB wrappers...

	* tools/pdbgen/pdb/drawable.pdb: ...added gimp_drawable_delete().

	* libgimp/gimpdrawable.[ch]: removed gimp_drawable_delete()
	(having this function work on the GimpDrawable wrapper and not on
	the drawable_id was more than questionable anyway).

	* libgimp/gimpcompat.h: added gimp_layer_delete and
	gimp_channel_delete cruft #defines.

	* app/pdb/channel_cmds.c
	* app/pdb/drawable_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/layer_cmds.c
	* libgimp/gimpchannel_pdb.[ch]
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* plug-ins/script-fu/scripts/add-bevel.scm
	* plug-ins/xjt/xjt.c: changed accordingly.

	* plug-ins/imagemap/imap_main.c: just removed the call to
	gimp_channel_delete(), it was wrong anyway.

2003-12-03  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/pygimp-drawable.c
	* plug-ins/pygimp/pygimp-tile.c: quick fix to make it build with the
	below. Real fix later.

2003-12-03  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/channel.pdb
	* tools/pdbgen/pdb/layer.pdb: removed duplicated APIs for "name",
	"visible" and "tattoo"...

	* tools/pdbgen/pdb/drawable.pdb: ...and added them as drawable APIs.

	* libgimp/gimpdrawable.[ch]: removed faked layer/channel
	polymorphisms, the functions are real drawable functions now.

	* libgimp/gimpcompat.h: added the old cruft here.

	* app/pdb/channel_cmds.c
	* app/pdb/drawable_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/layer_cmds.c
	* libgimp/gimpchannel_pdb.[ch]
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]: regenerated.

	* libgimp/gimpexport.c
	* libgimp/gimpmenu.c
	* plug-ins/common/align_layers.c
	* plug-ins/common/animationplay.c
	* plug-ins/common/animoptimize.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/gbr.c
	* plug-ins/common/gif.c
	* plug-ins/common/gih.c
	* plug-ins/common/iwarp.c
	* plug-ins/common/mng.c
	* plug-ins/common/psd.c
	* plug-ins/common/psd_save.c
	* plug-ins/common/psp.c
	* plug-ins/xjt/xjt.c
	* plug-ins/gfig/gfig.c
	* plug-ins/script-fu/scripts/*.scm: changed accordingly.

2003-12-03  Jakub Steiner <jimmac@ximian.com>

	* data/patterns/Stripes1px.pat
	* data/patterns/Stripes2px.pat: rename to Stripes & Stripes Fine

2003-12-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/nlfilt.c: use G_MAXINT instead of a custom define.

2003-12-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/animoptimize.c: resolved mnemonics conflict,
	removed warnings and cleaned up the code a bit.

2003-12-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/channel_mixer.c: changed float (de)serialization
	to use locale independent g_ascii_* functions (fixes bug #113901).
	Cleaned up the GUI a lot (scale entries and stuff). Some more
	general cleanup.

2003-12-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/ccanalyze.c: use gimp_memsize_to_string() to
	display the memory and file size of the image. Minor cleanups.

2003-12-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/CML_explorer.c
	* plug-ins/common/channel_mixer.c: use g_file_test() instead of stat().

2003-12-02  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/channel_mixer.c: fix call to gimp_dialog_run.

	* plug-ins/common/newsprint.c: remove GINT_POINTER definition hack,
	we always have it now.

2003-12-02  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/CML_explorer.c: fix save dialog handling.

2003-12-02  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/Makefile.am
	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/channel_mixer.c: Added channel mixer plugin.
	Needs some work still, notably the settings load/save handling.
	Addresses bug #113901.

2003-12-02  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff.c: applied a modified version of a patch
	submitted by Andrey Kiselev. Implements loading of TIFF files with
	multiple pages (bug #66886).

2003-12-02  Jakub Steiner <jimmac@ximian.com>

	* data/patterns/Makefile.am
	* data/patterns/Stripes1px.pat
	* data/patterns/Stripes2px.pat: simple RGBA stripes patterns.
	  Very useful for the obligatory 'interlace' effect. can be done
	  with the grid plugin currently, but dragging a pattern is by
	  far the fastest.

2003-12-02  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/Makefile.am
	* libgimpthumb/gimpthumb-error.[ch]: added new files that define the
	GIMP_THUMB_ERROR domain.

	* libgimpthumb/gimpthumb-utils.[ch]
	* libgimpthumb/gimpthumb.h
	* libgimpthumb/gimpthumbnail.[ch]: finalizing the API.

2003-12-01  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-blend.c: some code cleanup I've done while
	looking at bug #128146.

2003-12-01  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage.c: added a default implementation of
	GimpImage::mode_changed() which reallocates the projection.

	* app/core/gimpimage-convert.c (gimp_image_convert)
	* app/core/gimpimage-undo-push.c (undo_pop_image_type): removed
	explicit calls to gimp_image_projection_allocate().

2003-12-01  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-flip.c (gimp_image_flip): no need to
	reallocate the image's projection (the image size doesn't change
	when flipping).

2003-12-01  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolormapeditor.c (gimp_colormap_adjustment_changed):
	quick fix for bug #128285. This widget should be redone.

2003-11-30  Sven Neumann  <sven@gimp.org>

	* app/main.c: renamed remaining occurences of "use_mmx" to
	"use_cpu_accel".

	* app/paint-funcs/paint-funcs.[ch]: removed unused "use_mmx"
	parameter.

	* app/base/base.c: changed accordingly.

	* docs/gimp-1.3.1.in: documented the changed command-line option.

2003-11-30  Helvetix Victorinox  <helvetix@gimp.org>

	* configure.in: backed out inadvertant changes.

	* app/composite/gimp-composite.c:
	* app/composite/gimp-composite.h:
	* app/main.c:
	* app/base/base.c:

	Changed the existing command line option, --no-mmx to
	--no-cpu-accel and propogated the changes necessary to use that
	flag to turn OFF the use of CPU extensions using only the generic
	implementations in app/composite/gimp-composite-generic.c

	Nota Bene: All of the previous gimp 1.2 code is still available
	and is is enabled by setting the GIMP_COMPOSITE environment
	variable to zero (GIMP_COMPOSITE=0x0).  This causes only the 1.2
	code to be used and is helpful for regression testing of the newer
	gimp-composite code.  Whether using the new code, or the old code
	there should be absolutely no visible differences.

	The newly renamed option --no-cpu-accel retains its previous
	semantic meaning with the old 1.2 code--turning OFF MMX
	optimisations.

2003-11-30  Sven Neumann  <sven@gimp.org>

	* app/batch.c: removed the hack that used to call gimp_exit() when
	the batch command matches "(gimp-quit 0)". It shouldn't be needed.

	* tools/pdbgen/pdb/misc.pdb
	* app/core/gimp.[ch]
	* app/gui/gui.c: renamed "kill_it" parameter to "force". We don't
	kill the application any longer; this option is just about whether
	to ask the user for confirmation or not.

	* app/pdb/misc_cmds.c: regenerated.

	* app/app_procs.c: cosmetics.

2003-11-30  Sven Neumann  <sven@gimp.org>

	* app/batch.[ch]: renamed batch_init() to batch_run(). Install an
	Gimp::exit handler while batch commands are executed. This handler
	simply calls exit(). Fixes bug #128199.

	* app/app_procs.c: changed accordingly. Removed remaining global
	variables.

2003-11-30  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimp-paint.c (gimp_paint_init): reordered
	GimpDodgeBurn to the end of the paint info list so the paint tool
	menu in the stroke dialog has same order as the paint tools in the
	toolbox.

2003-11-29  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.c: set the default window type hint for
	docks to Normal.

	* plug-ins/sel2path/sel2path_adv_dialog.c: set the number of
	digits to the same value for all spinbuttons.

2003-11-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/AlienMap.c
	* plug-ins/common/AlienMap2.c: fix it properly. There's really no
	need to pass the same pointer twice.

2003-11-29  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/common/AlienMap.c: 
	* plug-ins/common/AlienMap2.c: added missing parameter to 
	dialog_response callback.

	* plug-ins/common/blur.c
	* plug-ins/common/randomize.c
	* plug-ins/FractalExplorer/Dialogs.c: fixes #124476 (Remove 
	non-existent URL's and e-mail addresses).

2003-11-28  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/Makefile.am
	* plug-ins/pygimp/plug-ins/py-slice.py: Added py-slice, a python
	version of perlotine.

2003-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gifload.c: applied a patch from Adam D. Moss
	that does some minor message cleanups (bug #128061).

2003-11-27  Dave Neary  <bolsh@gimp.org>

	* autogen.sh: Return error code to controlling environment if one of 
	the commands we run fails. Makes autogen.sh && make work.

2003-11-27  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/ps.c (create_new_image): don't add the page
	number to the filename of the image corresponsing to the
	postscript file's first page. Enables thumbnail generation
	for PS files.

	Indented function prototypes.

